2000-06-25  Fatih Demir	<kabalak@gmx.net>

	* configure.in: Applied some updates to the configure.in, e.g.
	a check for GtkHTML >= 0.4.

2000-06-24  John Sullivan  <sullivan@eazel.com>

	Finished task 585 (Handle handing URI to programs that
	can only handle local paths). After talking to Darin,
	decided not to do some automagic local-copying in this
	case. Instead, Nautilus detects the case and puts up an
	alert explaining the situation instead of launching the app.

	* libnautilus-extensions/nautilus-program-choosing.h,
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application_parented): New function, just
	like nautilus_launch_application but takes a parent window
	for error dialogs. Checks whether the application can
	handle uris and if not puts up an alert.
	(nautilus_launch_application): Guts moved to _parented call,
	which this now calls.
	(nautilus_launch_application_from_command): No longer converts
	the uri to a local path here; callers have to handle this
	themselves if they want to.
	* src/file-manager/fm-directory-view.c: 
	(get_containing_window): New utility function, returns the
	GtkWindow that the directory view is in.
	(fm_directory_view_launch_application): Now calls new
	nautilus_launch_application_parented.
	(choose_program): Now calls get_containing_window.

2000-06-24  Pavel  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(nautilus_directory_get_info_for_new_files),
	(start_monitoring_file_list), (start_getting_file_info):
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(path_represents_svg_image):
	* libnautilus-extensions/nautilus-mime-actions.c:
	(get_mime_type_from_uri):
	* src/file-manager/dfos-corba.c: (convert_options):
	* src/file-manager/fm-properties-window.c:
	(get_property_names_from_uri):
	* src/nautilus-applicable-views.c: (got_metadata_callback):
	* src/nautilus-link-set-window.c: (get_link_set_names):
	* src/nautilus-property-browser.c: (ensure_uri_is_image),
	(make_properties_from_directory_path):
	Switched to match new GnomeVFS renamings. 

	* libnautilus-extensions/nautilus-directory-async.c:
	(start_monitoring_file_list):
	Changed to use default mime type rather than forcing the
	fast mode.

2000-06-23  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_button_release):
	Made #defines for a couple of constants.

2000-06-23  John Sullivan  <sullivan@eazel.com>

	Finished task 1007 (Should show program "match quality" in
	"View as Other" dialog). There's now a "status" column that
	you can sort by. It would be better if it showed some 
	supertype info but I'm putting that off (with a bug report).

	* libnautilus-extensions/nautilus-program-chooser.c:
	(program_file_pair_compute_status), (program_file_pair_set_file),
	(program_file_pair_new_from_content_view),
	(program_file_pair_new_from_application), (program_file_pair_free),
	(program_file_pair_get_program_name_for_display),
	(get_supertype_from_file),
	(program_file_pair_get_short_status_text),
	(program_file_pair_get_long_status_text),
	(repopulate_program_list),
	(program_file_pair_is_default_for_file_type),
	(program_file_pair_is_default_for_file),
	(program_file_pair_is_in_short_list_for_file_type),
	(program_file_pair_is_in_short_list_for_file),
	(get_program_file_pair_from_row_data),
	(get_selected_program_file_pair), (update_selected_item_details),
	(update_all_status), (add_to_short_list_for_file),
	(remove_from_short_list_for_file), (add_to_short_list_for_type),
	(remove_from_short_list_for_type), (remove_default_for_type),
	(remove_default_for_item), (set_default_for_type),
	(set_default_for_item), (run_program_configurator_callback),
	(compare_program_file_pairs), (switch_sort_column),
	(create_program_clist), (nautilus_program_chooser_new),
	(nautilus_program_chooser_get_application),
	(nautilus_program_chooser_get_component): Did vast quantities of
	renaming and refactoring in here while adding this feature. Believe
	me, it's not worth the time to explain in great detail.

2000-06-23  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_initialize),
	(toggle_splitter_position),
	(nautilus_horizontal_splitter_button_release):
	fixed recently introduced bug that Carbamide found, where clicking in the
	list view titles would toggle the sidebar.  Fixed by making the splitter
	toggle only if it's the splitters window.  Also, made it open properly when
	you quit the program in the closed state.
	
2000-06-23  Darin Adler  <darin@eazel.com>

	Some icon layout fixes.

	* libnautilus-extensions/nautilus-icon-canvas-item.h:
	* libnautilus-extensions/nautilus-icon-canvas-item.c: (map_pixbuf),
	(draw_label_text_aa), (nautilus_icon_canvas_item_render),
	(nautilus_icon_canvas_item_event),
	(nautilus_icon_canvas_item_hit_test_stretch_handles),
	(nautilus_icon_canvas_item_get_max_text_width):
	Added comments and FIXMEs and fixed formatting. Removed unused
	functions and changed all the functions to return values in world
	coordinates rather than doing some in canvas coordinates.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_gtk_adjustment_set_value): Added a function that clamps
	to the scroll bar range. The original in Gtk allows scrolling past
	the end of where the scroll bar does.
	(scroll): Call the new function. This fixes the "auto-scroll past
	edge of the screen" problem.
	(reveal_icon): Use the new function even though it shouldn't matter
	here.
	(set_scroll_region): Add some padding on the left and right and
	fix some of the math. Also use the new function to clamp the value
	instead of trying to do it by hand here. I think this fixes the
	dancing icon problem.
	(get_icon_space_width), (lay_down_one_line), (relayout): Wrote new
	layout code that works more simply and is closer to the layout we
	want. This fixes a few bugs, but for now it's only for auto layout
	-- I still need to fix manual layout.
	(nautilus_icon_container_update_icon): Made the maximum size for
	icons take the X and Y scale factors into account too. Now we
	probably need maximum scale factors, but without this stretching
	was quite broken.
	(nautilus_icon_container_start_renaming_selected_item): Simplified
	some of the renaming code to require a bit less from the canvas
	item.
	(nautilus_icon_container_emit_preview_signal): Let booleans be
	booleans.
	
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	Moved nautilus_icon_container_set_anti_aliased_mode into the
	private header.
	
2000-06-23  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-horizontal-splitter.c,h:
	(nautilus_horizontal_splitter_initialize_class),
	(nautilus_horizontal_splitter_initialize),
	(nautilus_horizontal_splitter_destroy), (toggle_splitter_position),
	(nautilus_horizontal_splitter_button_press),
	(nautilus_horizontal_splitter_button_release):
	made tapping on the splitter show or hide the sidebar
	* src/nautilus-sidebar.c:
	reduced the minimum size of the sidebar
	
2000-06-22  J Shane Culpepper  <pepper@eazel.com>

	* components/services/install/command-line/Makefile.am:
	Fixing build bustage. There is no eazel-install-query.c checked into
	cvs.  I assume Eskil forgot to add it.  It should build now.

2000-06-22  Rebecka Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c:
	* libnautilus-extensions/nautilus-search-uri.h:
	(nautilus_search_uri_to_simple_search_criteria),
	(nautilus_search_uri_to_search_bar_mode),
	(nautilus_search_uri_is_displayable_by_mode), (other_search_mode):
	* src/nautilus-simple-search-bar.c:
	* src/nautilus-switchable-search-bar.c:
	(nautilus_switchable_search_bar_set_mode),
	(nautilus_switchable_search_bar_set_search_controls):
	* src/nautilus-switchable-search-bar.h:

	(nautilus_simple_search_bar_set_search_controls):
	Extended search uri api; Some functions came from
	nautilus-switchable-search-bar.c
	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_initialize):
	fixed it so the containers work right
	* src/nautilus-search-bar-criterion.c:
	* src/nautilus-search-bar-criterion.h:
	(nautilus_search_bar_criterion_initialize),
	(nautilus_search_bar_criterion_initialize_class), (destroy),
	(nautilus_search_bar_criterion_new),
	(nautilus_search_bar_criterion_file_type_new),
	(nautilus_search_bar_criterion_file_name_new),
	(nautilus_search_bar_criterion_add_to_search_bar):
	added file name and type, and new functions
	to aid in displaying

	* src/nautilus-search-bar.c: (nautilus_search_bar_new):
	* src/nautilus-search-bar.h:
	added nautilus_search_bar_new
	


2000-06-22  Michael Engber  <engber@eazel.com>

	* libnautilus/nautilus-view-component.idl:
	* libnautilus/nautilus-zoomable.c:
	(nautilus_zoomable_initialize_class):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize), (nautilus_zoom_level_from_double),
	(zoomable_set_zoom_level_callback):
	* src/nautilus-view-frame.c:
	* src/nautilus-view-frame.h:
	* src/nautilus-window.c: (zoom_to_level_callback):
	* src/nautilus-zoom-control.c:
	(nautilus_zoom_control_class_initialize), (zoom_menu_callback),
	(zoom_menu_item_free_zoom_level), (create_zoom_menu_item),
	(create_zoom_menu):
	Removed zoom_to_level from the zoomable interface - starting
	on the process of removing the zoom control being tied to
	7 discrete icon sizes. Bug #1425
	

2000-06-22  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	*
	components/services/install/command-line/eazel-alt-install-corba.c:
	(main):
	Vamped to use the gtk+ client wrapper for the corba nastiness.

	* components/services/install/idl/trilobite-eazel-install.idl:
	Added the query call.
	
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-corba-callback.c:
	(eazel_install_callback_new), (eazel_install_callback_corba),
	(eazel_install_callback_install_packages),
	(eazel_install_callback_query):
	* components/services/install/lib/eazel-install-corba-callback.h:
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_category_list_from_categorydata_list):
	* components/services/install/lib/eazel-install-corba-types.h:
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install_install_packages), (impl_Eazel_Install_query),
	(eazel_install_get_epv):
	* components/services/install/lib/eazel-install-metadata.c:
	(transferoptions_destroy), (installoptions_destroy):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_destroy), (eazel_install_initialize),
	(eazel_install_get_type), (eazel_install_new_with_config),
	(create_temporary_directory),
	(eazel_install_fetch_remote_package_list),
	(eazel_install_open_log), (eazel_install_install_packages),
	(eazel_install_uninstall), (eazel_install_emit_download_failed),
	(eazel_install_emit_install_failed):
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (ftp_fetch_remote_file),
	(local_fetch_remote_file), (get_url_for_package),
	(get_search_url_for_package):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_query_package_system):
	* components/services/install/lib/eazel-install-query.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(download_all_packages), (install_all_packages),
	(uninstall_packages), (uninstall_a_package), (do_rpm_install),
	(do_rpm_uninstall), (eazel_install_prune_packages_helper),
	(eazel_install_load_rpm_headers),
	(eazel_install_prepare_rpm_system),
	(eazel_install_add_headers_to_rpm_set),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_ensure_deps), (rpm_uninstall):
	* components/services/install/lib/eazel-install-rpm-glue.h:
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/server/main.c:
	(trilobite_service_factory_destroy):
	i18n a lot of strings. Did some more work on the gtk+ wrapper for
	the corba interface to libinstall. Added categories to the idl and
	the code. Added comments to the gtk+ interface, converters to/from
	the corba structs and CategoryData. Also closed bug 1024, 982, 980 and 1092.
	
	* components/services/time/command-line/main.c: (main):
	* components/services/time/service/trilobite-eazel-time-service.c:
	(trilobite_eazel_time_service_destroy):
	* components/services/trilobite/libtrilobite/trilobite-service.c:
	(trilobite_service_destroy):
	* components/services/trilobite/sample/command-line/main.c: (main):
	* components/services/trilobite/sample/service/main.c:
	(trilobite_service_factory_destroy):
	*
	components/services/trilobite/sample/service/sample-service-impl.c:
	(sample_service_destroy):
	Fixed the component destroy routines with Darins help.

2000-06-22  Ramiro Estrugo  <ramiro@eazel.com>

	* components/websearch/Makefile.am:
	Fix a silly typo in the last checkin for this makefile.
	
2000-06-22  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-properties-window.c: (attach_label),
	(attach_left_aligned_label), (attach_right_aligned_label),
	(attach_value_field), (attach_directory_contents_value_field),
	(attach_title_field): Oops, some refactoring in my previous
	checkin left all the labels left-aligned, when the title
	ones are supposed to be right-aligned. Fixed that up.

2000-06-22  John Sullivan  <sullivan@eazel.com>

	Finished task 970 (Properties window should show deep
	directory sizes)

	* libnautilus-extensions/nautilus-file.c:
	(format_item_count_for_display): New utility function
	used by some _as_string functions.
	(nautilus_file_get_size_as_string): Now uses 
	format_item_count_for_display
	(nautilus_file_get_deep_count_as_string_internal),
	(nautilus_file_get_deep_size_as_string),
	(nautilus_file_get_deep_total_count_as_string),
	(nautilus_file_get_deep_file_count_as_string),
	(nautilus_file_get_deep_directory_count_as_string):
	New functions to get various "deep" info about a
	directory in handy string format.
	(nautilus_file_get_string_attribute),
	(nautilus_file_get_string_attribute_with_default):
	Taught these two functions about deep directory counts.
	
	* src/file-manager/fm-properties-window.c: 
	(create_properties_window): Now uses nautilus_file_monitor_add
	to request the info it needs, including new deep counts. 
	Formerly was just relying on all the information already having 
	been requested by someone else, which worked in practice but was 
	fragile and wouldn't work for deep counts.
	(forget_properties_window): Renamed from remove_properties_window_
	from_hash_table, and made it stop monitoring file.
	(fm_properties_window_get_or_create): Account for name change.
	(directory_contents_value_field_update),
	(attach_directory_contents_value_field), 
	(attach_directory_contents_fields): New functions that manage
	showing the deep info.
	(attach_label), (attach_value_field), (attach_title_field),
	(attach_title_value_pair), (create_basic_page), 
	(add_permissions_row_label), (create_permissions_page):
	Some renamings and reorganization.

2000-06-22  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_deep_count): Added code to make sure we don't see a
	canceled deep count as an eternally "in progress" one.
	(nautilus_directory_async_state_changed): Exported this
	function for use in NautilusFile.
	
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_deep_counts): Fixed the comment.
	(nautilus_file_recompute_deep_counts): Added a function to
	force the deep count to be recomputed.
	
	* libnautilus-extensions/nautilus-mime-actions.h:
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_set_default_action_type_for_uri),
	(nautilus_mime_set_default_application_for_uri),
	(nautilus_mime_set_default_component_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri),
	(nautilus_mime_add_application_to_short_list_for_uri),
	(nautilus_mime_remove_application_from_short_list_for_uri),
	(nautilus_mime_add_component_to_short_list_for_uri),
	(nautilus_mime_remove_component_from_short_list_for_uri),
	(nautilus_mime_extend_all_applications_for_uri),
	(nautilus_mime_remove_from_all_applications_for_uri):
	Added some rudimentary error handling.

2000-06-22  Darin Adler  <darin@eazel.com>

	Finished task 975 (Need API for asynchronously computing a
	directory's recursive item count). More thorough testing will wait
	for John to implement the high level feature.
	
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory-async.c:
	(directory_count_callback): Used a local variable.
	(start_monitoring_file_list): Reduced use of GnomeVFSURI a bit.
	(cancel_deep_count), (nautilus_directory_cancel),
	(set_up_request_by_file_attributes),
	(nautilus_async_destroying_file), (lacks_deep_count),
	(wants_deep_count), (request_is_satisfied),
	(start_monitoring_file_list), (deep_count_one),
	(deep_count_callback), (deep_count_load), (deep_count_start),
	(state_changed): Added the code to compute deep counts.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory): Added a self-check to try out
	the deep counts.
	
	* libnautilus-extensions/nautilus-file-attributes.h:
	Renamed the attribute now that it's for more than one kind of
	deep count, not just a directory items count.
	
	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_deep_counts):
	Added the high-level interface for getting at the counts.
	
2000-06-22  John Sullivan  <sullivan@eazel.com>

	Finished task 877 (SUID/SGID/Sticky bits should be settable
	in Properties). There are still several appearance loose ends
	that I'll write up bugs for. This change requires the latest 
	gnome-vfs.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_permissions_as_string): Make permissions
	string display funky bits using ls conventions.
	* libnautilus-extensions/nautilus-global-preferences.h,
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui): Added a preference for
	allowing editing of the funky bits; defaults to on for hacker,
	off otherwise.
	* src/file-manager/fm-properties-window.c:
	(add_special_execution_checkbox), (add_special_execution_flags),
	(create_permissions_page): Wired up the funky bit checkboxes to
	the right funky bits; made some but not yet all of the Arlo
	layout improvements; decide whether to show funky bit checkboxes
	based on preference.

2000-06-22  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/install/command-line/.cvsignore:
	Ignore more generated things.
	
	* libnautilus-extensions/nautilus-search-async.c:
	I fixed medusa to properly export its public header file, so
	update its inclusion here.
	
2000-06-22  Seth Nickell  <seth@eazel.com>

	Changes from Ali Abdin (rak), aliabdin@aucegypt.edu
	* components/websearch/Makefile.am:
	Fixed error message on Nautilus startup by correctly setting
	the directory websearch "make install"s into.
	
2000-06-22  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(make_properties_from_directory_path),
	(make_properties_from_directory):
	made the reset background property appear at the top level,
	and widened the window slightly so all of the properties fit
	* src/nautilus-window-toolbars.c: (toolbar_clear_search_mode),
	(toolbar_home_callback):
	made it leave search mode when the user presses the home button
	
2000-06-21  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar.c: (nautilus_sidebar_get_sidebar_panel_key),
	(nautilus_sidebar_sidebar_panel_enabled), (toggle_sidebar_panel),
	(nautilus_sidebar_add_panel_items),
	(nautilus_sidebar_create_context_menu):
	added sidebar panel enable/disable items to sidebar context menu
	
2000-06-21  Andy Hertzfeld  <andy@eazel.com>

	added two different ways to reset sidebar background customizations:
	a context menu and a reset background property to reset it via
	drag and drop
	
	* data/backgrounds/Makefile.am:
	added a new background image for resetting
	* data/backgrounds/reset.png:
	new image for resetting the background
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_set_tile_image_uri):
	special-case the reset image to reset the background
	* src/nautilus-property-browser.c: (element_clicked_callback),
	(make_properties_from_directory_path),
	(make_properties_from_directory):
	scaled background properties to the nominal size, so they line
	up better
	* src/nautilus-sidebar.c,h: (reset_background_callback),
	(nautilus_sidebar_create_context_menu),
	(nautilus_sidebar_press_event):
	added a context menu for the sidebar that has a reset background
	item.  Soon, it will also allow enabling/disabling of sidebar views.
	
2000-06-21  John Sullivan  <sullivan@eazel.com>

	Made nautilus_file_get_string_attribute return NULL
	for unknown/missing attributes; added new
	nautilus_file_get_string_attribute_with_default that
	never returns NULL; callers can choose which behavior
	they prefer.

	* libnautilus-extensions/nautilus-file.h,
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_string_attribute_with_default):
	New function, calls _get_string_attribute and chooses
	default strings for the NULL cases. The default default
	string is "unknown", but some attributes get more
	specific ones.
	
	(nautilus_file_get_octal_permissions_as_string),
	(nautilus_file_get_permissions_as_string),
	(nautilus_file_get_owner_as_string),
	(nautilus_file_get_group_as_string),
	(nautilus_file_get_mime_type_as_string_attribute),
	(nautilus_file_get_size_as_string),
	(nautilus_file_get_string_attribute),
	(nautilus_file_get_type_as_string): Changed these to
	return NULL if the value is unknown/unknowable.

	(nautilus_file_get_date_as_string): Changed to return NULL
	in some cases; also added case for "date_permissions",
	which returns ctime iff it differs from mtime, otherwise
	NULL.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(update_selected_item_details),
	(run_program_configurator_callback):
	* src/file-manager/fm-icon-view.c: (get_icon_text_callback):
	* src/file-manager/fm-list-view.c: (add_to_list):
	use nautilus_file_get_string_attribute_with_value
	
	* src/nautilus-sidebar-title.c: (update_more_info):
	when the type is NULL, don't put ", " before the size.


	More work on the obscure unixisms of the Properties window.

	* src/file-manager/fm-properties-window.c: (value_field_update),
	(create_basic_page), (permissions_label_update),
	(set_up_permissions_checkbox), (add_permissions_checkbox),
	(add_special_execution_checkbox), (add_special_execution_flags),
	(create_permissions_page), (create_properties_window):
	Wired up GUID/SUID/Sticky bit checkboxes in a temporary way
	(not to the correct bits); moved some stuff around and
	renamed some stuff.

2000-06-21  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_read_entire_file), (read_entire_file_close_callback),
	(read_entire_file_close), (read_entire_file_succeeded),
	(read_entire_file_failed), (read_entire_file_read_callback),
	(read_entire_file_read_chunk), (read_entire_file_open_callback),
	(nautilus_read_entire_file_async),
	(nautilus_read_entire_file_cancel): Made new read-entire-file call
	with sync. and async. versions since Andy needs it.

	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_metafile_read), (metafile_read_done),
	(metafile_read_failed), (metafile_read_done_callback),
	(metafile_read_start), (nautilus_directory_request_read_metafile):
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy):
	Changed the metafile reading to use the new stuff.
	
	* components/services/install/command-line/.cvsignore:
	* components/services/install/server/.cvsignore:
	Ignore a few new generated files.
	
2000-06-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/Makefile.am:
	trying to convince it to do the orbit-idl
	
2000-06-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/Makefile.am:
	Added trilobite-eazel-install.h to noinst_HEADERS
	
2000-06-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/server/main.c:
	Forgot this, better commit it before Ramiro kills me.
	* components/services/trilobite/sample/command-line/main.c: (main):
	Darins patch reg. unref.
	
2000-06-21  Michael Engber  <engber@eazel.com>

	* src/nautilus-window-manage-views.c:
	(nautilus_window_load_content_view):
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_zoom_level_changed_callback):
	Zoom controls are now hidden when viewing non-zoomable stuff.

2000-06-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/Makefile.am:
	Added the server directory.
	
	* components/services/install/command-line/Makefile.am:
	* components/services/install/command-line/eazel-alt-install-corba.c:
	(set_parameters_from_command_line),
	(eazel_download_progress_signal), (eazel_install_progress_signal),
	(download_failed), (install_failed), (dep_check), (create_package),
	(done), (main):
	* components/services/install/command-line/genpkg_list.example:
	Vamping together yet another eazel-alt-install that uses the new
	corba service installer.
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-corba-callback.c:
	(impl_download_progress), (impl_download_failed), (impl_dep_check),
	(impl_install_progress), (impl_uninstall_progress),
	(impl_install_failed), (impl_uninstall_failed), (impl_done),
	(eazel_install_callback_get_epv),
	(eazel_install_callback_create_corba_object),
	(eazel_install_callback_destroy),
	(eazel_install_callback_class_initialize),
	(eazel_install_callback_initialize),
	(eazel_install_callback_get_type), (eazel_install_callback_new),
	(eazel_install_callback_corba):
	* components/services/install/lib/eazel-install-corba-callback.h:
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagestructlist_from_packagedata_list),
	(corba_packagedatastructlist_from_packagedata_list),
	(corba_packagedatastruct_from_packagedata),
	(corba_packagestruct_from_packagedata),
	(packagedata_list_from_corba_packagestructlist),
	(packagedata_list_from_corba_packagedatastructlist),
	(packagedata_from_corba_packagedatastruct),
	(packagedata_from_corba_packagestruct):
	* components/services/install/lib/eazel-install-corba-types.h:
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install_install), (impl_Eazel_Install_uninstall),
	(impl_Eazel_Install_install_packages),
	(impl_Eazel_Install_uninstall_packages),
	(impl_Eazel_Install__set_verbose),
	(impl_Eazel_Install__get_verbose),
	(impl_Eazel_Install__set_silent), (impl_Eazel_Install__get_silent),
	(impl_Eazel_Install__set_test_mode),
	(impl_Eazel_Install__get_test_mode),
	(impl_Eazel_Install__set_force), (impl_Eazel_Install__get_force),
	(impl_Eazel_Install__set_update), (impl_Eazel_Install__get_update),
	(impl_Eazel_Install__set_tmp_dir),
	(impl_Eazel_Install__get_tmp_dir),
	(impl_Eazel_Install__set_server), (impl_Eazel_Install__get_server),
	(impl_Eazel_Install__set_server_port),
	(impl_Eazel_Install__get_server_port),
	(impl_Eazel_Install__set_log_file),
	(impl_Eazel_Install__get_log_file),
	(impl_Eazel_Install__set_protocol),
	(impl_Eazel_Install__get_protocol), (eazel_install_get_epv),
	(eazel_install_create_corba_object):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_set_arg), (eazel_install_class_initialize),
	(eazel_install_initialize), (eazel_install_get_type),
	(eazel_install_new_with_config),
	(eazel_install_fetch_remote_package_list),
	(eazel_install_open_log), (eazel_install_install_packages),
	(eazel_install_uninstall), (eazel_install_emit_install_progress),
	(eazel_install_emit_install_progress_default),
	(eazel_install_emit_download_progress),
	(eazel_install_emit_download_progress_default),
	(eazel_install_emit_download_failed),
	(eazel_install_emit_download_failed_default),
	(eazel_install_emit_install_failed),
	(eazel_install_emit_install_failed_default),
	(eazel_install_emit_uninstall_failed),
	(eazel_install_emit_dependency_check),
	(eazel_install_emit_dependency_check_default),
	(eazel_install_emit_done), (eazel_install_emit_done_default):
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(get_url_for_package), (get_search_url_for_package):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (download_all_packages),
	(install_all_packages), (rpm_show_progress), (do_rpm_install),
	(eazel_install_prune_packages_helper),
	(eazel_install_prepare_rpm_system),
	(eazel_install_add_headers_to_rpm_set),
	(eazel_install_fetch_rpm_dependencies), (print_package_list),
	(eazel_install_ensure_deps), (ei_extract_attributes),
	(eazel_install_query_package_system):
	* components/services/install/lib/eazel-install-rpm-glue.h:
	* components/services/install/lib/eazel-install-types.c:
	(rpmfilename_from_packagedata):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/trilobite-eazel-install-service.oafinfo:
	* components/services/install/server/Makefile.am:
	* components/services/install/server/trilobite-eazel-install-service.oafinfo:
	Added a load of stuff to make the install service a corba
	service. There are corba/c converters in
	eazel-install-corba-types, moved a load of the corba magic into
	eazel-install-corba.c and created a gtk+ object in
	eazel-install-corba-callback that embodies the client interface to
	the install service.
	
	* components/services/time/service/Makefile.am:
	* components/services/time/service/trilobite-eazel-time-service.c:
	(trilobite_eazel_time_service_initialize):
	Changed the default url to the new testmachine. 
	
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.c:
	(trilobite_get_distribution_name), (trilobite_get_distribution_enum):
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.h:
	Added call to get the distro enum from the generated string. Used
	for the corbafication of libinstall.
	
	* configure.in:
	Added the server dir makefile for services/install/server
	
	* nautilus-installer/src/HACKING:
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/installer.c: (installer):
	* nautilus-installer/src/interface.c: (create_window):
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/prescript:
	Updated to still work, as long as libinstall is compiled using
	EAZEL_INSTALL_NO_CORBA (see the hacking file)
	
	* nautilus.spec.in:
	Changed gnome-xml to libxml

2000-06-21  Darin Adler  <darin@eazel.com>

	* components/hardware/nautilus-hardware-view.c:
	(get_RAM_description):
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_update_from_uri):
	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(gather_config_button_cb), (register_button_cb),
	(nautilus_service_startup_view_destroy):
	* libnautilus-extensions/nautilus-directory-async.c:
	(set_up_request_by_file_attributes):
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_format_uri_for_display),
	(nautilus_get_uri_from_local_path):
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_size_as_string):
	* libnautilus-extensions/nautilus-link-set.c: (link_set_path_name),
	(expand_uri):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_display_selection_info):
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_initialize),
	(nautilus_desktop_window_new), (realize):
	Updated callers of the gnome-vfs calls that I just changed.
	In some cases I made them use higher-level nautilus utility
	functions instead.

2000-06-21  Gene Z. Ragan  <gzr@eazel.com>

	More updating of code to change gnome-vfs error codes to reflect
	renaming done to fix bug 1162.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_name_for_file):
	Some old constants here.

2000-06-21  Gene Z. Ragan  <gzr@eazel.com>

	Update code to change gnome-vfs error codes to reflect
	renaming done to fix bug 1162.
	
	* components/help/help-method.c: (help_do_transform):
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_make_directory_and_parents),
	(construct_alternate_metafile_uri):
	* libnautilus-extensions/nautilus-file.c: (nautilus_file_rename),
	(nautilus_file_set_permissions), (nautilus_file_delete):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_load), (file_read_callback):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_make_directory_and_parents),
	(nautilus_icon_factory_get_thumbnail_uri):
	* libnautilus-extensions/nautilus-search-async.c:
	(nautilus_async_medusa_search), (request_search):
	* src/file-manager/dfos-xfer.c: (fs_xfer), (fs_move_to_trash):
	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file):
	* src/nautilus-applicable-views.c:
	(get_nautilus_navigation_result_from_gnome_vfs_result),
	(got_file_info_callback), (async_get_file_info_text):

2000-06-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_initialize), (draw_resize_bar),
	(draw_resize_bar_thumb), (nautilus_horizontal_splitter_draw):
	Arlofication of the splitter widget.  Bug 759.
	
2000-06-20  J Shane Culpepper  <pepper@eazel.com>

	* components/services/login/nautilus-view/main.c:
	(login_object_destroyed), (login_make_object), (main):
	* components/services/login/nautilus-view/nautilus-login-view.c:
	(generate_login_form), (entry_changed_cb), (login_button_cb),
	(maintenance_button_cb), (show_feedback), (generate_form_title),
	(nautilus_login_view_initialize_class),
	(nautilus_login_view_initialize), (nautilus_login_view_destroy),
	(nautilus_login_view_get_nautilus_view),
	(nautilus_login_view_load_uri), (login_load_location_callback):
	* components/services/login/nautilus-view/nautilus-login-view.h:
	* components/services/login/nautilus-view/nautilus-login-view.oafinfo:
	Initial stab at a decent login view for services. Doesn't
	actually do any connecting or authentication yet but it's a good
	start to the view. Still needs some work before I hook it up to
	the build.

2000-06-20  Rebecca Schulman  <rebecka@eazel.com>

	* src/nautilus-search-bar-private.h:
	forgot to add this to the last commit

2000-06-20  Rebecca Schulman  <rebecka@eazel.com>

	* src/Makefile.am:
	* src/nautilus-search-bar.c:
	* src/nautilus-search-bar.h:
	(nautilus_search_bar_initialize_class),
	(nautilus_search_bar_initialize),
	(nautilus_search_bar_set_location),
	(nautilus_search_bar_set_search_controls):
	* src/nautilus-switchable-search-bar.c: 
	* src/nautilus-switchable-search-bar.h:
	* src/nautilus-search-bar-criterion.c:
	* src/nautilus-search-bar-criterion.h:
	Set up search-bar as a virtual class that switches between the
	available search bars, similar to nautilus-navigation-bar.

	* src/nautilus-complex-search-bar.c:
	* src/nautilus-complex-search-bar.h:
	* src/nautilus-simple-search-bar.c:
	* src/nautilus-simple-search-bar.h:
	Added simple and complex search bar skeletons.
	These need to get filled out a lot more.
	
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_initialize):
	Switchable navigation bar uses a switchable search bar instead of
	a normal search bar, since that class is now virtual.
	
	* src/nautilus-navigation-bar.c:
	fixed comment typos
	
	* libnautilus-extensions/nautilus-directory.h:
	Exported nautilus_uri_is_search_uri function
	* libnautilus-extensions/Makefile.am:
	Added nautilus-search-uri.c and .h files.
	The functions aren't filled out yet, though.
	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_search_uri_to_simple_search_criteria):
	* libnautilus-extensions/nautilus-search-uri.h:
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_register_for_ui):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Changed search bar preference names from
	NAUTILUS_SEARCH_BAR_ONE_BOX and NAUTILUS_SEARCH_BAR_MULTI_BOX to
	NAUTILUS_SIMPLE_SEARCH_BAR and NAUTILUS_COMPLEX_SEARCH_BAR to
	match respective object names

2000-06-20  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles_aa):
	Improved the positioning of the anti-aliased stretch handles by
	using the icon rect instead of the bounds rect.
	
2000-06-20  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_new): Left-justified prompt.
	
	* src/file-manager/fm-properties-window.c:
	(add_prompt_and_separator), (add_permissions_row_label),
	(add_special_execution_checkbox), (add_special_execution_flags),
	(create_permissions_page): Added as yet non-working checkboxes
	for the SUID, GUID, and Sticky flags. The layout and wording
	are abysmal; this will not stand.

2000-06-20  Darin Adler  <darin@eazel.com>

	Fixed bug 1359 (Navigating into empty folder hangs).

	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback): Fixed bug where directories with
	multiples of 32 files would hang the state machine.

2000-06-20  Andy Hertzfeld  <andy@eazel.com>

	* data/backgrounds/Makefile.am:
	added and removed some background images
	
	* data/backgrounds/baize.png:
	* data/backgrounds/cherrywood.jpg:
	* data/backgrounds/darkwood.png:
	* data/backgrounds/grass.png:
	* data/backgrounds/gray_fabric.png:
	* data/backgrounds/greenery.jpg:
	* data/backgrounds/manila.jpg:
	* data/backgrounds/raindrops.png:
	* data/backgrounds/sky.jpg:
	removed old background images
	
	* data/backgrounds/blue_sky.png:
	* data/backgrounds/brown_bag.png:
	* data/backgrounds/clouds.png:
	* data/backgrounds/irish_spring.png:
	* data/backgrounds/manila_paper.png:
	* data/backgrounds/pale_coins.png:
	* data/backgrounds/ridged_paper.png:
	* data/backgrounds/rough_paper.png:
	added new background images from Susan
	
	* icons/emblem-noread.png:
	changed the "can't read" emblem to a newer one from Susan

2000-06-20  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1428 (Back button crashes in bookmark code)

	* src/nautilus-window-menus.c: 
	(bookmark_holder_new),
	(bookmark_holder_free): Replaced comment that says
	"bookmark here is unreffed, if this causes problem
	we can ref it someday" with ref/unref pair, now that
	we've found a case where it caused a problem. Going
	Back unrefs the bookmark for the current location before
	this go-menu code does its thing.

2000-06-20  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_octal_permissions_as_string):
	Make octal permissions always at least 3 digits long.
	
	* libnautilus-extensions/nautilus-undo-manager.c:
	(destroy_servant), (create_servant), (release_transaction),
	(corba_append), (corba_forget), (corba_undo),
	(nautilus_undo_manager_initialize),
	(nautilus_undo_manager_initialize_class),
	(nautilus_undo_manager_undo), (destroy), (update_undo_menu_item):
	Rewrote undo manager to support one level of undo and redo.

2000-06-20  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_remove_image_uri),
	(nautilus_icon_factory_get_icon_for_file), (mark_recently_used),
	(cached_image_still_valid), (get_image_from_cache):
	Made image files that use themselves as their icon update properly
	when the image file changes. To do this, I added a "cached_time"
	field to the image cache key, and used it in get_image_from_cache
	to remove the stale image from the cache if necessary

2000-06-20  Darin Adler  <darin@eazel.com>

	Made NautilusFile async. like NautilusDirectory already was.
	
	* RENAMING: Added a renaming idea.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_get_info), (cancel_metafile_read),
	(nautilus_directory_cancel): Added the new getting of file info
	to the cancel logic.
	(nautilus_compare_file_with_name): Changed to get the name in a
	way that works with files with no info.
	(nautilus_async_destroying_file): Handle the cancelling for the
	get_file_info case.
	(lacks_info), (wants_info), (request_is_satisfied): Add code to
	handle the need for file info for a newly created NautilusFile.
	(get_info_callback), (start_getting_file_info), (state_changed):
	Add code to get file info for files that lack it.
	
	* libnautilus-extensions/nautilus-directory-private.h:
	Add fields for getting file info for new files.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_moved): Moved the logic about
	updating the name on a file as it is moved into nautilus-file.c.
	
	* libnautilus-extensions/nautilus-file-attributes.h:
	Added a "deep count" attribute and function as a placeholder for
	work that I'll be doing for John shortly.
	
	* libnautilus-extensions/nautilus-file-private.h:
	Moved the calls relating to updating an existing NautilusFile
	so they are private and added one for a name change.
	
	* libnautilus-extensions/nautilus-file-utilities.h:
	Added interface for new nautilus_read_entire_file family of calls
	that I still need to implement.
	
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_name), (nautilus_file_new_from_info):
	Added a way to create a file without having GnomeVFSFileInfo yet.
	(nautilus_file_get): Don't get the GnomeVFSFileInfo; let the async.
	logic handler that.
	(rename_update_info_and_metafile): Handle new name field.
	(nautilus_file_rename): Use new name field.
	(nautilus_file_get_gnome_vfs_uri): Common code shared in a couple
	of places. Started fixing the "no file object for root" problem.
	(nautilus_file_matches_uri): Use nautilus_file_get_gnome_vfs_uri.
	(nautilus_file_update_info): Handle NULL case and new name field.
	(nautilus_file_update_name): New function used by move code in
	nautilus-directory.c.
	(nautilus_file_compare_by_type): Handle NULL info case.
	(nautilus_file_compare_for_sort_internal): Handle NULL info case.
	(nautilus_file_compare_name): Use new name field.
	(nautilus_file_get_metadata), (nautilus_file_get_metadata_list):
	Handle NULL file and use new name field.
	(nautilus_file_set_metadata), (nautilus_file_set_metadata_list):
	Use new name field.
	(nautilus_file_get_name): Handle NULL file and use new name field.
	(nautilus_file_get_uri): Use nautilus_file_get_gnome_vfs_uri.
	(info_missing): New function to handle NULL file case, NULL info
	case, and check the valid_fields more thoroughly.
	(nautilus_file_get_date_as_string), (nautilus_file_get_size),
	(nautilus_file_can_get_permissions),
	(nautilus_file_get_owner_as_string),
	(nautilus_file_get_group_as_string),
	(nautilus_file_get_size_as_string),
	(nautilus_file_get_type_as_string), (nautilus_file_get_file_type),
	(nautilus_file_get_mime_type), (nautilus_file_is_mime_type),
	(nautilus_file_is_symbolic_link),
	Use info_missing to handle NULL file and NULL info cases and to
	do valid_fields checks as needed.
	(nautilus_file_get_permissions_as_string): Move file check so the
	NULL case will work properly.
	(nautilus_file_get_mime_type_as_string_attribute): Got rid of
	redundant g_free call.
	(nautilus_file_get_string_attribute): Remove file check so NULL
	case will work properly.
	(nautilus_file_get_emblem_names): Handle NULL file case.
	(nautilus_file_get_keywords): Handle NULL file case.
	(nautilus_file_is_executable): Remove file check so NULL case will
	work properly.
	(nautilus_file_mark_gone): Add code to get rid of info which we
	don't need to keep around for files that are gone.
	(nautilus_file_activate_custom): Added FIXME comments.

	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_get_largest_fitting_font): Changed so it handles the case
	of NULL for passed-in text properly.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file): Formatting.
	(nautilus_icon_factory_get_pixbuf_for_file): Handle NULL file by
	returning NULL for the pixbuf.
	(nautilus_icon_factory_get_pixmap_and_mask_for_file):
	Handle NULL for the pixbuf by return NULL for the pixmap/mask.
	
	* src/nautilus-main.c: (print_leaks), (main): Do the leak printing
	from an atexit function so more of the cleanup will run first.

	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_pixmap_new_empty): A simple cover for allocating a
	GtkPixmap before we have a GdkPixmap to display.
	
	* src/nautilus-sidebar-title.c: (nautilus_sidebar_title_initialize):
	Create the widgets when the title is set up instead of creating
	them "as needed".
	(update_icon): Always update the icon, even if the file is NULL.
	(update_title): Always update the title, even if the file is NULL.
	Also got rid of the line-breaking code. We instead use the line-
	breaking code inside GtkLabel, which we can tweak as needed by
	setting a line width. We may need to revisit this, but lets not
	re-add our own line-break code unless we have to.
	(append_and_eat), (update_more_info): Always update the info field,
	even if the file is NULL. I rewrote this.
	(add_emblem), (update_emblems): Always update the emblems, even if
	the file is NULL.
	(update_notes): Always update the notes, even if the file is NULL.
	(update_all): Update all the pieces separately (the old code was
	doing them strangely bunched up).
	(nautilus_sidebar_title_set_uri): Always ask for the directory
	item count, even when the item is not yet known to be a directory.
	
	* src/nautilus-window.c: (nautilus_window_constructed): Get rid
	of the call to gtk_widget_show_all that was showing things that
	were intentionally hidden.
	(nautilus_window_load_content_view_menu): Removed an unused
	variable that was set up but never examined.

2000-06-20  Darin Adler  <darin@eazel.com>

	* RENAMING:
	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_get_info), (cancel_metafile_read),
	(nautilus_directory_cancel),
	(nautilus_directory_request_read_metafile),
	(nautilus_compare_file_with_name),
	(update_file_info_in_list_if_needed),
	(dequeue_pending_idle_callback),
	(nautilus_directory_get_info_for_new_files),
	(nautilus_async_destroying_file), (lacks_info), (wants_info),
	(request_is_satisfied), (start_monitoring_file_list),
	(get_info_callback), (start_getting_file_info), (state_changed):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy),
	(nautilus_directory_notify_files_moved):
	* libnautilus-extensions/nautilus-file-attributes.h:
	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_name), (nautilus_file_new_from_info),
	(nautilus_file_get), (rename_update_info_and_metafile),
	(nautilus_file_rename), (nautilus_file_get_gnome_vfs_uri),
	(nautilus_file_matches_uri), (nautilus_file_update_info),
	(nautilus_file_update_name), (nautilus_file_compare_by_type),
	(nautilus_file_compare_for_sort_internal),
	(nautilus_file_compare_name), (nautilus_file_get_metadata),
	(nautilus_file_get_metadata_list), (nautilus_file_set_metadata),
	(nautilus_file_set_metadata_list), (nautilus_file_get_name),
	(nautilus_file_get_uri), (info_missing),
	(nautilus_file_get_date_as_string), (nautilus_file_get_size),
	(nautilus_file_can_get_permissions),
	(nautilus_file_get_permissions_as_string),
	(nautilus_file_get_owner_as_string),
	(nautilus_file_get_group_as_string),
	(nautilus_file_get_mime_type_as_string_attribute),
	(nautilus_file_get_size_as_string),
	(nautilus_file_get_string_attribute),
	(nautilus_file_get_type_as_string), (nautilus_file_get_file_type),
	(nautilus_file_get_mime_type), (nautilus_file_is_mime_type),
	(nautilus_file_get_emblem_names), (nautilus_file_get_keywords),
	(nautilus_file_is_symbolic_link), (nautilus_file_is_executable),
	(nautilus_file_mark_gone), (nautilus_file_activate_custom):
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_get_largest_fitting_font):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file),
	(nautilus_icon_factory_get_pixbuf_for_file),
	(nautilus_icon_factory_get_pixmap_and_mask_for_file):
	* src/nautilus-main.c: (nautilus_leak_checker_init),
	(nautilus_leak_print_leaks), (print_leaks), (main):
	* src/nautilus-sidebar-title.c: (nautilus_gtk_pixmap_new_empty),
	(nautilus_sidebar_title_initialize),
	(nautilus_sidebar_title_destroy), (update_icon), (update_title),
	(append_and_eat), (update_more_info), (add_emblem),
	(update_emblems), (update_notes),
	(nautilus_sidebar_title_get_text),
	(nautilus_sidebar_title_set_text), (update_all),
	(nautilus_sidebar_title_set_uri):
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_load_content_view_menu):

2000-06-20  Michael Engber  <engber@eazel.com>

	* src/file-manager/fm-list-view.c: (fm_list_view_bump_zoom_level),
	(fm_list_view_zoom_to_level),
	(fm_list_view_restore_default_zoom_level),
	(fm_list_view_begin_loading), (fm_list_view_set_zoom_level):
	Finished off bugs 301 and 450 by making analogous zooming
	fixes for list-view as were previously done for icon-view.

2000-06-20  John Sullivan  <sullivan@eazel.com>

	Finished task 878 (permissions should be displayed as an
	octal number in Properties window)

	Finished task 880 (should show accessed & modified dates
	in Properties window)

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_octal_permissions_as_string):
	New function, returns permissions as octal number.
	(nautilus_file_get_permissions_as_string): Added check
	for invalid permissions.
	(nautilus_file_get_string_attribute): Added case for
	"octal_permissions"
	* src/file-manager/fm-icon-text-window.c: Made "octal
	permissions" a new choice for icon captions.
	* src/file-manager/fm-properties-window.c:
	(mtime_and_ctime_different): New function, does what you
	might think.
	(create_basic_page): Include accessed date/time, and 
	include modification date/time if different than changed
	date/time.
	(create_permissions_page): Show permissions as octal number
	in addition to as string.

2000-06-20  Michael Engber  <engber@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_report_zoom_level_changed):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c: (fm_icon_view_begin_loading),
	(fm_icon_view_set_zoom_level), (fm_icon_view_bump_zoom_level),
	(fm_icon_view_zoom_to_level),
	(fm_icon_view_restore_default_zoom_level):
	* src/nautilus-view-frame.c: (nautilus_view_frame_load_client):
	* src/nautilus-window.c:
	(nautilus_window_zoom_level_changed_callback),
	(nautilus_window_connect_view),
	(nautilus_window_real_set_content_view):
	* src/nautilus-zoom-control.c: (set_zoom_level),
	(nautilus_zoom_control_button_press_event),
	(nautilus_zoom_control_reset_zoom_level),
	(nautilus_zoom_level_from_double),
	(nautilus_zoom_control_set_zoom_level):
	The zoom control is now driven by its zoomable. This corrected
	the most visible problem - getting the correct initial state.
	Previously, the zoomable never propagated any messages back
	(not that anyone was listening for them anyway).

2000-06-20  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	Exorcise libnautilus-extensions.h.  Its really used anywhere and
	stuff in this library is private anyway.  Also, prevent the
	makefile from even creating the installed libnautilus-extensions
	directory since nothing gets installed there.

	* libnautilus-extensions/libnautilus-extensions.h:
	Removed from build.
	
	* components/help/hyperbola-main.c:
	Updated for libnautilus-extensions.h exorcism.
	
2000-06-20  Ramiro Estrugo  <ramiro@eazel.com>

	* components/tree/.cvsignore:
	Ignore the generated files. 

2000-06-20  John Sullivan  <sullivan@eazel.com>

	Finished task 670 (Open multiple windows when multiple
	URIs dropped on location bar).

	* src/nautilus-location-bar.c: 
	(nautilus_location_bar_get_window): New helper function.
	(drag_data_received_callback): If multiple URIs dropped,
	ask the user whether they want to view each in a separate 
	window.

2000-06-20  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	* libnautilus-extensions/Makefile.am:
	* libnautilus/Makefile.am:
	* librsvg/Makefile.am:
	* nautilus-installer/src/Makefile:
	* src/Makefile.am:
	* src/file-manager/Makefile.am:
	* test/Makefile.am:
	Remove the GNOMECANVASPIXBUF depedency.  Its not used no more.

Tue Jun 20 01:49:08 2000  George Lebl  <jirka@5z.com>

	* test/nautilus-leak-symbol-lookup.c
	(nautilus_leak_symbol_map_get_offsets):  Do the sscanf into a
	gulong and then assign to the inode which is of type ino_t to avoid
	#ifdefs or other hacks to make it work on alpha.

2000-06-19  Maciej Stachowiak  <mjs@eazel.com>

	FIXME 1262 believed fixed now:
	
	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_short_list_components_for_uri,
	gnome_vfs_mime_application_has_id_not_in_list): Fixed some memory
	leaks.
	
	* src/nautilus-window.c (nautilus_window_load_content_view_menu):
	Fixed a memory leak.

2000-06-19  Ramiro Estrugo  <ramiro@eazel.com>

	* components/html/ntl-web-browser.oafinfo:
	* components/mozilla/nautilus-mozilla-content-view.oafinfo:
	Update the "name" attributes to reflect the fact that mozilla is
	the default "text/html" handler for gnome vfs.
	
2000-06-19  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Added better mozilla detection artificial intelligence and voodoo.
	
2000-06-19  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/Makefile.am, components/tree/main.c,
	components/tree/nautilus-tree-view.c,
	components/tree/nautilus-tree-view.h,
	components/tree/nautilus-tree-view.oafinfo: Skeleton of the tree
	component. For now it just creates the tree widget and puts in
	some hard-coded directories.

	* components/Makefile.am, configure.in: Add tree component to the
	build.

2000-06-19  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.h:
	Removed old never-implemented prototypes that no longer even fit
	the general design.

2000-06-19  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c: Remove stray
	#ifdef.

2000-06-19  John Sullivan  <sullivan@eazel.com>

	Finished bug 1401 (bookmark icon never updates) and some
	related issues.

	* libnautilus-extensions/nautilus-directory-async.c:
	(metafile_read_done): Call emit_metadata_changed so
	change-watchers will know that new metadata is available.
	(set_up_request_by_file_attributes): Added FIXME comment
	about confusion between file attributes and metadata.
	(is_anyone_waiting_for_metafile): Made it check monitor_list
	as well as call_when_ready_list.
	
	* libnautilus-extensions/nautilus-icon-factory.h,
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_required_file_attributes):
	New function, returns the list of file attributes needed
	to get the right icon for a file.
	(nautilus_icon_factory_is_icon_ready_for_file): Rewrote
	to call this new function.
	
	* src/nautilus-bookmark-list.c:
	(bookmark_in_list_changed_callback), (stop_monitoring_bookmark),
	(stop_monitoring_one), (insert_bookmark_internal),
	(nautilus_bookmark_list_append),
	(nautilus_bookmark_list_delete_item_at),
	(nautilus_bookmark_list_delete_items_with_uri),
	(nautilus_bookmark_list_insert_item),
	(nautilus_bookmark_list_load_file): Made bookmark list monitor
	the "changed" signal of all its bookmarks, so it knows to save
	new improved icons or names to disk.
	* src/nautilus-sidebar-title.c: 
	(nautilus_sidebar_title_set_uri): add file monitor in all cases,
	not just if it's a directory; monitor the attributes needed for
	getting an icon too. This fixes a bug where a custom icon on the
	user's home directory wouldn't appear in the sidebar.
	(release_file): remove file monitor in all cases.

2000-06-19  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_short_list_components_for_uri),
	(make_oaf_query_with_known_mime_type),
	(make_oaf_query_with_uri_scheme_only): Make sort conditions
	syntactically valid when we don't have a MIME type. Added a FIXME
	to report the error properly when we have better error handling.
	
	* src/nautilus.oafinfo: Remove hardware: as a supported URI scheme
	from the list view.

2000-06-19  Maciej Stachowiak  <mjs@eazel.com>

	* HACKING: Added docs on how to use the leak checker, thanks to
	Pavel.

2000-06-19  John Sullivan  <sullivan@eazel.com>

	Fixed uninitialized variable that was masking the real
	reason why eazel: URIs don't work today (real reason 
	has not been figured out yet).

	* src/nautilus-applicable-views.c: (got_file_info_callback):
	Initialize default_id to NULL.

	More work towards bug 1401 (bookmark icon never updates).
	Almost done, but for a bug where bookmark for current
	location in Go menu doesn't get an icon.

	* libnautilus-extensions/nautilus-string.h,
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_is_empty): New function, returns TRUE for
	NULL or zero-length string.

	* libnautilus-extensions/nautilus-file-attributes.h:
	Added #define for NAUTILUS_FILE_ATTRIBUTE_CUSTOM_ICON
	
	* libnautilus-extensions/nautilus-directory-async.c:
	Add file_info to Request struct.
	(request_is_satisfied): Renamed from ready_callback_is_satisfied;
	now takes a Request and a NautilusFile instead of a ReadyCallback.
	(call_ready_callbacks): Update existing caller for API change.
	(set_up_request_by_file_attributes): Set request's file_info
	field to TRUE if mime type requested; set request's metafile
	field to TRUE if custom icon requested.	
	(nautilus_directory_check_if_ready_internal): New function,
	use request_is_satisfied to see whether specified attributes 
	are available.
	* libnautilus-extensions/nautilus-directory-private.h:
	Added nautilus_directory_check_if_ready_internal.
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_check_if_ready): Call nautilus_directory_check_
	if_ready_internal.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_is_icon_ready_for_file): Implemented
	this formerly nonexistent function by calling 
	nautilus_file_check_if_ready

	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_destroy), (nautilus_bookmark_icon_is_different),
	(nautilus_bookmark_update_icon), (bookmark_file_changed_callback),
	(nautilus_bookmark_set_icon_to_default), (nautilus_bookmark_new),
	(nautilus_bookmark_new_with_icon): NautilusBookmark now keeps
	ahold of a NautilusFile internally so it can notice its
	"changed" signal. When this signal fires, the bookmark determines
	whether a changed icon is available.

2000-06-19  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-list.c: (activate_row),
	(nautilus_list_is_row_selected), (row_set_selected),
	(select_row_unselect_others), (nautilus_list_select_all),
	(nautilus_list_button_press), (nautilus_list_button_release),
	(nautilus_list_set_keyboard_focus),
	(nautilus_list_keyboard_move_to), (nautilus_list_select_row),
	(keyboard_row_reveal_timeout_callback),
	(schedule_keyboard_row_reveal), (reveal_row),
	(nautilus_list_keyboard_navigation_key_press),
	(nautilus_list_activate_selected_items), (nautilus_list_key_press),
	(list_requisition_width), (new_column_width),
	(size_allocate_columns), (get_cell_style),
	(gdk_window_size_as_rectangle), (draw_cell_pixmap),
	(draw_cell_pixbuf), (get_cell_horizontal_start_position),
	(last_column_index), (get_cell_rectangle),
	(get_cell_greater_rectangle), (draw_cell), (draw_row), (draw_rows),
	(nautilus_list_resize_column), (nautilus_list_mark_cell_as_link),
	(nautilus_list_set_cell_contents), (nautilus_list_set_pixbuf_list),
	(nautilus_list_track_new_column_width),
	(nautilus_list_column_resize_track_start),
	(nautilus_list_column_resize_track),
	(nautilus_list_column_resize_track_end),
	(nautilus_list_drag_motion), (nautilus_list_drag_drop),
	(nautilus_list_drag_data_received), (nautilus_list_row_at),
	(insert_row):
	Rewrite draw_row introducing draw_cell and splitting up the drawing
	code into several routines.
	Eliminate/simplify a bunch of confused blitting code in draw_row.
	Fix formatting in nautilus_list.c.
	Rename a number of function arguments to more meaningful names.
	
2000-06-18  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw_flat_box):
	fixed long-standing bug where gradient or tiled image backgrounds
	would draw over other widgets in the sidebar.  Fixed by making
	nautilus_background_draw_flat_box set up the clip rectangle if
	necessary.
	
2000-06-18  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_remove_image_uri),
	(nautilus_icon_factory_clear_image), (first_file_more_recent),
	(nautilus_icon_factory_get_thumbnail_uri), (check_for_thumbnails):
	made it check modification dates to update thumbnails when their
	underlying image changes.  Had to add a routine to remove specific
	images from the icon cache.
	
2000-06-18  J Shane Culpepper  <pepper@eazel.com>

	* components/services/inventory/.cvsignore:
	* components/services/inventory/Makefile.am:
	* components/services/inventory/command-line/README:
	* components/services/inventory/idl/.cvsignore:
	* components/services/inventory/idl/Makefile.am:
	* components/services/inventory/idl/trilobite-eazel-inventory.idl:
	* components/services/inventory/lib/.cvsignore:
	* components/services/inventory/lib/Makefile.am:
	* components/services/inventory/lib/trilobite-eazel-inventory-public.h:
	* components/services/inventory/nautilus-view/.cvsignore:
	* components/services/inventory/nautilus-view/Makefile.am:
	* components/services/inventory/nautilus-view/icons/.cvsignore:
	* components/services/inventory/nautilus-view/icons/Makefile.am:
	* components/services/inventory/nautilus-view/main.c: (main):
	* components/services/inventory/nautilus-view/nautilus-inventory-view.c:
	* components/services/inventory/nautilus-view/nautilus-inventory-view.h:
	* components/services/inventory/service/.cvsignore:
	* components/services/inventory/service/Makefile.am:
	* components/services/inventory/service/main.c: (main):
	* components/services/inventory/service/trilobite-eazel-inventory-impl.c:
	* components/services/login/nautilus-view/.cvsignore:
	* configure.in:

	Adding one more template.  I forgot about this one.  Its not hooked up
	to core builds yet but it will build.

2000-06-18  Pavel  <pavel@eazel.com>

	* test/nautilus-leak-symbol-lookup.c:
	(nautilus_leak_symbol_map_get_offsets):
	Do a better 64-bit clean fix avoiding messy ifdefs.

Sun Jun 18 02:50:47 2000  George Lebl <jirka@5z.com>

	* components/help/help-method.c (file_in_info_path):
	  s/g_str_freev/g_strfreev/ as that's the correct glib name

	* components/help/hyperbola-main.c,
	  components/help/hyperbola-nav-index.c,
	  components/help/hyperbola-nav-search.c
	  components/help/hyperbola-nav-tree.c,
	  components/help/hyperbola-nav.h:  Use hyperbola-nav.h as a header
	  to put the prototypes from the hyperbola-nav-*.c files.  And
	  include this file in hyperbola-main.c and hyperbola-nav-*.c

	* libnautilus-extensions/nautilus-global-preferences.c
	  (global_preferences_register_boolean_with_defaults)
	  (global_preferences_register_enum_with_defaults),
	  libnautilus-extensions/nautilus-preferences.c
	  (preferences_hash_node_check_changes_func)
	  (user_level_changed_callback):
	  use GU?INT_TO_POINTER and GPOINTER_TO_U?INT macros to get and pass
	  ints and uints as pointers.

	* librsvg/rsvg-bpath-util.c, test/nautilus-leak-checker.c:
	  include <string.h>
	
	* test/nautilus-leak-checker.c (nautilus_leak_record_malloc)
	  (nautilus_leak_record_realloc) (nautilus_leak_record_free)
	  (print_one_leak):  Store pointers in gulongs not guints and
	  when printing size_t, cast to long and use %ld.

	* test/nautilus-leak-symbol-lookup.c
	  (nautilus_leak_symbol_map_get_offsets): When reading in gint64,
	  check if long is actually 64bit, in which case use %lx otherwise
	  use %Lx for sscanf.

2000-06-18  J Shane Culpepper  <pepper@eazel.com>

	* components/services/login/.cvsignore:
	* components/services/login/Makefile.am:
	* components/services/login/command-line/README:
	* components/services/login/idl/.cvsignore:
	* components/services/login/idl/Makefile.am:
	* components/services/login/idl/trilobite-eazel-login.idl:
	* components/services/login/lib/.cvsignore:
	* components/services/login/lib/Makefile.am:
	* components/services/login/lib/trilobite-eazel-login-public.h:
	* components/services/login/nautilus-view/.cvsignore:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/icons/.cvsignore:
	* components/services/login/nautilus-view/icons/Makefile.am:
	* components/services/login/nautilus-view/main.c: (main):
	* components/services/login/nautilus-view/nautilus-login-view.c:
	* components/services/login/nautilus-view/nautilus-login-view.h:
	* components/services/login/service/.cvsignore:
	* components/services/login/service/Makefile.am:
	* components/services/login/service/main.c: (main):
	* components/services/login/service/trilobite-eazel-login-impl.c:
	* components/services/summary/.cvsignore:
	* components/services/summary/Makefile.am:
	* components/services/summary/command-line/README:
	* components/services/summary/idl/.cvsignore:
	* components/services/summary/idl/Makefile.am:
	* components/services/summary/idl/trilobite-eazel-summary.idl:
	* components/services/summary/lib/.cvsignore:
	* components/services/summary/lib/Makefile.am:
	* components/services/summary/lib/trilobite-eazel-summary-public.h:
	* components/services/summary/nautilus-view/.cvsignore:
	* components/services/summary/nautilus-view/Makefile.am:
	* components/services/summary/nautilus-view/icons/.cvsignore:
	* components/services/summary/nautilus-view/icons/Makefile.am:
	* components/services/summary/nautilus-view/main.c: (main):
	*
	components/services/summary/nautilus-view/nautilus-summary-view.c:
	*
	components/services/summary/nautilus-view/nautilus-summary-view.h:
	* components/services/summary/service/.cvsignore:
	* components/services/summary/service/Makefile.am:
	* components/services/summary/service/main.c: (main):
	*
	components/services/summary/service/trilobite-eazel-summary-impl.c:

	Adding 2 new templates to finish out all of the missing service pieces
	I know of right now.  Once again these will build but they are not
	hooked into he core build. They don't do anything yet.

	* components/services/trilobite/libtrilobite/helixcode-utils.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-distribut
	ion.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-messaging
	.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-messaging
	.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-metadata-
	manager.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-metadata-
	manager.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-network.c
	:
	*
	components/services/trilobite/libtrilobite/trilobite-core-network.h
	:
	*
	components/services/trilobite/libtrilobite/trilobite-core-package-m
	anager.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-package-m
	anager.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-security-
	manager.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-security-
	manager.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-tests.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-tests.h:
	*
	components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	*
	components/services/trilobite/libtrilobite/trilobite-core-utils.h:
	* components/services/trilobite/libtrilobite/trilobite-tests.c:
	* components/services/trilobite/libtrilobite/trilobite-tests.h:
	* components/services/trilobite/libtrilobite/trilobite-utils.c:
	* components/services/trilobite/libtrilobite/trilobite-utils.h:

	Cleaned up some more trilobite code to be in sync with our current
	standards.

	* components/services/vault/idl/trilobite-eazel-vault.idl:
	* components/services/vault/lib/.cvsignore:
	* components/services/vault/nautilus-view/nautilus-vault-view.h:
	* components/services/vault/service/.cvsignore:

	Minor fixes to previous checkin.

	* configure.in:

	Added makefile generation of login and summary directories.

2000-06-17  J Shane Culpepper  <pepper@eazel.com>

	* components/services/trilobite/sample/command-line/main.c: (main):
	* components/services/trilobite/sample/nautilus-view/main.c:
	*
	components/services/trilobite/sample/nautilus-view/nautilus-sample-
	service-view.c:
	*
	components/services/trilobite/sample/nautilus-view/nautilus-sample-
	service-view.h:
	*
	components/services/trilobite/sample/nautilus-view/nautilus-sample-
	service-view.oafinfo:
	*
	components/services/trilobite/sample/service/trilobite-eazel-sample
	-service.oafinfo:

	Fixing oafinfo files to coorespond to the naming scheme. Minor cosmetic
	fixes.

2000-06-17  J Shane Culpepper  <pepper@eazel.com>

	* components/services/install/lib/eazel-install-metadata.h:
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.h:
	* components/services/install/lib/eazel-install-tests.h:
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.h:

	Fixed install headers to use correct ifdefs.  Mostly cosmetic.

	* components/services/trilobite/sample/lib/sample-service-public.h:
	* components/services/trilobite/sample/nautilus-view/.cvsignore:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	*
	components/services/trilobite/sample/nautilus-view/nautilus-eazel-s
	ample-service-view.oafinfo:
	*
	components/services/trilobite/sample/nautilus-view/nautilus-sample-
	service-view.oafinfo:
	*
	components/services/trilobite/sample/service/sample-service-public.
	h:

	More sample fixes to standardize our defacto service template.

	* components/services/vault/.cvsignore:
	* components/services/vault/Makefile.am:
	* components/services/vault/command-line/.cvsignore:
	* components/services/vault/command-line/Makefile.am:
	* components/services/vault/command-line/main.c: (main):
	* components/services/vault/idl/.cvsignore:
	* components/services/vault/idl/Makefile.am:
	* components/services/vault/idl/trilobite-eazel-vault.idl:
	* components/services/vault/lib/.cvsignore:
	* components/services/vault/lib/Makefile.am:
	* components/services/vault/lib/trilobite-eazel-vault-public.h:
	* components/services/vault/nautilus-view/.cvsignore:
	* components/services/vault/nautilus-view/Makefile.am:
	* components/services/vault/nautilus-view/icons/.cvsignore:
	* components/services/vault/nautilus-view/icons/Makefile.am:
	* components/services/vault/nautilus-view/main.c: (main):
	* components/services/vault/nautilus-view/nautilus-vault-view.c:
	* components/services/vault/nautilus-view/nautilus-vault-view.h:
	* components/services/vault/service/.cvsignore:
	* components/services/vault/service/Makefile.am:
	* components/services/vault/service/main.c: (main):
	* components/services/vault/service/trilobite-eazel-vault-impl.c:
	* configure.in:

	Added the vault skeleton.  Not hooked up to the build yet since there's
	nothing of substance here yet.  It will build though.

2000-06-16  Andy Hertzfeld  <andy@eazel.com>

	* icons/Makefile.am:
	* icons/knob.png:
	added a nice knobbie image for the stretch handles
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles_aa), (nautilus_icon_canvas_item_render):
	use the knob image instead of a black rectangle for the
	stretch handles.  For now, it only appears in aa mode and they're
	not positioned right.
	* src/nautilus-window-toolbars.c: (get_stock_callback),
	(get_stock_widget), (setup_button), (setup_toolbar_images):
	added the search button to the toolbar theming machinery
	
2000-06-16  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window-menus.c: (clear_appended_bookmark_items):
	Added a NULL check that prevents it from crashing when you
	add bookmarks or change themes.

2000-06-16  John Sullivan  <sullivan@eazel.com>

	More work towards bug 1401 (bookmark icon never updates).
	You can avoid some warnings if you get the latest Bonobo.

	* libnautilus-extensions/nautilus-bookmark.h:
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_initialize_class), (nautilus_bookmark_set_name):
	Define "changed" signal for bookmarks and wire it up (though
	not yet to the icon-changing case). Remove never-implemented
	and never-to-be-implemented "nautilus_bookmark_get_file" since
	I changed my mind on the design.
	* src/nautilus-window-menus.c: (append_bookmark_to_menu),
	(clear_appended_bookmark_items): Connect and disconnect
	signals from the window to the bookmarks in the Go and
	Bookmarks menus.

2000-06-16  Arlo Rose  <arlo@eazel.com>
	* icons/eazel/search.png
	* icons/About_Image.png
	Fixed the invalid white point error on out about image.
	Made the "Eazel Theme" search icon look like an icon Susan
	would have done.

2000-06-16  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri),
	(nautilus_mime_get_default_application_for_uri_internal),
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_all_applications_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri):
	Simplify the handling of NULL MIME type.

2000-06-16  Rebecka Schulman  <set EMAIL_ADDRESS environment variable>

	* icons/Makefile.am:
	* icons/eazel/Makefile.am:
	* icons/search.png:
	Fixed search icon issues, I hope

2000-06-16  Darin Adler  <darin@eazel.com>

	Another round in the war against computer poetry at the console.

	* components/loser/content/main.c: (loser_make_object), (main):
	* components/loser/sidebar/main.c: (loser_make_object), (main):
	* components/sample/main.c: (sample_make_object), (main):
	* components/services/startup/nautilus-view/main.c:
	(services_object_destroyed), (services_make_object):
	* src/nautilus-location-bar.c:
	(nautilus_location_bar_set_location):
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_set_location):
	Took out a lot of puts calls that may have once been useful for
	debugging but now are mostly misleading.

2000-06-16  John Sullivan  <sullivan@eazel.com>

	Some work towards bug 1401 (bookmark icon never updates).
	No visible effect yet.

	* libnautilus-extensions/nautilus-bookmark.h:
	Added nautilus_bookmark_get_file prototype, not yet
	called or implemented.
	
	* libnautilus-extensions/nautilus-file.h,
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_check_if_ready): New function, does
	nothing yet.

	* libnautilus-extensions/nautilus-icon-factory.h:
	Added nautilus_icon_factory_is_icon_ready_for_file
	prototype, not yet called or implemented.
		
	* src/nautilus-window-menus.c:
	(nautilus_window_initialize_bookmarks_menu),
	(nautilus_window_initialize_go_menu),
	(nautilus_window_remove_bookmarks_menu_callback),
	(nautilus_window_remove_go_menu_callback),
	(refresh_bookmarks_menu), 
	(refresh_bookmarks_menu_idle_callback),
	(schedule_refresh_bookmarks_menu), (refresh_go_menu),
	(refresh_go_menu_idle_callback), (schedule_refresh_go_menu):
	Made the code that rebuilds the Go and Bookmarks menus when
	there's been a change to the bookmarks use idle handling to
	batch up requests. This will be important when bookmarks
	broadcast updates for their icons.
	
	* src/nautilus-window-private.h: Defined NautilusWindowDetails
	struct. We should eventually migrate all of the fields
	of NautilusWindow in here, but I didn't do that now.
	Added two fields used by bookmark-menu-updating code.
	* src/nautilus-window.h: Made a details field using
	NautilusWindowDetails.

	* src/nautilus-window.c: 
	(nautilus_window_init): Create details field.
	(nautilus_window_destroy): Clean up any pending idle bookmark
	refreshing stuff.

2000-06-16  Rebecka Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	* libnautilus-extensions/nautilus-global-preferences.h:
	* src/nautilus-search-bar.c: (nautilus_search_bar_initialize):
	* src/nautilus-search-bar.h: 
	Changed search preferences, and fixed search icon
	
2000-06-16  Darin Adler  <darin@eazel.com>

	* src/nautilus-location-bar.c: (try_to_expand_path):
	Removed first cut at a fix for the "space accepts" problem.
	(entry_would_have_inserted_characters),
	(editable_key_press_callback), (nautilus_location_bar_initialize):
	Put in a new fix that uses a marshal function to avoid clobbering
	the return value of key_press_event.

2000-06-16  Rebecka Schulman  <rebecka@eazel.com>

	* icons/eazel/Search.png:
	Added search icon to toolbar, courtesy of Arlo.
	It still has graphics issues, we will try and iron
	those out
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	Changed the word on the search preferences

2000-06-16  Darin Adler  <darin@eazel.com>

	* components/services/trilobite/sample/lib/.cvsignore:
	New generated files that needed to be ignored.
	
	* libnautilus-extensions/nautilus-bookmark.c: (get_icon_for_uri):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(receive_dropped_keyword):
	* src/nautilus-sidebar.c: (receive_dropped_keyword),
	(open_with_callback):
	* src/nautilus-window-manage-views.c: (handle_unreadable_location),
	(nautilus_window_end_location_change_callback):
	* src/nautilus-window.c: (view_menu_choose_view_callback):
	Added FIXME comments for all cases I might have to revisit to
	finish with bug 866.
	
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_search_directory_new),
	(nautilus_directory_new), (nautilus_directory_is_local),
	(nautilus_directory_is_search_directory):
	Removed the is_local and is_search_directory booleans since they
	are very fast to compute.
	(nautilus_directory_call_when_ready): Removed the special case for
	search directories that was causing a problem with NULL
	directories.  This is better handled inside
	nautilus-directory-async.c.
	(nautilus_uri_is_search_uri): Greatly simplified the
	implementation of the function and moved it out of the
	"self-check-specific" part of the file.
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_format_uri_for_display), (nautilus_make_uri_from_input),
	(nautilus_get_user_main_directory):
	Renamed SCHEMA -> SCHEME. Converted code to use
	nautilus_get_uri_from_local_path instead of just adding a file://
	on the beginning of path names.
	
	* libnautilus-extensions/nautilus-file.c: (nautilus_file_get):
	Did part of the work needed to make this function do its work
	async. It now only does the I/O if the file is not already known,
	but there's still the issue of doing the I/O only when requested.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(receive_dropped_keyword): Fixed storage leaks.
	(nautilus_icon_container_receive_dropped_icons),
	(nautilus_icon_dnd_update_drop_target): Added FIXMEs about
	file-specific stuff that's in here but should be in FMIconView.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(path_represents_svg_image): Changed local svg check to use
	gnome-vfs instead of NautilusFile.  This is better since we want
	it to be sync.
	(load_specific_image): Change to use
	nautilus_get_local_path_from_uri instead of doing its own file://
	checks and unescaping.
	
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal): Call the
	new public OAF_ServerInfo_duplicate from liboaf instead of our
	own copy. The one I checked in liboaf has a number of bugs fixed
	from the one that was in here.
	(mime_type_get_supertype): Put in a special case for NULL so we
	don't return "/*" as a supertype for NULL.
	(nautilus_do_component_query): Call OAF_ServerInfo_duplicate.
	Also get rid of a NULL check before CORBA_free.
	
	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(nautilus_timed_wait_start), (nautilus_timed_wait_free):
	* libnautilus-extensions/nautilus-stock-dialogs.h:
	Added a window title to the still-not-implemented code in here.
	
	* src/file-manager/fm-icon-text-window.c:
	(create_icon_text_window): Changed the window title to match the
	menu item.
	
	* src/nautilus-main.c: Formatting tweaks.
	
	* src/nautilus-sidebar.c: (receive_dropped_keyword), Fixed a
	storage leak. Put in a FIXME about the code that is a copy of
	what's in the icon view.
	
2000-06-16  Maciej Stachowiak  <mjs@eazel.com>

	Task 1351: implement controllers to allow location bar and the
	search/browse button

	* src/nautilus-location-bar.h, src/nautilus-location-bar.c:
	Factored this into two classes, NautilusNavigationBar, a class
	that defines the abstract interface (the set_location function and
	the location_changed signal), and NautilusLocationBar, a concrete
	implementation that works like the previous location bar.
	(nautilus_location_bar_set_location,
	nautilus_location_bar_get_location): Made static. Made
	`nautilus_location_bar_set_location' the handler for the
	set_location virtual method.
	* src/nautilus-navigation-bar.h, src/nautilus-navigation-bar.c:
	Abstract superclass for navigation bars.
	* src/nautilus-search-bar.h, src/nautilus-search-bar.c: New
	subclass of NautilusNavigationBar. Contains placeholder widgets
	for now, will eventually be the search bar.
	* src/nautilus-switchable-navigation-bar.h,
	src/nautilus-switchable-navigation-bar.c: New subclass of
	NautilusNavigationBar that allows switching between the location
	bar and the search bar.
	* src/nautilus-window.h: Rename `ent_uri' member of the window
	struct to `navigation_bar'.
	* src/nautilus-window.c
	(nautilus_window_navigation_bar_mode_changed_callback): Callback
	to sync the "search" toggle button to the mode of the switchable
	navigation bar.
	(nautilus_window_constructed): Create a
	NautilusSwitchableNavigationBar instead of a NautilusLocationBar.
	(nautilus_window_set_search_mode): New function to be used by the
	search toggle button callback; simply sets the mode of the
	switchable navigation bar appropriately.
	* src/nautilus-window-toolbars.c: Made Search button a toggle
	button.
	(toolbar_search_callback): Call `nautilus_window_set_search_mode'.
	* src/nautilus-window-manage-views.c
	(nautilus_window_update_internals,
	nautilus_window_end_location_change_callback): Use
	NautlusNavigationBar calls instead of NautilusLocationBar ones.
	* src/Makefile.am: Add new files to the build, and split all
	headers into noinst_HEADERS out from the nautilus_SOURCES
	variable.

2000-06-16  Seth Nickell  <seth@eazel.com>

	* src/nautilus-location-bar.h:
	* src/nautilus-location-bar.c: (nautilus_location_bar_get_location)
	Added function nautilus_location_bar_get_location
	* src/nautilus-location-bar.c: (drag_data_received_callback),
	(drag_data_get_callback), (editable_activated_callback),
	Changed to call nautilus_location_bar_get_location. An incidental
	effect (well actually intentional) is that nautilus-location-bar.c
	no longer uses gtk_entry_get_text. Hopefully this function will
	keep people adding code "mid-stream" to the URL bar (eg before
	activation, such as the auto-completion code) from being confused
	by the disparity between URIs and what the user is allowed to
	type.

2000-06-16  J Shane Culpepper  <pepper@eazel.com>

	* components/services/trilobite/idl/sample-service.idl:
	* components/services/trilobite/sample/Makefile.am:
	* components/services/trilobite/sample/command-line/.cvsignore:
	* components/services/trilobite/sample/command-line/Makefile.am:
	* components/services/trilobite/sample/idl/.cvsignore:
	* components/services/trilobite/sample/idl/Makefile.am:
	* components/services/trilobite/sample/idl/sample-service.idl:
	* components/services/trilobite/sample/lib/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* configure.in:
	Fixing the trilobite sample component to use a more suitable layout.
	This will make the sample much easier to use as a template for new
	service components.

2000-06-16  Seth Nickell  <seth@eazel.com>

	* src/nautilus-location-bar.c: (try_to_expand_path):
	Don't be fooled by the meager function count!  This bug was/is a
	bitch. Added a gtk_widget_grab_focus call to the end of the
	function because *somewhere* in the above procedure the gtk focus
	is being fscked with. Will track the actual problem down later,
	but this will get it out of our hair so we can test things like
	unescaping code.  Also changed from gtk_entry_get_text to
	gtk_editable_get_chars as the former is deprecated and Truly Evil
	(tm).
	
2000-06-15  John Sullivan  <sullivan@eazel.com>

	Modernized some NautilusBookmark code that had been written
	in the dark ages (by me).

	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_compare_with), (nautilus_bookmark_copy),
	(nautilus_bookmark_get_name),
	(nautilus_bookmark_get_pixmap_and_mask),
	(nautilus_bookmark_get_pixbuf), (nautilus_bookmark_get_icon),
	(nautilus_bookmark_get_uri), (create_pixmap_widget_for_bookmark),
	(nautilus_bookmark_menu_item_new): Eliminated the use of
	const NautilusBookmark *; made _get_name and _get_uri return
	copies instead of the original text; tweaked a little formatting.

	* components/history/nautilus-history-view.c: (install_icon),
	(hyperbola_navigation_history_load_location),
	(hyperbola_navigation_history_select_row):
	* libnautilus-extensions/nautilus-bookmark.h:
	* src/nautilus-bookmark-list.c: (append_bookmark_node),
	(nautilus_bookmark_list_append), (nautilus_bookmark_list_contains),
	(nautilus_bookmark_list_delete_items_with_uri),
	(nautilus_bookmark_list_insert_item):
	* src/nautilus-bookmark-list.h:
	* src/nautilus-bookmarks-window.c: (install_bookmark_icon),
	(on_select_row), (repopulate):
	* src/nautilus-window-manage-views.c:
	(nautilus_window_reset_title_internal), (handle_go_back),
	(handle_go_forward), (handle_go_elsewhere):
	* src/nautilus-window-menus.c: (bookmark_holder_new),
	(show_bogus_bookmark_window), (activate_bookmark_in_menu_item),
	(append_bookmark_to_menu),
	(nautilus_window_add_bookmark_for_current_location):
	* src/nautilus-window.c: (nautilus_window_back_or_forward):
	Eliminated the use of const NautilusBookmark *; changed all
	callers of nautilus_bookmark_get_name and _get_uri to free
	the results.

2000-06-15  John Sullivan  <sullivan@eazel.com>

	Fixed bug 705 (Need to avoid network hit on startup for
	each remote bookmark). Bookmarks now get their icon only
	when they're initially created, and then store a text
	version of it to disk for future sessions. We might have
	to update the icon at certain times later (maybe when it's
	used?).

	* libnautilus-extensions/nautilus-bookmark.h,
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_copy), (nautilus_bookmark_get_pixbuf),
	(nautilus_bookmark_get_icon), (get_icon_for_uri),
	(nautilus_bookmark_new), (nautilus_bookmark_new_with_icon):
	Changed guts of NautilusBookmark to keep a 
	NautilusScalableIcon around. Also some miscellaneous
	cleanup in this ancient file (need to do more).
	
	* libnautilus-extensions/nautilus-icon-factory.h,
	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path): Added icon != NULL assert.
	(get_icon_file_path): Handle NULL icon name by returning NULL;
	some style fixes.
	(nautilus_scalable_icon_get_text_pieces): New function,
	returns all four pieces of text used to define a
	NautilusScalableIcon.
	(nautilus_scalable_icon_new_from_text_pieces):
	Renamed from nautilus_scalable_icon_get and made public.
	(nautilus_icon_factory_get_icon_for_file),
	(nautilus_icon_factory_get_emblem_icon_by_name),
	(load_image_with_embedded_text): Updated for function renaming.
	
	* src/nautilus-bookmark-list.c: (append_bookmark_node),
	(make_bookmark_from_node), (nautilus_bookmark_list_load_file):
	Save & restore NautilusScalableIcon with each bookmark.

	Added custom error message when trying to open a location
	fails with GNOME_VFS_LOGINFAILED

	* src/nautilus-applicable-views.h: Define 
	NAUTILUS_NAVIGATION_RESULT_LOGIN_FAILED
	* src/nautilus-applicable-views.c:
	(get_nautilus_navigation_result_from_gnome_vfs_result):
	Support GNOME_VFS_LOGINFAILED, and tweak message for
	unhandled case.
	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback):
	Support NAUTILUS_NAVIGATION_RESULT_LOGIN_FAILED and
	remove message for unhandled case since complaining
	about unhandled cases is done elsewhere.

2000-06-15  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window.c: (nautilus_window_constructed):
	At Arlo's request, removed the frame containing the sidebar.  This
	will look even better as the new splitter widget gets refined.
	
2000-06-15  Pavel Cisler  <pavel@eazel.com>

	* components/hardware/nautilus-hardware-view.c:
	* components/html/ntl-web-browser.oafinfo:
	* components/mozilla/nautilus-mozilla-content-view.oafinfo:
	* components/music/nautilus-music-view.c:
	* components/music/nautilus-music-view.oafinfo:
	* components/rpmview/nautilus-rpm-view.c:
	* components/shell/shell.oafinfo:
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_build_selection_list):
	* libnautilus-extensions/nautilus-drag.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_type_as_string):
	* src/nautilus-sidebar.c:
	* src/nautilus.oafinfo:
	Convert a bunch of illegal mime types "special/*" to 
	legal equivalents.
	
2000-06-15  Robin * Slomkowski <rslomkow@eazel.com>

	* nautilus.spec.in: added a requirment for ORbit 0.5.1

2000-06-15  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c: (fetch_play_time),
	(play_current_file), (nautilus_music_view_update_from_uri):
	fixed bug where the track time slider in the music view was not
	working anymore, that Darin introduced when he was cleaning
	stuff up.  Fixed by escaping and unescaping uris properly.
	
2000-06-15  J Shane Culpepper  <pepper@eazel.com>

	* HACKING:
	* components/services/install/command-line/Makefile.am:
	* components/services/install/lib/Makefile.am:
	* components/services/startup/lib/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* configure.in:
	* nautilus-installer/src/Makefile.am:

	Removing the gnet dependancy.  It is no longer used.

2000-06-15  JP Rosevear  <jpr@arcavia.com>

	* test/Makefile.am: Make sure that libleakcheck does not rely
	on the /gnome prefix to build. Make sure libleakcheck is cleaned
	and uninstalled properly.

2000-06-15  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(load_specific_image):
	fixed bug where images that had special characters (like blanks) wouldn't
	display as custom icons, by unescaping the uri before using it as a path
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(map_pixbuf):
	tweaked positioning of preview icon
	* src/nautilus-window-toolbars.c:
	fixed a misspelling in a tooltip (heirarchy -> hierarchy)
	* icons/audio.png,
	* icons/emblem-nowrite.png:
	new icons from Susan
	
2000-06-14  Rebecka Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Added search preferences to the preferences dialog
	
	* libnautilus-extensions/nautilus-search-async.c:
	(nautilus_async_medusa_search), (request_search),
	(search_results_received_callback):
	changed the result getting implementation to use 
	g_io_channel_watch, which emits a signal when
	results arrive at the socket

2000-06-14  Maciej Stachowiak  <mjs@eazel.com>

	Task 1057: Terminal-based programs should open into a new terminal window

	* libnautilus-extensions/nautilus-program-choosing.h,
	libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application): Take a GnomeVFSMimeApplication *
	instead of a command string; add gnome-terminal -x
	(nautilus_launch_application_from_command): Old version that takes
	a command string renamed. Also, uses `system' instead of `execlp',
	so command-line arguments in the command string work.
	* libnautilus-extensions/nautilus-program-chooser.c
	(launch_mime_capplet): Adjusted to conform.
	* src/file-manager/fm-directory-view.c
	(fm_directory_view_launch_application): Likewise.
	* src/nautilus-sidebar.c: (command_button_callback,
	nautilus_sidebar_chose_application_callback, add_command_buttons):
	Likewise.
	* test/test-nautilus-mime-actions.c (print_application): Show the
	requires_terminal field for applications.

2000-06-14  Pavel Cisler  <pavel@eazel.com>

	* test/Makefile.am:
	* test/nautilus-leak-checker.c: (detect_reentry),
	(nautilus_leak_record_malloc), (nautilus_leak_record_realloc),
	(nautilus_leak_record_free), (allocate_temporary_fallback_memory),
	(__libc_malloc), (__libc_memalign), (__libc_realloc),
	(__libc_free), (malloc), (realloc), (memalign), (calloc), (free),
	(main):
	Fix problems in the reentry detection code that caused malloc/frees
	sometimes getting counted twice.
	Add reentry detection for malloc getting reentered as a result of 
	calling realloc.
	
2000-06-14  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_initialize_class),
	(nautilus_horizontal_splitter_initialize),
	(nautilus_horizontal_splitter_destroy),
	(nautilus_horizontal_splitter_draw),
	(nautilus_horizontal_splitter_new):
	* libnautilus-extensions/nautilus-horizontal-splitter.h:
	Damn, forgot to commit these 2 in the last checkin.
	
2000-06-14  Ramiro Estrugo  <ramiro@eazel.com>

	* Makefile.am:
	* components/hardware/Makefile.am:
	* components/help/Makefile.am:
	* components/history/Makefile.am:
	* components/html/Makefile.am:
	* components/loser/content/Makefile.am:
	* components/loser/sidebar/Makefile.am:
	* components/music/Makefile.am:
	* components/notes/Makefile.am:
	* components/rpmview/Makefile.am:
	* components/sample/Makefile.am:
	* components/services/startup/nautilus-view/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/websearch/Makefile.am:
	* configure.in:
	* cut-n-paste-code/.cvsignore:
	* cut-n-paste-code/Makefile.am:
	* cut-n-paste-code/README:
	* cut-n-paste-code/widgets/.cvsignore:
	* cut-n-paste-code/widgets/Makefile.am:
	* cut-n-paste-code/widgets/e-paned/.cvsignore:
	* cut-n-paste-code/widgets/e-paned/Makefile.am:
	* cut-n-paste-code/widgets/e-paned/e-hpaned.c: (e_hpaned_get_type),
	(e_hpaned_class_init), (e_hpaned_init), (e_hpaned_new),
	(e_hpaned_size_request), (e_hpaned_size_allocate), (e_hpaned_draw),
	(e_hpaned_xor_line), (e_hpaned_button_press),
	(e_hpaned_button_release), (e_hpaned_motion),
	(e_hpaned_handle_shown):
	* cut-n-paste-code/widgets/e-paned/e-hpaned.h:
	* cut-n-paste-code/widgets/e-paned/e-paned.c: (e_paned_get_type),
	(e_paned_class_init), (e_paned_child_type), (e_paned_init),
	(e_paned_set_arg), (e_paned_get_arg), (e_paned_realize),
	(e_paned_map), (e_paned_unmap), (e_paned_unrealize),
	(e_paned_expose), (e_paned_add1), (e_paned_add2), (e_paned_pack1),
	(e_paned_pack2), (e_paned_add), (e_paned_remove), (e_paned_forall),
	(e_paned_get_position), (e_paned_set_position),
	(e_paned_set_handle_size), (e_paned_compute_position),
	(e_paned_handle_shown), (e_paned_quantized_size):
	* cut-n-paste-code/widgets/e-paned/e-paned.h:
	* cut-n-paste-code/widgets/e-paned/e-vpaned.c: (e_vpaned_get_type),
	(e_vpaned_class_init), (e_vpaned_init), (e_vpaned_new),
	(e_vpaned_size_request), (e_vpaned_size_allocate), (e_vpaned_draw),
	(e_vpaned_xor_line), (e_vpaned_button_press),
	(e_vpaned_button_release), (e_vpaned_motion),
	(e_vpaned_handle_shown):
	* cut-n-paste-code/widgets/e-paned/e-vpaned.h:
	* helper-utilities/authenticate/Makefile.am:
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/README:
	* libnautilus/README:
	* src/Makefile.am:
	* test/Makefile.am:
	Added a place to put cut-n-paste code.  Cut-n-pasted the e-paned
	widget from evolution.  Yes, and evil thing to do.  Send me mail
	with alternative solutions.

	Also added README files for libnautilus and
	libnautilus-extenstions to clarify thieir public vs internal
	state.

	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_real_set_content_view):
	Use the new NautilusHorizontalSplitter widget instead of 
	the gtk one.

2000-06-14  John Sullivan  <sullivan@eazel.com>

	Fixed bug 173 (UI for reverting directory view background 
	to default). Added "Reset Background" to Settings and 
	context menu.

	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_is_set), (nautilus_background_reset):
	New functions for checking whether the background has
	been set, and for resetting it to the uncustomized state.
	
	* libnautilus-extensions/nautilus-directory-background.c:
	(background_changed_callback), (directory_changed_callback):
	Changed default metadata value from white to NULL.
	
	* src/file-manager/fm-directory-view.h,
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class), (reset_background_callback),
	(fm_directory_view_get_background_widget),
	(fm_directory_view_get_background), (compute_menu_item_info),
	(append_gtk_menu_item_with_view), (append_selection_menu_subtree),
	(fm_directory_view_real_create_background_context_menu_items),
	(create_open_with_gtk_menu),
	(fm_directory_view_real_create_selection_context_menu_items),
	(insert_bonobo_menu_item), (insert_bonobo_menu_subtree),
	(reset_bonobo_trash_delete_menu), (reset_bonobo_open_with_menu),
	(fm_directory_view_real_merge_menus), (update_one_menu_item),
	(fm_directory_view_real_update_menus): Put "Reset Background"
	menu item in Settings menu and context menu; keep its
	sensitivity synched with background state.
	
	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_get_background_widget): New function to let
	superclass get at the NautilusBackground.
	(fm_icon_view_initialize_class): Wire up new function.
	(fm_icon_view_initialize), (create_icon_container): Remove
	unused return value for create_icon_container.
	
	* src/file-manager/fm-list-view.c: 
	(fm_list_view_get_background_widget): New function to let
	superclass get at the NautilusBackground.
	(fm_list_view_initialize_class): Wire up new function.
	(create_list): Remove unused return value.

2000-06-14  Robin * Slomkowski <rslomkow@eazel.com>

	* nautilus.spec.in: Added multiple Requires: because we can't rely on other packages

2000-06-14  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus.spec.in: Added popt > 1.5 as a requirement, since RH61
	installs popt 1.4.
	
2000-06-14  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_drag_data_received): Fixed bug where dropping
	colors into list view crashed by setting details->data_type and
	got_drop_data_type.
	* src/file-manager/fm-icon-view.c: (compute_menu_item_info):
	Changed menu item title from "Customize Icon Text..." to
	"Icon Captions...". Not sure if I like this verbless style yet.

2000-06-14  Robin * Slomkowski <rslomkow@eazel.com>

	* nautilus.spec.in: added permission so it can run for non-root
	* HACKING: clean up orginization, and added what could be used from Helix

2000-06-14  Pavel Cisler  <pavel@eazel.com>

	* configure.in:
	Fix some configure breakage.

2000-06-14  Fatih Demir	<kabalak@gmx.net>
	
	* configure.in: Reordered the languages.

	  Also added a check for bzip2 > 1.0.0 which has
	   got other bz-routines (but this point does need
	    more work to work.)	

2000-06-14  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* configure.in: Added German (de) to ALL_LINGUAS
	* nautilus.desktop: Added German translations
	
2000-06-14  Rebecka Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-search-async.c: (run_search),
	(initialize_socket), (get_key_from_cookie), (parse_results):
	added dummy search to nautilus-search-async 

2000-06-13  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c:
	(icon_container_preview_callback):
	made it display an icon's file name in the status bar at low zoom levels
	* src/file-manager/fm-directory-view.c,h:
	(fm_directory_view_display_selection_info),
	(display_selection_info_idle_callback):
	exposed display_selection_info routine externally, so the file name
	previewing can restore the selection info
	
2000-06-13  Pavel Cisler  <pavel@eazel.com>

	* test/Makefile.am:
	Couldn't figure out how to build the leakchecker shared library
	with libtool, added a simple link rule instead.
	
	* test/nautilus-leak-symbol-lookup.c:
	(nautilus_leak_find_symbol_in_map),
	(nautilus_leak_symbol_map_get_offsets),
	(nautilus_leak_symbol_map_load),
	(nautilus_leak_symbol_map_load_if_needed),
	(nautilus_leak_find_symbol_address),
	(nautilus_leak_print_symbol_address):
	Redid symbol lookup to work better in some cases where dladdr
	would not give us the right function.

	* test/nautilus-leak-checker.c: (allocate_lots), (leak_mem2),
	(leak_mem), (main):
	tweaks to testing code.

2000-06-13  Rebecca Schulman  <rebecka@eazel.com>
	Initial changes to implement search architecture.

	* libnautilus-extensions/Makefile.am:

	* libnautilus-extensions/nautilus-directory-async.c:
	Changed metafile reading to skip this for search directories
	call a separate sync reader for search directories (the
	async handle creates a thread but doesn't talk to medusa
	yet)

	Added
	* libnautilus-extensions/nautilus-search-async.c:
	* libnautilus-extensions/nautilus-search-async.h:
	location of future async search calls
	
	* libnautilus-extensions/nautilus-directory-private.h:
	added is_search_directory boolean field to NautilusDirectoryDetails
	* libnautilus-extensions/nautilus-directory.c:
	* libnautilus-extensions/nautilus-directory.h:
	nautilus_search_directory_new supplemnts nautilus_directory_new
	and test functions nautilus_diretory_is_search_directory and
	nautilus_uri_is_search_uri

	* src/nautilus-window.c:
	* src/nautilus-window-toolbars.c:
	added search button (icon to come!)
	
	* src/nautilus.oafinfo:
	added search: to list of acceptable 
	content for list view
	
2000-06-13  Darin Adler  <darin@eazel.com>

	Preparations to make nautilus_file_get use async. I/O.
	There's still a long way to go.

	* components/music/nautilus-music-view.c: (fetch_play_time),
	(format_play_time), (fetch_song_info), (play_status_display),
	(play_current_file), (nautilus_music_view_update_from_uri):
	Changed the music view so it doesn't use NautilusFile any more
	since it already has what it needs from gnome-vfs. There's still
	the issue of sync. vs. async. for this component.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(nautilus_timed_wait_start), (nautilus_timed_wait_free),
	(nautilus_timed_wait_stop):
	* libnautilus-extensions/nautilus-stock-dialogs.h:
	Started on something called nautilus_timed_wait that we need to
	use when all our lines are busy. Checked it in since I'll be in
	Palo Alto and don't want any non-checked-in changes.
	
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	Added comments and removed some dead code.
	
	* src/nautilus-window-menus.c: (uri_known_not_to_exist):
	Rewrote this to use sync. I/O on local files instead of using
	nautilus_file_get.
	
	* test/.cvsignore: Ignore some of the new files in this directory.

2000-06-13  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_short_list_components_for_uri): Completed task
	1267 (component query should pass allowed iids).
	
	(nautilus_mime_get_default_component_for_uri_internal,
	nautilus_mime_get_all_components_for_uri,
	make_oaf_query_with_known_mime_type,
	make_oaf_query_with_uri_scheme_only, nautilus_do_component_query):
	Adjust to necessary interface changes.

2000-06-13  John Sullivan  <sullivan@eazel.com>

	Finished task 1044 (Make "Open With Other" behave sensibly
	when there are no programs available for this file), and
	some related UI tweaking.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(launch_mime_capplet), (launch_mime_capplet_and_close_dialog):
	Split old launch_mime_capplet into these two parts, so I
	could call the simpler one from two places.
	(run_program_configurator_callback),
	(nautilus_program_chooser_new): Moved the "Why not visit the
	Control Center?" box from the sub-dialog into the main dialog.
	Also created both a "Cancel" and "Done" button, only one of
	which is shown at a time.
	(nautilus_program_chooser_set_is_cancellable): New function,
	determines which of the two buttons "Cancel" and "Done" to
	display.
	(nautilus_program_chooser_show_no_choices_message):
	New function, puts up a modeless dialog telling user that
	there are no applications/viewers for this file and asking
	if they want to go to the File Types and Programs capplet.

	* libnautilus-extensions/nautilus-program-chooser.h:
	Prototype for nautilus_program_chooser_show_no_choices_message. 

	* libnautilus-extensions/nautilus-program-choosing.c:
	(any_programs_available_for_file): New helper function.
	(nautilus_choose_component_for_file),
	(nautilus_choose_application_for_file): Reworked a bit to
	call nautilus_program_chooser_show_no_choices_message
	in the case where there are no choices at all.

2000-06-13  Pavel Cisler <pavel@eazel.com>

	* test/nautilus-leak-checker-stubs.h:
	* test/nautilus-leak-checker.c:
	(nautilus_leak_allocation_record_init),
	(nautilus_leak_allocation_record_copy),
	(nautilus_leak_allocation_record_finalize),
	(nautilus_leak_allocation_record_free),
	(nautilus_leak_stack_crawl_compare), (nautilus_leak_initialize),
	(get_stack_trace), (detect_reentry), (nautilus_leak_record_malloc),
	(nautilus_leak_record_realloc), (nautilus_leak_record_free),
	(nautilus_leak_initialize_if_needed), (__libc_malloc),
	(__libc_memalign), (__libc_calloc), (__libc_realloc),
	(__libc_free), (malloc), (realloc), (memalign), (calloc), (free),
	(print_one_leak), (nautilus_leak_print_leaks),
	(nautilus_leak_checker_init), (allocate_lots), (leak_mem2),
	(leak_mem), (main):
	* test/nautilus-leak-checker.h:
	* test/nautilus-leak-hash-table.c:
	(nautilus_leak_hash_element_finalize),
	(nautilus_leak_hash_element_hash),
	(nautilus_leak_hash_element_match),
	(nautilus_leak_hash_element_vector_inititalize),
	(nautilus_leak_hash_element_vector_finalize),
	(nautilus_leak_hash_element_vector_at),
	(nautilus_leak_hash_element_vector_add),
	(nautilus_leak_hash_element_vector_remove),
	(nautilus_leak_hash_table_optimal_size),
	(nautilus_leak_hash_table_initialize),
	(nautilus_leak_hash_table_finalize),
	(nautilus_leak_hash_table_new), (nautilus_leak_hash_table_free),
	(nautilus_leak_hash_table_hash), (nautilus_leak_hash_table_find),
	(nautilus_leak_hash_table_add),
	(nautilus_leak_hash_table_remove_element),
	(nautilus_leak_hash_table_remove),
	(nautilus_leak_table_new_entry_at),
	(nautilus_leak_table_add_entry), (nautilus_leak_table_new),
	(nautilus_leak_table_free), (sort_by_count),
	(nautilus_leak_table_sort_by_count), (sort_by_size),
	(nautilus_leak_table_sort_by_size),
	(nautilus_leak_table_each_item):
	* test/nautilus-leak-hash-table.h:
	* test/nautilus-leak-symbol-lookup.c:
	(nautilus_leak_find_symbol_in_map),
	(nautilus_leak_symbol_map_load),
	(nautilus_leak_symbol_map_load_if_needed),
	(nautilus_leak_print_symbol_cleanup),
	(nautilus_leak_find_symbol_address),
	(nautilus_leak_print_symbol_address):
	* test/nautilus-leak-symbol-lookup.h:
	New small leakchecking library. It is a bit simpler than MemProf in that
	it doesn't try to find leaks, just lists all the outstanding allocations
	(which if done at application quit is a list of leaks). It borrows heavily
	from MemProf.

	* test/Makefile.am:
	Currently broken makefile changes for the leakchecker library. Needs some
	libtool wrestling that Ramiro kindly offered to help with.
	
	* src/nautilus-main.c: (nautilus_leak_checker_init),
	(nautilus_leak_print_leaks), (main):
	Call the leakchecker. Noop unless the leakchecker lib is loaded with
	Nautilus using the LD_PRELOAD variable (the only way of turning the 
	thing on/off).

2000-06-14  Anders Carlsson  <andersca@gnu.org>

	* libnautilus-extensions/nautilus-background-canvas-group.c
	(nautilus_background_canvas_group_draw): Add a check to see if the
	NautilusBackground is too complex which means we have do draw if
	ourselves. Otherwise, we can have a light touch and let the canvas
	handle it without our "help".
	
	* libnautilus-extensions/nautilus-background.c,
	  libnautilus-extensions/nautilus-background.h
	(nautilus_background_is_too_complex_for_gtk_style): New function. 
	Checks if a NautilusBackground is too complex to be drawn by
	GtkStyle, forcing us to draw it ourselves.

2000-06-13  Seth Nickell  <seth@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_format_uri_for_display):
	Fix stupid bug that clipped the inital '/' in many cases
	caused by a #define.
	* src/nautilus-location-bar.c: (drag_data_received_callback),
	(drag_data_get_callback)
	Add calls to nautilus_make_uri_from_input rather than reading
	the input "raw" out of the location box.
	(try_to_expand_path):
	Add calls to nautilus_make_uri_from_input and make sure that
	selection allignments etc are appropriate between actual uri
	being completed and the user's display.

2000-06-13  John Sullivan  <sullivan@eazel.com>

	Fixed bug mjs noticed where the Properties window tended
	to crash on close.

	* src/file-manager/fm-properties-window.c:
	(name_field_done_editing): use gtk_editable_get_chars
	instead of gtk_entry_get_text, since _get_text returns
	the original text and is deprecated. This was being freed
	twice.
	(name_field_update_to_match_file): Made this function use
	the safe call too, which required adding a local variable.

	Fixed bug 1212 ("View as" menu doesn't update after user
	modifies preferred list from "View as Other" dialog)
	
	* src/nautilus-applicable-views.h: Eliminated 
	content_identifiers from NautilusNavigationInfo.
	* src/nautilus-applicable-views.c: (got_file_info_callback):
	Don't bother getting short list here since it's no longer
	stored; just get default component.
	(nautilus_navigation_info_free): Take out cleanup for
	content_identifiers.
	* src/nautilus-window.c: 
	(create_content_view_menu_item): Made this function take
	ownership of a parameter instead of copying it, so that
	one of the two callers wouldn't have to make extra copies.
	Commented this.
	(replace_special_current_view_in_content_view_menu):
	This was caller #1, now it passes copy as parameter.
	(nautilus_window_load_content_view_menu): This was caller
	#2. Now it gets preferred list for uri here, instead of
	examining NautilusNavigationInfo parameter. Eliminated
	that parameter.
	(chose_component_callback): Reload the content view menu
	after the View as Other dialog closes.
	* src/nautilus-window-private.h,
	* src/nautilus-window-manage-views.c: Eliminated 2nd parameter
	from nautilus_window_load_content_view.

2000-06-13  Maciej Stachowiak  <mjs@eazel.com>

	* components/help/help-method.c: (help_uri_to_string,
	convert_file_to_uri, transform_absolute_file, file_in_info_path):
	Complete task 695 (Help component is missing a test for info
	pages), also many general style fixes.
	
	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_default_component_for_uri_internal): Complete
	task 1145 (Add fallback code to choose one of short list
	components)
	
2000-06-13  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug #306, right click menu in zoom control doesn't work.
	The menu now works.
	
	* libnautilus/nautilus-view-component.idl:
	Added zoom_to_level interface.
	
	* libnautilus/nautilus-zoomable.c:
	(impl_Nautilus_Zoomable_zoom_to_level):
	(nautilus_zoomable_initialize_class):
	Implimentation of zoom_to_level interface
	
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-directory-view.h:
	(fm_directory_view_initialize_class),
	(fm_directory_view_initialize), (zoomable_zoom_to_level_callback),
	(fm_directory_view_zoom_to_level):
	Added signal handling and callback for new ZOOM_TO_LEVEL signal.
	
	* src/file-manager/fm-icon-view.c: 
	(fm_icon_view_zoom_to_level),
	(fm_icon_view_initialize_class):
	ZOOM_TO_LEVEL handling.
	
	* src/file-manager/fm-list-view.c: (fm_list_view_initialize_class),
	(fm_list_view_zoom_to_level),
	(fm_list_view_restore_default_zoom_level):
	ZOOM_TO_LEVEL handling.
	
	* src/nautilus-view-frame.c: 
	* src/nautilus-view-frame.h:
	(nautilus_view_frame_zoom_to_level):
	New public function for zoom to level.
	
	* src/nautilus-window.c: 
	(zoom_to_level_callback):
	Yes, a zoom to level callback.
	
	* src/nautilus-zoom-control.c:
	* src/nautilus-zoom-control.h:
	(nautilus_zoom_control_class_initialize), (zoom_menu_callback),
	(create_zoom_menu), (set_zoom_level):
	Enabled context zoom menu functionality.
	
2000-06-13  John Sullivan  <sullivan@eazel.com>

	Finished task 994 (add button connecting "View as Other"
	dialog with mime-type-configuring capplet.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(launch_mime_capplet), (run_program_configurator_callback):
	Added a button to go to the "File Types and Programs"
	capplet from within the "View as Other" dialog (actually
	from its sub-dialog).

2000-06-13  Darin Adler  <darin@eazel.com>

	Some build fixes.

	* acconfig.h:
	* configure.in:
	Removed the NAUTILUS_PREFIX that I added. I did it wrong.
	
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_pixmap_file):
	* components/hardware/nautilus-hardware-view.c:
	(setup_overview_form):
	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(setup_form_title), (setup_signup_form), (setup_config_form):
	* libnautilus-extensions/nautilus-icon-canvas-item.c: (map_pixbuf):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(make_full_icon_path):
	* src/nautilus-application.c: (display_caveat):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_emblem_dialog_new), (make_category_link):
	* src/nautilus-zoom-control.c: (nautilus_zoom_control_initialize):
	Replaced most uses of gnome_pixmap_file on "nautilus/"
	with a call to a new nautilus_pixmap_file in an attempt to
	make installations where nautilus has a different prefix
	from gnome-libs work. I now think this is a waste of time,
	but Mathieu Lacage says this is still an improvement.
	
	* components/help/Makefile.am:
	* components/help/hyperbola-filefmt.c: (fmt_map_entry):
	Use HYPERBOLA_DATADIR instead of NAUTILUS_PREFIX.
	
	* components/websearch/ntl-web-search.c:
	(web_search_populate_engines):
	Use WEB_SEARCH_DATADIR instead of NAUTILUS_PREFIX.
	
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize),
	(mozilla_content_view_set_busy_cursor),
	(mozilla_content_view_request_progress_change),
	(mozilla_content_view_clear_busy_cursor),
	(mozilla_load_location_callback), (bonobo_mozilla_callback),
	(mozilla_merge_bonobo_items_callback),
	(mozilla_title_changed_callback),
	(mozilla_location_changed_callback), (mozilla_net_status_callback),
	(mozilla_link_message_callback), (mozilla_progress_callback),
	(mozilla_open_uri_callback):
	Took a cut at fixing the Mozilla component for the new API.
	Ramiro will have to take care of the rest.
	
	* components/services/install/lib/Makefile.am:
	* components/services/time/command-line/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/service/Makefile.am:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/sample/command-line/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* libnautilus/Makefile.am:
	Updated all ORBit IDL compiles to use IDL_CFLAGS as suggested
	in the form of a patch by Martijn van Beers.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory),
	(nautilus_get_pixmap_directory):
	* libnautilus-extensions/nautilus-link-set.c:
	(get_link_set_document):
	* src/Makefile.am:
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get), (make_drag_image),
	(get_xml_path), (make_properties_from_directory):
	* src/nautilus-link-set-window.c: (get_link_set_names):
	* src/file-manager/Makefile.am:
	* src/file-manager/fm-properties-window.c: (get_property_names):
	Used NAUTILUS_DATADIR and DATADIR instead of NAUTILUS_PREFIX.
	
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_uri_from_local_path): Added a new helper function for
	use when you have a path and need a URI. This does a better job
	than just adding a "file://" on the front.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(get_first_callback), (nautilus_gtk_container_get_first_child):
	* src/nautilus-window-toolbars.c: (setup_button):
	* src/nautilus-window.c:
	(replace_special_current_view_in_content_view_menu):
	Implemented the first_child function and used it where appropriate.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(add_icon_themes): Use nautilus_get_pixmap_directory intead of
	misusing gnome_pixmap_file by calling it on a directory name.
	
	* nautilus-installer/src/support.c: (create_pixmap),
	(create_image): Added FIXMEs since it isn't clear if this code
	will work with a Nautilus prefix that's not the same as the
	gnome-libs prefix.
	
	* Makefile.am: Tweaked white space.
	
2000-06-13  Seth Nickell  <seth@eazel.com>

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_get):
	Minor assertion changes.
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_format_uri_for_display), (nautilus_make_uri_from_input):
	Created two functions for preparing data to display to the user
	(unescape, filter file://, probably more stuff later), and
	dealing with URIs inputed by the user (currently tacks on a
	file:// if the "uri" starts with a /)
	* src/nautilus-location-bar.c: (editable_activated_callback),
	(nautilus_location_bar_set_location):
	Changed to use nautilus_format_uri_for_display and
	nautilus_make_uri_from_input.

2000-06-13  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug #305.  Clicking in center of zoom control
	does not change zoom level.

	Clicking in the center of the zoom control emits a ZOOM_DEFAULT
	signal.  It is up to each view that connects to this signal
	to determine what is the default zoom setting.  Right now, all
	views are using NAUTILUS_ZOOM_LEVEL_STANDARD.  This could be
	changed to a zoom level better suited for the view.
	
	* libnautilus/nautilus-view-component.idl:
	Added zoom_default interface.
	
	* libnautilus/nautilus-zoomable.c:
	* libnautilus/nautilus-zoomable.h:
	(impl_Nautilus_Zoomable_zoom_default)
	Implimetation function of zoom_default interface
	
	(nautilus_zoomable_initialize_class):
	Set up new ZOOM_DEFAULT signal.
	
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-directory-view.h:
	(fm_directory_view_initialize_class),
	(fm_directory_view_initialize), (zoom_out_callback),
	(zoom_default_callback), (zoomable_zoom_default_callback),
	(fm_directory_view_restore_default_zoom_level):
	New functions to enable zoom to default.
	
	* src/file-manager/fm-icon-view.c:	
	(fm_icon_view_initialize_class):
	Override zoom_default method.
	
	(fm_icon_view_restore_default_zoom_level),
	New function to enable zoom to default.
	
	* src/file-manager/fm-list-view.c: 
	(fm_list_view_initialize_class):
	Override zoom_default method.
	
	(fm_list_view_restore_default_zoom_level):
	New function to enable zoom to default.
	
	* src/file-manager/fm-properties-window.c: 
	(create_basic_page):

	* src/nautilus-view-frame.c: 
	* src/nautilus-view-frame.h:
	(nautilus_view_frame_zoom_default):
	New signal handling callback

	* src/nautilus-window.c: 
	(zoom_default_callback):
	New signal handling callback
	
	* src/nautilus-zoom-control.c:
	* src/nautilus-zoom-control.h:
	(nautilus_zoom_control_class_initialize),
	(nautilus_zoom_control_button_press_event):

	Work in progress on bug #971
	* src/file-manager/fm-directory-view.c:
	(open_one_properties_window),

	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	(nautilus_entry_user_changed_callback),
	(editable_register_edit_undo),
	(restore_editable_from_undo_snapshot_callback):

2000-06-13  Darin Adler  <darin@eazel.com>

	Renamed and changed around parameters for the basic operations on
	views to simplify and clarify Nautilus. Later we will be able to
	clean up the state machine.

	Some "theoretical" stuff may be lost in this process, but we can
	easily re-add what we really need. The old stuff had many
	unimplemented placeholders and half-baked ideas.

	* libnautilus/nautilus-view-component.idl:
	* libnautilus/nautilus-view.h:
	* libnautilus/nautilus-view.c:
	* libnautilus/nautilus-zoomable.c:
	(nautilus_zoomable_ensure_zoomable_frame),
	(nautilus_zoomable_set_zoom_level):
	* src/nautilus-applicable-views.c: (got_file_info_callback),
	(got_metadata_callback), (nautilus_navigation_info_new),
	(nautilus_navigation_info_free):
	* src/nautilus-applicable-views.h:
	* src/nautilus-view-frame-bonobo-control.c:
	(nautilus_view_frame_activate_uri),
	(bonobo_control_try_load_client), (bonobo_control_load_location):
	* src/nautilus-view-frame-bonobo-embeddable.c:
	(bonobo_subdoc_notify_location_change),
	(bonobo_subdoc_try_load_client):
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame__destroy),
	(impl_Nautilus_ViewFrame__create),
	(impl_Nautilus_ViewFrame_open_location),
	(impl_Nautilus_ViewFrame_open_location_in_new_window),
	(impl_Nautilus_ViewFrame_report_location_change),
	(impl_Nautilus_ViewFrame_report_selection_change),
	(impl_Nautilus_ViewFrame_report_status),
	(impl_Nautilus_ViewFrame_report_load_underway),
	(impl_Nautilus_ViewFrame_report_load_progress),
	(impl_Nautilus_ViewFrame_report_load_complete),
	(impl_Nautilus_ViewFrame_report_load_failed),
	(impl_Nautilus_ViewFrame_set_title):
	* src/nautilus-view-frame-nautilus-view.c:
	(nautilus_view_try_load_client), (load_location), (stop_loading),
	(selection_changed):
	* src/nautilus-view-frame-private.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class),
	(nautilus_view_frame_destroy_client),
	(nautilus_view_frame_handle_client_destroy_2),
	(nautilus_view_frame_new), (nautilus_view_frame_load_client),
	(nautilus_view_frame_load_location),
	(nautilus_view_frame_stop_loading),
	(nautilus_view_frame_selection_changed),
	(nautilus_view_frame_is_zoomable),
	(nautilus_view_frame_open_location),
	(nautilus_view_frame_open_location_in_new_window),
	(nautilus_view_frame_report_location_change),
	(nautilus_view_frame_report_selection_change),
	(nautilus_view_frame_report_status),
	(nautilus_view_frame_report_load_underway),
	(nautilus_view_frame_report_load_progress),
	(nautilus_view_frame_report_load_complete),
	(nautilus_view_frame_report_load_failed),
	(nautilus_view_frame_set_title),
	(nautilus_view_frame_zoom_level_changed):
	* src/nautilus-view-frame.h:
	* src/nautilus-zoomable-frame-corba.c:
	(impl_Nautilus_ZoomableFrame__destroy),
	(impl_Nautilus_ZoomableFrame__create),
	(impl_Nautilus_ZoomableFrame_zoom_level_changed):
	Changed the API and added a ton of comments.
	
	* components/hardware/nautilus-hardware-view.c:
	(nautilus_hardware_view_initialize),
	(hardware_view_load_location_callback):
	* components/help/hyperbola-nav-index.c:
	(hyperbola_navigation_index_select_row):
	* components/help/hyperbola-nav-search.c:
	(hyperbola_navigation_search_select_row):
	* components/help/hyperbola-nav-tree.c:
	(hyperbola_navigation_tree_new),
	(hyperbola_navigation_tree_load_location),
	(hyperbola_navigation_tree_select_row):
	* components/history/nautilus-history-view.c:
	(hyperbola_navigation_history_load_location),
	(hyperbola_navigation_history_select_row), (make_obj):
	* components/html/ntl-web-browser.c: (browser_url_load_done),
	(browser_vfs_callback), (browser_goto_url_real),
	(browser_goto_url), (browser_select_url), (browser_title_changed),
	(browser_notify_location_change):
	* components/loser/content/nautilus-content-loser.c:
	(nautilus_content_loser_initialize),
	(loser_load_location_callback):
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(nautilus_sidebar_loser_initialize),
	(loser_load_location_callback):
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize),
	(music_view_load_location_callback):
	* components/notes/nautilus-notes.c: (notes_load_location),
	(make_notes_view):
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize), (go_to_button_callback),
	(rpm_view_load_location_callback):
	* components/sample/nautilus-sample-content-view.c:
	(nautilus_sample_content_view_initialize),
	(sample_load_location_callback):
	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(go_to_uri), (nautilus_service_startup_view_initialize),
	(service_load_location_callback):
	* components/services/time/nautilus-view/trilobite-eazel-time-view.c:
	(trilobite_eazel_time_view_initialize), (load_location_callback):
	* components/websearch/ntl-web-search.c: (do_search), (make_obj):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_switch_location),
	(fm_directory_view_initialize), (display_selection_info),
	(fm_directory_view_send_selection_change),
	(load_location_callback), (selection_changed_callback),
	(stop_loading_callback), (done_loading), (finish_loading_uri):
	Switch components to use the new API.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	Added a placeholder for a new operation to get the first child of a
	container. This will be way more efficient than all the code that
	gets a list of all the children and then looks at the first one.
	
	* src/nautilus-application.c: (manufactures), (create_object),
	(create_factory), (nautilus_application_initialize_class),
	(nautilus_application_initialize), (nautilus_application_new),
	(nautilus_application_destroy),
	(nautilus_application_check_user_directories),
	(nautilus_application_startup),
	(nautilus_application_destroy_window), (nautilus_application_quit),
	(nautilus_application_create_window):
	* src/nautilus-application.h:
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	* src/nautilus-desktop-window.h:
	* src/nautilus-main.c: (main):
	Renamed NautilusApp -> NautilusApplication while changing it around.
	
	* libnautilus-extensions/nautilus-undo-manager.h:
	Add a blank line.
	
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c: (compare_strings),
	(nautilus_window_report_selection_change): Changed code so that it
	won't report the same selection change twice.
	(nautilus_window_report_status),
	(nautilus_window_report_load_underway),
	(nautilus_window_report_load_progress),
	(nautilus_window_report_load_complete),
	(nautilus_window_report_load_failed), (compute_default_title),
	(nautilus_window_set_title), (handle_go_back), (handle_go_forward),
	(handle_go_elsewhere), (update_up_button),
	(nautilus_window_update_internals), (nautilus_window_update_view),
	(nautilus_window_view_destroyed),
	(nautilus_window_has_really_changed),
	(nautilus_window_load_sidebar_panel), (open_location),
	(nautilus_window_open_location),
	(nautilus_window_open_location_in_new_window),
	(nautilus_window_report_location_change),
	(nautilus_window_load_content_view),
	(nautilus_window_update_state),
	(nautilus_window_end_location_change_callback),
	(nautilus_window_begin_location_change): Updated everything for the
	new API.
	
	* src/nautilus-window-menus.c: (file_menu_new_window_callback),
	(edit_menu_undo_callback), (edit_menu_cut_callback),
	(edit_menu_copy_callback), (edit_menu_paste_callback),
	(edit_menu_clear_callback), (append_bookmark_to_menu),
	(clear_appended_bookmark_items),
	(nautilus_window_add_bookmark_for_current_location),
	(append_separator), (new_top_level_menu),
	(nautilus_window_initialize_menus), (update_user_level_menu_items):
	* src/nautilus-window-private.h:
	* src/nautilus-window-toolbars.c: (setup_button),
	(nautilus_window_initialize_toolbars),
	(nautilus_window_toolbar_remove_theme_callback):
	* src/nautilus-window.c: (nautilus_window_class_init),
	(nautilus_window_goto_uri), (nautilus_window_constructed),
	(nautilus_window_set_arg), (nautilus_window_get_arg),
	(nautilus_window_destroy), (nautilus_window_switch_views),
	(view_menu_choose_view_callback),
	(nautilus_window_load_content_view_menu),
	(nautilus_window_back_or_forward), (nautilus_window_go_up),
	(nautilus_window_allow_back), (nautilus_window_allow_forward),
	(nautilus_window_allow_up),
	(nautilus_window_open_location_callback),
	(nautilus_window_open_location_in_new_window_callback),
	(nautilus_window_report_location_change_callback),
	(nautilus_window_report_selection_change_callback),
	(nautilus_window_report_status_callback),
	(nautilus_window_report_load_underway_callback),
	(nautilus_window_report_load_progress_callback),
	(nautilus_window_report_load_complete_callback),
	(nautilus_window_report_load_failed_callback),
	(nautilus_window_set_title_callback),
	(nautilus_window_connect_view),
	(nautilus_window_connect_content_view), (nautilus_window_reload),
	(window_update_sidebar_panels_from_preferences):
	* src/nautilus-window.h:
	Other changes related to the API switchover.
	
	* src/nautilus.oafinfo: Changed the ntl-xx iids to use the work
	nautilus instead.

2000-06-13  Maciej Stachowiak  <mjs@eazel.com>

	* components/loser/content/nautilus-content-loser.oafinfo,
	components/sample/nautilus-sample-content-view.oafinfo: Fix so
	these can be put in the short list for a type.

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_short_list_components_for_uri): Fixed wording
	of a FIXME.

	* src/file-manager/fm-directory-view.c
	(notify_selection_change_callback, display_pending_files,
	start_renaming_item): Fix bugzilla bug #658 (fix memory management
	in display_pending_files) and some related memory leaks.

2000-06-12  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get):
	fixed a crash I noticed while demoing today where dropping image backgrounds
	would segfault or hang.  Fixed by removing code that was freeing an
	otherwise unused variable.
	
2000-06-12  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install.c:
	(set_parameters_from_command_line), (main):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_new_with_config),
	(eazel_install_fetch_remote_package_list),
	(eazel_install_install_packages):
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (filename_from_url),
	(eazel_install_fetch_package), (get_url_for_package),
	(get_search_url_for_package):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_all_packages), (do_rpm_install),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_ensure_deps):
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new), (packagedata_new_from_rpm_conflict),
	(packagedata_new_from_rpm_conflict_reversed),
	(packagedata_new_from_rpm_header), (packagedata_destroy_foreach),
	(packagedata_destroy), (rpmfilename_from_packagedata),
	(packagedata_hash):
	* components/services/install/lib/eazel-install-types.h:
	Did most of the work for bug 1300 & 1090. It now uses an
	rpmsearch.cgi script on a server to query for packages as
	dependency fails occur.
	
	* components/services/install/lib/eazel-install-metadata.c:
	(create_default_metadata):
	Fixed bug 1310.

	* components/services/install/lib/eazel-install-xml-package-list.c:
	(generate_xml_package_list):
	Fixed bug 1284.
	
	* nautilus-installer/src/callbacks.c: (set_images),
	(set_white_stuff):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (create_package),
	(create_categories), (installer):
	* nautilus-installer/src/interface.c: (create_window):
	Update to the new apt-get alike stuff in libinstall. Also make
	things white to please Arlo.
	
	* components/services/install/lib/Makefile.am:
	* components/services/time/command-line/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/service/Makefile.am:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/sample/command-line/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* libnautilus-extensions/Makefile.am:
	* nautilus-installer/src/Makefile:
	* nautilus.spec.in:
	* po/POTFILES.in:
	More patchine to make the rpm building succeed. Basically a
	removed files that where no longer in existence (POTFILES), and
	adding missing .h files to Makefile.am's.

2000-06-12  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-link-set-window.c,h:
	(nautilus_link_set_configure_window), (delete_window_callback),
	(nautilus_link_set_toggle_configure_window):
	clean-up for the link set configuration window.  Added some
	descriptive text, tweaked it's size, and made its visibility optionally toggle.
	* src/nautilus-sidebar.c: (metadata_button_callback):
	checked the call invoking the link_set_window to toggle it's visiblity

2000-06-12  John Sullivan  <sullivan@eazel.com>

	Finished task 1006 (Should be able to set default
	viewer/application from "View/Open with Other" dialog)

	* libnautilus-extensions/nautilus-mime-actions.h,
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_is_default_application_for_uri_user_chosen):
	New public function, analogous to the component version
	that already existed.
	(nautilus_mime_get_default_application_for_uri_internal):
	New private function used to implement the public function.
	(nautilus_mime_get_default_application_for_uri):
	Now calls the _internal version.
	(nautilus_mime_is_default_component_for_uri_user_chosen):
	Fixed a leak I noticed in here.
	(nautilus_mime_set_default_application_for_uri),
	(nautilus_mime_set_default_component_for_uri): Set the default
	action type if it's unspecified.
	
	* libnautilus-extensions/nautilus-program-chooser.c:
	(is_application_default_for_type), (is_component_default_for_type),
	(is_application_default_for_uri), (is_component_default_for_uri),
	(is_default_for_file_type), (is_default_for_file),
	(remove_default_for_type), (remove_default_for_item), 
	(set_default_for_type),	(set_default_for_item): New helper
	functions to check and set default program.	
	(update_selected_item_details), 
	(run_program_configurator_callback): Modify UI for
	"View as" dialog and "Modify <program>" subdialog to include
	setting default program for type or file. Various other
	tweaks.
	
	* src/nautilus-applicable-views.c: 
	(got_file_info_callback): Eliminated the logic about preferring
	the viewer from the previous location over the default viewer.
	Now that the UI lets users easily specify the default viewer
	per type and file, preferring the previous viewer over the
	user-specified default made no sense.
	(check_iid), (set_initial_content_id): Removed these functions.

2000-06-12  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-link-set.c,h:
	(nautilus_link_set_remove):
	removed the link_set_configure_window routine from here
	* src/Makefile.am:
	* src/nautilus-link-set-window.c,h: (link_set_check_box_toggled),
	(make_link_set_check_box), (get_link_set_names),
	(nautilus_link_set_configure_window):
	added a new file  to hold the nautilus-link-set-configure-window,
	and made it call reload after installing or removing a link set
	* src/nautilus-sidebar.c:
	updated since the location of the configure window changed
	* src/nautilus-window.c,h: (nautilus_window_reload):
	added nautilus_window_reload to allow external routines to
	request a reload
	* src/nautilus-window-toolbars.c: (toolbar_reload_callback):
	made it use nautilus_window_reload

2000-06-12  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	* libnautilus-extensions/nautilus-undo-signal-handlers.h:
	(nautilus_entry_user_changed_callback),
	(nautilus_undo_setup_nautilus_entry_for_undo),
	(nautilus_undo_teardown_nautilus_entry_for_undo),
	(free_editable_undo_data), (free_editable_object_data),
	(editable_insert_text_callback), (editable_delete_text_callback),
	(editable_register_edit_undo),
	(nautilus_undo_setup_editable_for_undo),
	(nautilus_undo_teardown_editable_for_undo),
	(restore_editable_from_undo_snapshot_callback),
	(editable_key_press_event), (nautilus_undo_editable_set_undo_key):
	New file and functions to handle undo in NautilusEntry and
	GtkEditables.  This file is intended to contain signal handlers
	that enable undo for a variety of GTK widgets. Calling a 
	setup_for_undo function will prepare the widget to handle
	undo functionality.

	* libnautilus-extensions/Makefile.am:
	Added entries for new files nautilus-undo-signal-handlers.c
	and nautilus-undo-signal-handlers.h
	
	* components/notes/nautilus-notes.c: (make_notes_view):
	Fixed bug #973.  Add undo to notes component.
	
	* components/websearch/ntl-web-search.c: (make_obj):
	Changed to use new undo signal handlers.
	
	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_initialize), (nautilus_entry_key_press),
	(nautilus_entry_set_text), (nautilus_entry_delete_text):
	Removed old undo code that had been rendered obsolete by the
	new signal handlers mentioned above.
	
	* src/nautilus-bookmarks-window.c: (create_bookmarks_window):
	Changed to use new undo signal handlers.

2000-06-12  John Sullivan  <sullivan@eazel.com>

	Fixed bug 692 (Bookmarks for deleted files don't do
	sensible things)

	* libnautilus-extensions/nautilus-gnome-extensions.h,
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_info_dialog),
	(nautilus_info_dialog_parented): New functions for showing
	a one-button informational dialog.
	(nautilus_yes_no_dialog),
	(nautilus_yes_no_dialog_parented): New functions for
	showing a two-button question dialog.
	(show_yes_no_box): Helper function used to implement
	yes_no_dialog routines.
	
	* src/nautilus-bookmark-list.h,
	* src/nautilus-bookmark-list.c:
	(nautilus_bookmark_list_delete_items_with_uri):
	New function for deleting all bookmarks with a given uri.
	
	* src/nautilus-window-menus.c: 
	(bookmark_holder_new), (bookmark_holder_free): New helper
	functions for dealing with BookmarkHolder structs.
	(remove_bookmarks_for_uri),
	(show_bogus_bookmark_window), 
	(uri_known_not_to_exist): New helper functions for dealing
	with bookmarks for missing (local) files. In the Go menu
	case, the user is just told that the location doesn't exist;
	in the Bookmarks menu case, the user has the option of
	removing bookmarks with this URI from their list.
	(activate_bookmark_in_menu_item): Added a parameter to
	distinguish Go menu case from Bookmarks menu case.
	(append_bookmark_to_menu): Added this parameter here also,
	where it's stored in a BookmarkHolder; deploy 
	bookmark_holder_new and	_free.
	(refresh_bookmarks_in_bookmarks_menu),
	(refresh_bookmarks_in_go_menu): Pass the new parameter to
	append_bookmark_to_menu.

2000-06-11  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-link-set.c,h: (link_set_path_name),
	(create_new_link), (nautilus_link_set_install),
	(nautilus_link_set_is_installed), (nautilus_link_set_remove),
	(link_set_check_box_toggled), (make_link_set_check_box),
	(nautilus_link_set_configure_window):
	made link set install and remove really work, and added a link set configuration
	window to install and remove link sets.  This is working now but not quite finished.
	* libnautilus-extensions/nautilus-metadata.h:
	added NAUTILUS_METADATA_SIDEBAR_BUTTONS
	* src/nautilus-sidebar.c: (metadata_button_callback),
	(add_buttons_from_metadata), (nautilus_sidebar_update_buttons):
	added mechanism for command buttons to be specified by directory metadata.
	* data/top/Makefile.am:
	* data/top/.nautilus-metafile.xml:
	added pre-built metafile to novice home directory, so it could specify command buttons
	and have better control over defaults

2000-06-10  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(load_specific_image_svg):
	use the correct scale factor for vector icons, the same as image icons, instead
	of expecting them to be twice the size of regular icons.
	* icons/vector/i-directory-accept.svg:
	* icons/vector/i-directory.svg:
	* icons/vector/i-regular.svg:
	new versions of the icons in the vector theme, scaled to their proper size	
	* libnautilus-extensions/nautilus-link-set.c,h:
	(make_link_set_check_box), (get_link_set_names),
	(nautilus_link_set_configure_window):
	added code for configuring link sets.  Still not finished yet.
	* src/nautilus-sidebar.c: (nautilus_sidebar_initialize):
	allowed sidebar to be reduced to a very narrow width, to start experimenting
	with how to give it a minimal mode.
	
2000-06-10  J Shane Culpepper  <pepper@eazel.com>

	* configure.in: Fixed the test for ghttp to jive with changes made to
	gnome-http.  Miguel asked that we not use gttp-config but instead use
	gnome-config + ghttpConf.sh.  Requires an updated build of gnome-http
	now.

2000-06-10  J Shane Culpepper  <pepper@eazel.com>

	* nautilus-installer/.cvsignore:
	* nautilus-installer/src/.cvsignore:
	* nautilus-installer/src/link.sh:

	Minor link fix to get nautilus-installer compiling. Added .cvsignore.

2000-06-10  J Shane Culpepper  <pepper@eazel.com>

	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	* components/services/trilobite/libtrilobite/helixcode-utils.h:
	Removed duplicated distribution functions.
	* helper-utilities/authenticate/Makefile.am:
	Fixed the NULL declaration (removed space)

2000-06-10  J Shane Culpepper  <pepper@eazel.com>

	Reviving helixcode-utils.c and helixcode-utils.h so that I can fix the
	build breakage.

2000-06-10  Andy Hertzfeld  <andy@eazel.com>

	* data/top/Computer.link:
	* data/top/Services.link:
	removed the suffix from the custom image reference
	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path), (get_icon_file_path),
	(load_specific_image):
	fixed a bug I introduced earlier today where custom icons wouldn't scale properly,
	by using a different test to identify vector images
	
2000-06-09  Eskil Heyn Olsen  <eskil@eazel.com>
	
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	* components/services/trilobite/libtrilobite/helixcode-utils.h:
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.c:
	(determine_turbolinux_version),
	(determine_mandrake_version), (determine_suse_version),
	(determine_debian_version), (determine_redhat_version),
	(trilobite_get_distribution), (trilobite_get_distribution_name):
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.h:
	As bug 908 said, the helixcode installers way of indentifying
	distro sucked (Red Hat 6.099999 ?!), so I revamped it and moved
	the code into trilobite-core-distribution. Only wrote the redhat
	version check, not the other ones (see bug 908). Instead of only
	using a enum for the distro, it's now a struct, containing an enum
	identifying the distroname and two ints for the version.
	
	* components/services/install/command-line/eazel-alt-install.c:
	(create_package):
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (eazel_install_fetch_package),
	(add_to_url), (get_url_for_package), (get_search_url_for_package):	
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(download_all_packages), (install_all_packages):
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package):
	
	Updated to use the new get_distribution call. Also worked on the
	rpmsearch stuff. It generates url's like
	http://vorlon.eazel.com/rpmsearch.cgi?name=jade&arch=i386&version>=1.2.1&protocol=http&distro="Red Hat Linux 6.1"
	Hat Linux 6.1" and should get a url pointing to an appropriate rpm
	returned, which should then be fetched. 

	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	Updated so it still links.
	
2000-06-09  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c
	(make_oaf_query_with_known_mime_type,
	make_oaf_query_with_uri_scheme_only): Support new
	bonobo:additional_uri_schemes attribute needed for Rebecca's
	stuff.

2000-06-09  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window.c: (nautilus_window_connect_view):
	%$#$@! state machine. I discovered that my last attempt
	to fix the "set_sensitive called on bad GTK_WIDGET" bug
	introduced a harmless but annoying warning when switching
	locations in the same window. This change (taking the
	"while_alive" off a signal handler) gets rid of that
	warning, but reintroduces the set_sensitive bug in certain
	cases. The good news is that I know how to reproduce the
	set_sensitive bug every time. I don't know the best fix
	for it though, so I'll just write a bug report.

2000-06-09  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path):
	fixed problem where vector icons were scaled from the nominal
	size instead of being rendered at the appropriate size.  Fixed by
	no longer appending the size suffix for vector icons in
	get_themed_icon_file_path
	
2000-06-09  Ramiro Estrugo  <ramiro@eazel.com>

	* Makefile.am:
	* components/hardware/Makefile.am:
	* components/help/Makefile.am:
	* components/history/Makefile.am:
	* components/html/Makefile.am:
	* components/loser/content/Makefile.am:
	* components/loser/sidebar/Makefile.am:
	* components/music/Makefile.am:
	* components/notes/Makefile.am:
	* components/rpmview/Makefile.am:
	* components/sample/Makefile.am:
	* components/services/startup/nautilus-view/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/websearch/Makefile.am:
	* configure.in:
	* helper-utilities/authenticate/Makefile.am:
	* helper-utilities/authenticate/nautilus-authenticate.c:
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-caption-table.c:
	* libnautilus-extensions/nautilus-caption.c:
	* libnautilus-extensions/nautilus-file-utilities.c:
	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	* libnautilus-extensions/nautilus-link-set.c:
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-password-dialog.c:
	* libnautilus-extensions/nautilus-preference.c:
	* libnautilus-extensions/nautilus-preferences-box.c:
	* libnautilus-extensions/nautilus-preferences-box.h:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	* libnautilus-extensions/nautilus-preferences-dialog.h:
	* libnautilus-extensions/nautilus-preferences-group.c:
	* libnautilus-extensions/nautilus-preferences-group.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	* libnautilus-extensions/nautilus-preferences-pane.h:
	* libnautilus-extensions/nautilus-preferences.c:
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-radio-button-group.c:
	* libnautilus-extensions/nautilus-string-picker.c:
	* libnautilus-extensions/nautilus-string-picker.h:
	* libnautilus-extensions/nautilus-text-caption.c:
	* libnautilus-extensions/nautilus-text-caption.h:
	* libnautilus-extensions/nautilus-undo-manager.c:
	* libnautilus-extensions/nautilus-user-level-manager.c:
	* libnautilus-extensions/nautilus-user-level-manager.h:
	* libnautilus-extensions/nautilus-widgets-self-check-functions.c:
	* libnautilus-extensions/nautilus-widgets-self-check-functions.h:
	* libnautilus-extensions/test-nautilus-preferences.c:
	* libnautilus-extensions/test-preferences.c:
	* nautilus-widgets/Makefile.am:
	* nautilus-widgets/nautilus-caption-table.c:
	* nautilus-widgets/nautilus-caption-table.h:
	* nautilus-widgets/nautilus-caption.c:
	* nautilus-widgets/nautilus-caption.h:
	* nautilus-widgets/nautilus-password-dialog.c:
	* nautilus-widgets/nautilus-password-dialog.h:
	* nautilus-widgets/nautilus-preference.c:
	* nautilus-widgets/nautilus-preference.h:
	* nautilus-widgets/nautilus-preferences-box.c:
	* nautilus-widgets/nautilus-preferences-box.h:
	* nautilus-widgets/nautilus-preferences-dialog.c:
	* nautilus-widgets/nautilus-preferences-dialog.h:
	* nautilus-widgets/nautilus-preferences-group.c:
	* nautilus-widgets/nautilus-preferences-group.h:
	* nautilus-widgets/nautilus-preferences-item.c:
	* nautilus-widgets/nautilus-preferences-item.h:
	* nautilus-widgets/nautilus-preferences-pane.c:
	* nautilus-widgets/nautilus-preferences-pane.h:
	* nautilus-widgets/nautilus-preferences.c:
	* nautilus-widgets/nautilus-preferences.h:
	* nautilus-widgets/nautilus-radio-button-group.c:
	* nautilus-widgets/nautilus-radio-button-group.h:
	* nautilus-widgets/nautilus-string-picker.c:
	* nautilus-widgets/nautilus-string-picker.h:
	* nautilus-widgets/nautilus-text-caption.c:
	* nautilus-widgets/nautilus-text-caption.h:
	* nautilus-widgets/nautilus-user-level-manager.c:
	* nautilus-widgets/nautilus-user-level-manager.h:
	* nautilus-widgets/nautilus-widgets-self-check-functions.c:
	* nautilus-widgets/nautilus-widgets-self-check-functions.h:
	* nautilus-widgets/test-nautilus-preferences.c:
	* nautilus-widgets/test-nautilus-widgets.c:
	* nautilus-widgets/test-preferences.c:
	* src/Makefile.am:
	* src/nautilus-main.c:
	* src/nautilus-sidebar.c:
	* src/nautilus-window-menus.c:
	* test/Makefile.am:
	Move the nautilus-widgets classes to libnautilus-extensions.

2000-06-09  Maciej Stachowiak  <mjs@eazel.com>

	* src/nautilus-applicable-views.c (got_file_info_callback): Do not
	add default to short list; instead, make sure we don't fail if
	there is a default but not short list.

2000-06-09  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	Made all headers in this library private.  That means they dont
	get installed.
	
2000-06-09  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/install/command-line/eazel-install.c:
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-metadata.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	* components/services/install/lib/eazel-install-xml-package-list.h:
	Fix some #include with directory prefix dumbness.
	
2000-06-09  Mike Fleming  <mfleming@eazel.com>

	* components/services/install/lib/trilobite-eazel-install-service.oafinfo:
	Eskil should stop putting ":"'s at the end of 
	"bonobo:supported-uri-schemes" entries

2000-06-09  John Sullivan  <sullivan@eazel.com>

	OK, this time I REALLY fixed the bug where you get
	occasional "set_sensitive called on bad GTK_WIDGET"
	errors. I think.

	* src/nautilus-window-private.h: Swapped parameters
	of nautilus_window_view_destroyed so the window is first.
	* src/nautilus-window-manage-views.c:
	(nautilus_window_free_load_info): Remove pending
	action_id function before setting field to 0.
	(nautilus_window_view_destroyed): Swapped the parameters
	to match prototype.
	* src/nautilus-window.c: (nautilus_window_connect_view): Use 
	gtk_signal_connect_object_while_alive instead of just
	gtk_signal_connect so the window won't be notified of its
	view's demise after the window's own demise.

2000-06-09  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window.c: (nautilus_window_destroy):
	Changed the way the window->action_tag is destroyed.
	I think this actually fixes the occasional "set_sensitive
	called on bad GTK_WIDGET" errors that Darin tried to
	fix yesterday.

2000-06-09  John Sullivan  <sullivan@eazel.com>

	Fixed bugs related to selection and activation in directory
	views, including 881 (right-click on selected item in list
	view shouldn't change selection), 918 (mouse activation
	in list view shouldn't affect only clicked item), and some
	others I found while in this code. Redefined the behavior
	of activation and multiple selection to some extent. Now
	double-clicking on a selected item always opens all selected
	items, and always opens them in new windows. If in single-click
	mode, single-clicking in list view when there's a multiple
	selection still opens only the clicked-on item, since the UI
	makes it pretty clear that you're clicking on a link for this
	one item. In icon view, single-clicking on a selected item in
	a multiple selection opens all selected items in new windows,
	since this feels to me more like "activate selected items"
	than "follow link", but I'm not really sure which is better.

	I changed the old behavior where single-clicking in icon view
	with a multiple selection would open the clicked item in the
	same window (if your preference was for "open in same window")
	and all others in new windows. In practice this seemed wrong,
	and opening all of the items in new windows is equivalent to
	the "Open in n New Windows" menu item. Please argue with me
	if you disagree.

	* libnautilus-extensions/nautilus-icon-container.c: 
	(remember_selected_files), (forget_selected_files): Removed these
	functions, which were part of an earlier incomplete selection
	behavior fix.
	(destroy): Removed call to forget_selected_files.
	(nautilus_icon_container_almost_drag): Changed name to
	somewhat less misleading "nautilus_icon_container_did_not_drag";
	fixed bug where clicking on selected item (in double-click mode)
	would deselect other selected items; replaced remember/forget
	pair with call to activate_selected_items.
	(handle_icon_button_press): replaced remember/forget pair with
	call to activate_selected_items.
	(activate_selected_items): Reimplemented to use nautilus_icon_
	container_get_selection instead of remember/forget.
	
	* libnautilus-extensions/nautilus-icon-private.h: Removed
	last_selected_files field, formerly used by remember_ and
	forget_selected_files.
	
	* libnautilus-extensions/nautilus-list.h: Changed "activate"
	signal to pass a list of items to activate instead of just one.
	
	* libnautilus-extensions/nautilus-list.c:
	(event_state_modifies_selection): New helper function, checks
	for control or shift key mask.
	(activate_row_data_list): New function, emits activate signal
	on a list of row_data elements.
	(activate_selected_rows): New function.
	(activate_row): Reimplemented to use activate_row_data_list.
	(nautilus_list_button_press): Deployed 
	event_state_modifies_selection; fixed 881 by not deselecting
	other items when right-clicking on a selected item; fixed 918
	by making double-click activate all selected rows.
	(nautilus_list_button_release): Deployed 
	event_state_modifies_selection; fixed bug where (left-)
	clicking on a selected item would unselect others
	
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_activate_file): Renamed from
	fm_directory_view_activate_files; now takes a list
	of files to activate and opens them all in new windows
	if there are more than one (otherwise respects preference).
	(fm_directory_view_activate_file_internal): Renamed to
	fm_directory_view_activate_file now that this name was
	available.
	
	* src/file-manager/fm-icon-view.c:
	(icon_container_activate_callback): Now calls 
	fm_directory_view_activate_files instead of iterating here.
	* src/file-manager/fm-list-view.c: 
	(list_activate_callback): Changed to take list parameter and
	call fm_directory_view_activate_files.

2000-06-09  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-text-item.c:
	(draw_pixbuf_aa), (iti_render), (iti_class_init):
	made rename work in anti-aliased mode by implementing
	a render method for the icon text item.  Modulo a few
	minor clean-ups and possibly some performance issues,
	this completes the work on the anti-aliased canvas.
	
2000-06-09  Mike Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_make_path): 
	simplified obtuse expression (name[0] != '\0' > 0).

2000-06-09  Martin Baulig  <martin@home-of-linux.org>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_local_path_from_uri): New function.  Returns
	a local path for a file:// URI.

2000-06-09  Martin Baulig  <baulig@suse.de>

	* src/nautilus-view-frame-bonobo-embeddable.c:
	(bonobo_subdoc_notify_location_change): Added
	PersistFile support.

2000-06-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get):
	Darin left an unused variable in his wake, so I fixed it.
	
2000-06-08  Darin Adler  <darin@eazel.com>

	* acconfig.h:
	* configure.in:
	Added NAUTILUS_PREFIX so we can locate our installed files
	correctly instead of assuming they are in the gnome-libs prefix.
	
	* components/help/hyperbola-filefmt.c: (fmt_map_entry):
	* components/websearch/ntl-web-search.c:
	(web_search_populate_engines):
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory):
	* libnautilus-extensions/nautilus-link-set.c:
	(get_link_set_document):
	* src/file-manager/fm-properties-window.c: (get_property_names):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get), (make_drag_image),
	(get_xml_path), (make_properties_from_directory):
	Use NAUTILUS_PREFIX instead of gnome_datadir_file so we get the
	files from the right directory. Since gnome_datadir_file does a
	check to see if the file exists, had to add some explicit checks
	in various places.
	
	* components/html/glib-www-callbacks.c:
	Got rid of some warnings.
	
	* components/services/time/command-line/.cvsignore:
	* components/services/time/nautilus-view/.cvsignore:
	* components/services/time/service/.cvsignore:
	Ignore the new time stamp files.
	
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	Fixed formatting.

	* RENAMING:
	* src/nautilus-sidebar-tabs.c:
	* src/nautilus-sidebar-tabs.h:
	* src/nautilus-sidebar-title.c:
	* src/nautilus-sidebar-title.h:
	* src/nautilus-sidebar.c:
	Renamed IndexTabs and IndexTitle to SidebarTabs
	and SidebarTitle as planned.

2000-06-08  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-view-identifier.h,
	libnautilus-extensions/nautilus-view-identifier.c
	(nautilus_view_identifier_compare): New function to use when
	searching view identifier lists.

	* src/nautilus-applicable-views.c (got_file_info_callback): Merge
	the default view into the menu.

2000-06-08  Andy Hertzfeld  <andy@eazel.com>

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize), (file_selection_callback),
	(go_to_button_callback), (nautilus_rpm_view_update_from_uri):
	added a "go to selected file" button to the rpm view that navigates
	to a file selected in the package file list.
	
2000-06-08  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/docs/installer-dep-check:
	(set_parameters_from_command_line), (eazel_progress_signal),
	(download_failed), (install_failed), (dep_check), (create_package),
	(main):
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_set_arg), (eazel_install_class_initialize),
	(eazel_install_initialize),
	(eazel_install_fetch_remote_package_list),
	(eazel_install_emit_install_failed),
	(eazel_install_emit_dependency_check),
	(eazel_install_install_packages), (eazel_install_uninstall):
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (ftp_fetch_remote_file),
	(local_fetch_remote_file), (eazel_install_fetch_file),
	(eazel_install_fetch_package):
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (download_all_packages),
	(install_all_packages), (uninstall_packages),
	(uninstall_a_package), (build_packagedata_list_from_deps),
	(do_rpm_install), (do_rpm_uninstall),
	(eazel_install_prune_packages_helper),
	(eazel_install_prune_packages), (eazel_install_load_rpm_headers),
	(eazel_install_load_headers), (eazel_install_free_rpm_system),
	(eazel_install_prepare_rpm_system),
	(eazel_install_prepare_package_system),
	(eazel_install_free_package_system),
	(eazel_install_add_headers_to_rpm_set),
	(eazel_install_add_headers_to_set),
	(eazel_install_package_name_compare),
	(eazel_install_package_conflict_compare),
	(eazel_install_add_to_extras_foreach),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_fetch_dependencies), (print_package_list),
	(eazel_install_ensure_deps), (rpm_install):
	* components/services/install/lib/eazel-install-rpm-glue.h:
	* components/services/install/lib/eazel-install-types.c:
	(protocol_as_string), (packagedata_new),
	(packagedata_new_from_rpm_conflict),
	(packagedata_new_from_rpm_conflict_reversed),
	(packagedata_new_from_rpm_header),
	(packagedata_fill_from_rpm_header), (packagedata_destroy_foreach),
	(packagedata_destroy), (rpmfilename_from_packagedata),
	(packagedata_hash), (packagedata_equal):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (parse_local_xml_package_list):
	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	(xml_get_value):
	Too much to list it all. Basically it now tries to do what apt-get
	has done for ages. Given a list of packages to install, it
	recursively traverses the packagelist, fetches missing
	dependencies (no remote fetch yet, requires a search script on the
	server side) untill all deps are satisfies. If deps failed, it
	prunes the tree and emit signals.
	I've tried to do it modular enough to add support for other
	package systems then rpm, but rpm calls are still strewm about.

	* components/services/install/command-line/Makefile.am:
	* components/services/install/command-line/eazel-alt-install.c:
	Now takes random package names at commandline and should
	ideally try to download them from the server.
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/installer.c: (eazel_download_progress),
	(install_failed_helper), (install_failed), (installer):
	Fixed to work the new stuff in libinstall. Also generates
	prettier (but still ugly) error reports.
	
2000-06-08  John Sullivan  <sullivan@eazel.com>

	Fixed bug 542 (context menus in directory view sometimes
	partially offscreen)

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_popup_menu_position_func): Made the menu-positioning
	function take screen size into account.

	Fixed bug 541 (unusably wide dialog when trying to
	rename a file to a gigantically long name)

	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file),
	(fm_report_error_setting_permissions):
	Used nautilus_error_dialog (which does word wrapping)
	instead of GnomeMessageBox directly.

	Fixed bug 1242 (Possibly unnecessary widget resizing when
	content view swapped)

	* src/nautilus-window.c: (nautilus_window_real_set_content_view):
	Scientists proved that it was unnecessary. Removed it.

2000-06-08  Andy Hertzfeld  <andy@eazel.com>

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize), (check_installed):
	improved the layout of the rpm view by making the file list be
	the dominant, growable item.  Also, made other tweaks and clean-ups.
	
2000-06-08  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_initialize_class), 
	(nautilus_entry_initialize):
	Fixed bug 983.  Added user_changed signal.
	
	(nautilus_entry_destroy), (nautilus_entry_set_text),
	(nautilus_entry_insert_text), (nautilus_entry_delete_text),
	(free_undo_data), (register_edit_undo),
	(restore_from_undo_snapshot_callback),
	(nautilus_entry_set_undo_key):
	Cleanups in the way undo was being registered.  Created
	local undo data structure and removed cached undo text
	from class.  Localized checking of undo registered
	boolean to a single location.

	(user_changed_callback):
	Added callback coonected to user changed signal.
	Undo registering is handled here.

	* src/nautilus-bookmarks-window.c: (create_bookmarks_window),
	(on_select_row), (on_text_field_focus_in_event),
	(on_text_field_focus_out_event), (repopulate):
	Updated code to properly handle undo.
	
	* src/nautilus-location-bar.c:
	(nautilus_location_bar_set_location):
	Updated code to properly handle undo.

2000-06-08  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1097 (double-click in list should activate
	"Choose" button in View as Other dialog)

	* libnautilus-extensions/nautilus-gnome-extensions.h:
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_dialog_get_button_by_index): New
	function, returns one of the bottom-of-the-dialog buttons
	specified by index.

	* libnautilus-extensions/nautilus-gtk-extensions.h,
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_button_auto_click): New function, 
	acts as if invisible finger had clicked the specified
	button.
	(finish_button_activation): New idle function used by
	auto_click.
	
	(nautilus_gtk_clist_set_double_click_button):
	New function, specifies a button to be auto-clicked
	when a clist gets a double-click.
	(activate_button_on_double_click): New signal handler
	function used by set_double_click_button.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_new): Wire up the "Choose"
	button with nautilus_gtk_clist_set_double_click_button.

2000-06-08  Shane Culpepper  <pepper@eazel.com>

	* components/services/install/command-line/Makefile.am:
	Fixed include path to point to top level trilobite directory.
	Could not build from a clean tree because helixcode-utils.h could
	not be found.

2000-06-08  Darin Adler  <darin@eazel.com>

	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback),
	(nautilus_window_begin_location_change):
	* src/nautilus-window.h:
	Fixed the bug where bogus URIs would cause a seg fault.
	Unfortunately doing this in a simple clean way required
	adding a field to the already-packed NautilusWindow.

2000-06-08  Pavel  <pavel@eazel.com>

	* components/services/time/command-line/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/service/Makefile.am:
	Ooops, my previous makefile fixes, weren't right -- they
	caused trilobite to get rebuild again each time.
	Replaced a phony rule with a timestamp file to fix
	the problem.

2000-06-08  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback), (directory_load_done):
	Moved a state changed call in for the case where we discover
	new items in a directory. This fixes bugs 1066 and 1068.
	
	* src/nautilus-window.c: (nautilus_window_destroy):
	Fixed problem where we get occasional stray calls to
	"set_sensitive". The problem is that we must remove the
	idle call used by the window state machine when the window
	in question is destroyed.

2000-06-08  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_default_component_for_uri_internal): Fix 1265
	(OAF_ServerInfo__copy): Fine-tuning to avoid crashing.
	(nautilus_do_component_query): Fix 1270
	(strv_length, strv_concat): New utility functions.

	* RENAMING: Added more renaming ideas.
	* libnautilus-extensions/nautilus-mime-actions.c:
	(get_mime_type_from_uri): Adjusted a FIXME comment.

2000-06-08  Pavel Cisler <pavel@eazel.com>

	* nautilus-widgets/Makefile.am:
	Fix dependencies to make parallel make on MP machines work.

	* components/services/time/command-line/Makefile.am:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/service/Makefile.am:
	Fix dependencies to make parallel make work.
	Fix clean target to delete all the autogenerated files.

2000-06-07  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_canvas_fill_with_gradient):
	fixed problem with the anti-aliased gradient draw at
	small scale factors by pinning the interpolation ratio
	between 0.0 and 1.0
	
2000-06-07  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file.c: (destroy):
	Fixed another storage leak, we forgot to call through
	to the parent destroy.
	(nautilus_self_check_file): Fixed a leak in the test.
	
	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new_from_tokens): Fixed a leak
	by calling g_strfreev instead of g_free.

2000-06-07  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1299 (view-and-location switching fails if
	short list empty)

	* libnautilus-extensions/nautilus-mime-actions.h,
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_has_any_applications_for_uri),
	(nautilus_mime_has_any_components_for_uri): New functions,
	return a gboolean. Currently they just get the whole list
	and check if it's non-NULL, but perhaps this can be
	optimized later.
	
	* src/nautilus-sidebar.c: (nautilus_sidebar_update_buttons):
	Deploy nautilus_mime_has_any_applications_for_uri where it
	was already doing this kind of check.

	* src/nautilus-applicable-views.c: 
	(set_initial_content_id): removed an obsolete assert.
	(got_file_info_callback): Don't report no handler just because
	preferred list is empty; if any component is available use it.

	* src/nautilus-window.c: (nautilus_window_load_content_view_menu):
	Leave out the divider below the preferred list if the preferred
	list is empty.

2000-06-07  Mike Fleming  <mfleming@eazel.com>

	* components/services/time/nautilus-view/Makefile.am:
	Added include path; wasn building correctly for everyone

2000-06-07  Darin Adler  <darin@eazel.com>

	Leak-checking-related fixes.

	* libnautilus-extensions/nautilus-file.c: (destroy):
	Fixed a storage leak (we weren't freeing file->details).
	* libnautilus-extensions/nautilus-self-checks.c:
	(nautilus_check_string_result): Fixed a storage leak.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(metafile_read_done), (metafile_read_failed),
	(metafile_read_complete): Added some asserts.
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory): Added one more "assert".
	
	* libnautilus-extensions/nautilus-lib-self-check-functions.c:
	(nautilus_run_lib_self_checks): Formatting tweaks.
	* nautilus-widgets/nautilus-widgets-self-check-functions.c:
	(nautilus_widgets_run_self_checks): Formatting tweaks.
	
	* nautilus-widgets/nautilus-preference.c:
	(nautilus_widgets_self_check_preference): Made the test
	not repeat things so many times. It doesn't help find the
	leaks, it actually hurts :-)
	
	* src/nautilus-application.c: (nautilus_app_quit):
	* src/nautilus-main.c: (main):
	Moved the gnome_vfs_shutdown out to the main loop instead of
	putting it inside nautilus-application.c since that matches
	how we do the initializing.

2000-06-07  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-location-bar.c: (accumulate_name),
	(try_to_expand_path), (editable_key_press_callback),
	(nautilus_location_bar_initialize):
	implemented first cut at auto-completion for the location bar text
	entry. For now, it only handles file uris.

2000-06-07  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-list.c: (nautilus_list_destroy):
	Fix a memory thrasher Darin and John were running into.
	
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_all_components_for_uri):
	Fix more leaks.

2000-06-07  John Sullivan  <sullivan@eazel.com>

	Made switching location with a specified view work.
	There's still a bug outstanding (1053) about doing this a more
	reliable way.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_switch_location): New helper function to
	switch location, specifying whether or not a new window
	should be used.
	(switch_location_and_view): Set the default component for this
	uri and then switch location.
	(fm_directory_view_activate_file_internal): Use
	fm_directory_view_switch_location to consolidate code.

2000-06-07  John Sullivan  <sullivan@eazel.com>

	Did task 1058 (Activating an item in directory view needs
	to use application when appropriate)

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_activate_file_internal):
	Check default_action_type_for_uri and launch default application
	or switch location depending on result.

2000-06-07  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_canvas_fill_with_gradient):
	made gradient fill work properly on the anti-aliased canvas
	by changing a multiplier from 4 to 3 (no alpha value in the
	canvas buffer) and pinning the gradient fraction to 1.0.
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_render):
	added some slop to the bounds passed to gradient fill

2000-06-07  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window.c: (chose_component_callback):
	Moved a g_return_if_fail so that it doesn't trigger erroneously
	when the window is closing.

2000-06-07  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(key_press_event):
	Fixed bug #1154.  The Enter key was getting checking
	for improperly.  A check was being performed for
	being in editing mode after a check for not being in editing mode 
	had occured.  Moved the check to the proper code block.
	
2000-06-07  Darin Adler  <darin@eazel.com>

	Updated code affected by destroy-notify addition to bonobo.
	Requires new bonobo.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_ui_handler_menu_set_toggle_appearance):
	Save and restore the destroy notify function as well as the
	callback. This requires using the new function
	bonobo_ui_handler_menu_remove_callback_no_notify to do right.
	
	* src/file-manager/fm-directory-view.c:
	(application_launch_parameters_new),
	(application_launch_parameters_free): Ref and unref the directory
	view object now that we correctly free this as needed.
	(viewer_launch_parameters_new), (viewer_launch_parameters_free):
	Ref and unref the directory view object now that we correctly free
	this as needed.
	(add_open_with_bonobo_menu_item): Add a destroy-notify function
	parameters and apply it using bonobo_ui_handler_menu_set_callback.
	(add_application_to_bonobo_menu): Free the launch parmaeters using
	a destroy-notify function.
	(add_component_to_bonobo_menu): Free the launch parmaeters using
	a destroy-notify function.
	
	* src/nautilus-window-menus.c: (append_bookmark_to_menu): Use a
	destroy-notify function to destroy the bookmark holder.
	(clear_appended_bookmark_items): Get rid of the code that gets
	the callback data and destroys it explicitly.

	* libnautilus/nautilus-clipboard.c: (add_menu_item):
	* src/file-manager/fm-directory-view.c: (insert_bonobo_menu_item),
	(fm_directory_view_real_merge_menus):
	* src/file-manager/fm-icon-view.c: (append_bonobo_menu_item),
	(fm_icon_view_merge_menus):
	Rename BonoboUIHandlerCallbackFunc -> BonoboUIHandlerCallback.
	
	* HACKING: Some reformatting.

2000-06-07  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-gtk-extensions.h,
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_button_set_padding): New function, puts some
	padding around the label (or other contained widget) in a
	button.
	* src/nautilus-bookmarks-window.c: (create_bookmarks_window):
	Use this new function where it was doing this the long way.
	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_new): Use this new function to make
	the "Modify..." button not so squashed.

2000-06-07  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.oafinfo:
	Expose the fact that this component can grok text/html.
	
2000-06-07  John Sullivan  <sullivan@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_destroy):
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(generate_xml_package_list):
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory):
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_fill_rectangle_with_color):
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_add), (nautilus_icon_container_remove):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_drag_data_received):
	* libnautilus-extensions/nautilus-undo-manager.c:
	(nautilus_undo_manager_undo):
	* libnautilus-extensions/nautilus-view-identifier.h:
	* libnautilus/nautilus-distributed-undo.idl:
	* nautilus-widgets/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_get_user_level):
	Final batch (for now) of adding bug numbers to FIXMEs.

2000-06-07  Pavel  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file.c: (nautilus_file_get):
	Added missing unrefs to three exit places. 

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri),
	(nautilus_mime_get_default_application_for_uri),
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri),
	(nautilus_do_component_query):
	Fixed a ton of leaked mime type strings.

2000-06-07  Andy Hertzfeld  <andy@eazel.com>

	more work on gradient backgrounds in anti-aliased mode; vertical ones are
	working now but horizontals still aren't
	
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_render):
	get the width and height of entire area from get_scroll_area
	* libnautilus-extensions/nautilus-background.c,h:
	(nautilus_background_draw_aa):
	added parameters for entire area to use for color determination
	* libnautilus-extensions/nautilus-gnome-extensions.c,h:
	(nautilus_gnome_canvas_fill_with_gradient):
	added entire width and height parameters, and use them to
	compute the color
	
Wed Jun  7 01:20:22 2000  Raph Levien  <raph@acm.org>

	* librsvg/art_render.h: Workaround to compile with older
	versions of Libart that didn't define art_u16.

2000-06-06  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_all_applications_for_uri),
	(nautilus_mime_get_all_components_for_uri):
	Fixed leaked uris in each of the above.

	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_create_editable_string):
	Fix a leaked string.

	* nautilus-widgets/nautilus-preferences-item.c:
	(has_image_file):
	Add a missing gnome_vfs_file_info_init that will make
	gnome_vfs_get_file_info not leak.

	* src/nautilus-window-menus.c:
	(update_user_level_menu_items):
	Fix a leaked string.

	* src/nautilus-window-menus.c:
	(update_preferences_dialog_title):
	Fix a leaked title string.

2000-06-06  Darin Adler  <darin@eazel.com>

	The main change here is revamping the undo manager.
	To get a complete check-out you might have to delete
	the file named libnautilus/nautilus-undo.h that used
	to be a generated file and is now checked-in.

	* components/help/help-method.c: (vfs_module_transform):
	Removed a bogus extraneous FIXME.
	
	* libnautilus-extensions/Makefile.am:
	Moved the undo manager into libnautilus-extensions
	since it's not needed by Nautilus components.
	
	* libnautilus-extensions/nautilus-entry.c:
	* libnautilus-extensions/nautilus-icon-text-item.c:
	* libnautilus/nautilus-view.c:
	* src/nautilus-application.c:
	* src/nautilus-bookmarks-window.c: (create_bookmarks_window):
	* src/nautilus-view-frame.c:
	* src/nautilus-window-private.h:
	* src/nautilus-window.c:
	Updated includes and a few small function name changes.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(alive_disconnecter),
	(nautilus_gtk_signal_connect_full_while_alive):
	Added a new function that combines the features of
	gtk_signal_connect_full with gtk_signal_connect_while_alive.
	
	* libnautilus/nautilus-undo-context.h: [removed]
	* libnautilus/nautilus-undo-context.c: [removed]
	* libnautilus-extensions/nautilus-undo-context.h:
	* libnautilus-extensions/nautilus-undo-context.c:
	(impl_Nautilus_Undo_Context__destroy),
	(impl_Nautilus_Undo_Context__create),
	(impl_Nautilus_Undo_Context__get_undo_manager),
	(nautilus_undo_context_new), (destroy),
	(nautilus_undo_context_initialize_class):
	Rewrote this class to simplify it (after moving it here).
	
	* libnautilus/nautilus-undo-manager.h: [removed]
	* libnautilus/nautilus-undo-manager.c: [removed]
	* libnautilus/nautilus-undo-manager-private.h: [removed]
	* libnautilus-extensions/nautilus-undo-manager.h:
	* libnautilus-extensions/nautilus-undo-manager.c:
	(impl_Nautilus_Undo_Manager__destroy),
	(impl_Nautilus_Undo_Manager__create),
	(impl_Nautilus_Undo_Manager__append),
	(impl_Nautilus_Undo_Manager__forget),
	(nautilus_undo_manager_initialize),
	(nautilus_undo_manager_initialize_class),
	(nautilus_undo_manager_undo),
	(nautilus_undo_manager_add_transaction),
	(nautilus_undo_manager_forget_transaction),
	(nautilus_undo_manager_set_queue_depth),
	(nautilus_undo_manager_attach),
	(nautilus_undo_manager_add_interface), (update_undo_menu_item),
	(undo_menu_handler_connection_free),
	(undo_menu_handler_connection_free_cover),
	(nautilus_undo_manager_set_up_bonobo_ui_handler_undo_item):
	Rewrote this class to simplify it. Got rid of many old
	interfaces and added some new ones.
	
	* libnautilus/.cvsignore:
	* libnautilus/Makefile.am:
	Renamed the old nautilus-undo.idl to
	nautilus-distributed-undo.idl.  The IDL is only about the internal
	part of the undo framework.  Clients use calls that are in
	nautilus-undo.h. The part that's public needs the prettier name.
	
	* libnautilus/nautilus-undo.idl: [removed]
	* libnautilus/nautilus-distributed-undo.idl:
	Updated the names of menu-item-related things to better match the
	standard terminology.
	
	* libnautilus/nautilus-undo-private.h:
	Added this new header for things needed by the undo manager that
	are in libnautilus. Maybe we can eliminate this later.

	* libnautilus/nautilus-undo-transaction.h:
	* libnautilus/nautilus-undo-transaction.c:
	(impl_Nautilus_Undo_Transaction__destroy),
	(impl_Nautilus_Undo_Transaction__create),
	(impl_Nautilus_Undo_Transaction__get_undo_menu_item),
	(impl_Nautilus_Undo_Transaction__get_redo_menu_item),
	(impl_Nautilus_Undo_Transaction__get_operation_name),
	(impl_Nautilus_Undo_Transaction__undo),
	(nautilus_undo_transaction_new),
	(nautilus_undo_transaction_initialize),
	(remove_transaction_from_object),
	(nautilus_undo_transaction_destroy),
	(nautilus_undo_transaction_initialize_class),
	(nautilus_undo_transaction_add_atom),
	(nautilus_undo_transaction_undo),
	(nautilus_undo_transaction_add_to_undo_manager), (remove_atoms),
	(remove_atoms_cover),
	(nautilus_undo_transaction_unregister_object), (undo_atom_free),
	(undo_atom_undo_and_free), (undo_atom_free_cover),
	(undo_atom_undo_and_free_cover), (undo_atom_list_free),
	(undo_atom_list_undo_and_free):
	Rewrote and simplified this class and got rid of all uses of
	NautilusUndoable.
	
	* libnautilus/nautilus-undoable.h: [removed]
	* libnautilus/nautilus-undoable.c: [removed]
	* libnautilus/nautilus-undo.h:
	* libnautilus/nautilus-undo.c: (nautilus_undo_register),
	(nautilus_undo_register_full), (nautilus_undo_unregister),
	(nautilus_undo), (nautilus_undo_get_undo_manager),
	(undo_manager_ref), (undo_manager_unref),
	(undo_manager_unref_cover), (nautilus_undo_attach_undo_manager),
	(nautilus_undo_share_undo_manager), (set_up_bonobo_control),
	(nautilus_undo_set_up_bonobo_control):
	Added this new file with the public interface of the undo code and
	most of the basic implementation. Most of this was previously in
	nautilus-undoable.c.
	
	* nautilus-widgets/nautilus-preferences.c:
	(preferences_hash_node_free), (preferences_hash_node_add_callback),
	(preferences_hash_node_remove_callback),
	(preferences_hash_node_check_changes_func),
	(preferences_callback_node_alloc),
	(preferences_callback_node_free),
	(preferences_callback_node_free_func),
	(preferences_callback_node_invoke_func),
	(preferences_gconf_callback):
	Fixed a repeated spelling error in this file.
	
	* src/nautilus-application.c: (nautilus_app_init):
	* src/nautilus-view-frame.c: (nautilus_view_frame_load_client):
	* src/nautilus-window-menus.c: (edit_menu_undo_callback),
	(nautilus_window_initialize_menus):
	* src/nautilus-window.c: (nautilus_window_constructed):
	Changed to use public parts of the undo API instead of the old
	stuff that used private secret stuff. Many places use nice new
	convenient calls that do a lot of the work for you.

2000-06-06  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path),
	(nautilus_icon_factory_get_icon_for_file):
	Fix leaks.
	
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal):
	Add an assert to augument a funny if statement and trap 
	a potential leak case.

	* src/file-manager/fm-icon-view.c: (get_icon_text_callback):
	Fix a leak

2000-06-06  Andy Hertzfeld  <andy@eazel.com>

	made gradient backgrounds work with the anti-aliased canvas.  This
	isn't finished yet but will be soon.
	
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_render):
	call nautilus_background_draw_aa to draw the background
	* libnautilus-extensions/nautilus-background.c:
	(draw_pixbuf_tiled_aa), (nautilus_background_draw_aa):
	made it call nautilus_gnome_canvas_fill_with_gradient
	to fill with a gradient background if necessary
	* libnautilus-extensions/nautilus-gnome-extensions.c,h:
	(nautilus_gnome_canvas_item_get_world_bounds),
	(nautilus_gnome_canvas_fill_with_gradient):
	implemented nautilus_gnome_canvas_fill_with_gradient

2000-06-06  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences.c:
	* nautilus-widgets/nautilus-user-level-manager.c:
	(user_level_manager_new):
	Use "/apps/nautilus" instead of "/nautilus" to conform to the
	gconf "standard"

	Thanks to andersca@gnu.org for pointing this out.
	
2000-06-06  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-glib-extensions.c: Removed FIXME
	comments for 1277.

	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_test_predicate), (nautilus_self_check_glib_extensions):
	Un #if-0'd out, and replaced the free that was killing things with
	a comment explaining why it is not necessary.

2000-06-06  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences.c:
	(nautilus_preferences_get_enum):
	Add missing g_free.
	
2000-06-06  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_self_check_glib_extensions):
	Comment out broken nautilus_g_list_paritition tests and adeed
	FIXME blurb with bug number.
	
2000-06-06  John Sullivan  <sullivan@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_new_with_config):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(do_rpm_install):
	* components/services/time/service/trilobite-eazel-time-service.c:
	(impl_Trilobite_Eazel_Time_Service_update_time):
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_get_sidebar_panel_view_identifiers),
	(global_preferences_register_sidebar_panels_preferences_for_ui):
	* libnautilus/nautilus-clipboard.c: (add_menu_items_callback):
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_create_font_family):
	* nautilus-widgets/nautilus-preferences.c:
	(preferences_hash_node_check_changes_func),
	(preferences_gconf_callback):
	Added bug numbers to FIXMEs.

2000-06-06  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri),
	(nautilus_mime_get_default_application_for_uri),
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_all_applications_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri),
	(nautilus_do_component_query), (get_mime_type_from_uri):
	Added bug numbers to FIXMEs.

2000-06-06  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_type_as_string):
	* src/file-manager/fm-directory-view.c:
	(bonobo_control_activate_callback), (new_folder_done),
	(fm_directory_view_real_create_background_context_menu_items):
	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-list-view.c: (fm_list_handle_dropped_icons):
	* src/nautilus-application.c: (nautilus_app_startup):
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_initialize),
	(nautilus_desktop_window_new), (realize):
	* src/nautilus-property-browser.c: (remove_background),
	(remove_emblem), (add_background_to_browser):
	* src/nautilus-sidebar.c:
	* src/nautilus-view-frame-bonobo-embeddable.c:
	(bonobo_subdoc_notify_location_change):
	* src/nautilus-window-manage-views.c:
	(nautilus_window_request_location_change):
	Added bug numbers to FIXMEs.

2000-06-06  John Sullivan  <sullivan@eazel.com>

	* components/music/nautilus-music-view.c:
	* components/services/trilobite/libtrilobite/trilobite-service.c:
	* src/nautilus-window-menus.c: (update_user_level_menu_items):
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_real_set_content_view):
	Added bug numbers to FIXMEs, and removed a few stale ones.

2000-06-06  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-metadata.h:
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri),
	(nautilus_mime_get_default_application_for_uri),
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_all_applications_for_uri),
	(nautilus_mime_set_default_action_type_for_uri),
	(nautilus_mime_set_default_application_for_uri),
	(nautilus_mime_set_default_component_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri),
	(nautilus_mime_extend_all_applications_for_uri),
	(nautilus_mime_remove_from_all_applications_for_uri),
	(get_explicit_content_view_iids_from_metafile):
	Made all the metadata keys in this file be #defines
	instead of in-line strings.

2000-06-06  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1219 (saved viewer not used if not in preferred list)

	* libnautilus-extensions/nautilus-metadata.h:
	Removed NAUTILUS_METADATA_KEY_INITIAL_VIEW 'cuz it's not needed
	anymore.
	
	* libnautilus-extensions/nautilus-mime-actions.h:
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal):
	New private function, returns both the default component
	and whether it was user-chosen (as opposed to just inherited
	from the value for this MIME type).
	(nautilus_mime_get_default_component_for_uri): Now calls
	this new function. Also fixed a bug where it was using a
	different metadata string than _set_default_, and thus
	never retrieving the stored value.
	(nautilus_mime_is_default_component_for_uri_user_chosen):
	New public function, reports whether the default component
	was chosen by the user or just inherited.
	
	* src/nautilus-window.c: (nautilus_window_switch_views):
	Call nautilus_mime_set_default_component_for_uri when the
	user explicitly chooses a view, rather than setting the
	now-obsolete "INITIAL_VIEW" metadata.

	* src/nautilus-applicable-views.c: 
	(got_file_info_callback): Rename "fallback_id" to "default_id"
	and eliminate code that adds default component to menu here.
	The current view is always added to the menu in a special way
	if required later.
	(set_initial_content_id): Don't get remembered value, instead
	use nautilus_mime_is_default_component_for_uri_user_chosen to
	choose priority between default component and referring component.
	And don't require that the initial component is in the preferred
	list.

2000-06-06  Andy Hertzfeld  <andy@eazel.com>

	made tiled image backgrounds work properly in anti-aliased mode
	
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_initialize_class),
	(nautilus_background_canvas_group_draw),
	(nautilus_background_canvas_group_render):
	overrode the render method so backgrounds draw in anti-aliased mode
	
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw), (draw_pixbuf_aa), (draw_pixbuf_tiled),
	(nautilus_background_draw_aa):
	added nautilus_background_draw_aa to draw the background in
	anti-aliased yet.  We don't support gradients yet, but that's
	coming soon.
	* libnautilus-extensions/nautilus-background.h:
	added nautilus_background_draw_aa
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_render):
	made it respect the is_bg flag
	
2000-06-05	Mathieu Lacage	<mathieu@gnome.org>

	* components/rpmview/Makefile.am: add 
	nautilus_rpm_view_LDADD: don't ask me why
	it is necessary.
	* src/file-manager/Makefile.am: add ORBIT_IDL.

2000-06-05	Mathieu Lacage	<mathieu@gnome.org>

	* configure.in: add check for ORBit.
	* libnautilus/Makefile.am: use the previous check.
	The above is a trivial patch which does not correct the
	problem of the Bonobo idl files. How can you get their 
	location ?
	* librsvg/Makefile.am: make it use the proper flags for 
	GDK_PIXBUF.

2000-06-05  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct),
	(preferences_item_create_editable_string),
	(preferences_item_create_font_family),
	(preferences_item_create_icon_theme),
	(preferences_item_create_toolbar_icon_theme),
	(text_item_changed_callback), (editable_string_changed_callback):
	* nautilus-widgets/nautilus-preferences-item.h:
	New type of preference, EDITABLE_STRING.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog):
	Add a new pane, navigation pane.
	
	Add support for manually keying in a home page.  Needs some more
	work to work better.
	
	* nautilus-widgets/Makefile.am:
	* nautilus-widgets/nautilus-caption.c:
	(nautilus_caption_initialize_class), (nautilus_caption_initialize),
	(nautilus_caption_destroy), (nautilus_caption_new),
	(nautilus_caption_set_title_label),
	(nautilus_caption_get_title_label), (nautilus_caption_set_child):
	* nautilus-widgets/nautilus-caption.h:
	New class.  Common stuff for caption widgets.

	* nautilus-widgets/nautilus-string-picker.c:
	(nautilus_string_picker_initialize_class),
	(nautilus_string_picker_initialize), (entry_changed_callback),
	(nautilus_string_picker_set_string_list):
	* nautilus-widgets/nautilus-string-picker.h:
	Subclass from caption class.
	
	* nautilus-widgets/nautilus-text-caption.h:
* nautilus-widgets/nautilus-text-caption.c:
	(nautilus_text_caption_initialize_class),
	(nautilus_text_caption_initialize),
	(nautilus_text_caption_destroy), (entry_changed_callback),
	(nautilus_text_caption_new), (nautilus_text_caption_get_text),
	(nautilus_text_caption_set_text):
	New caption sublcass that manages an text widget.
	
	* nautilus-widgets/test-nautilus-widgets.c: (main),
	(test_string_picker), (test_text_caption),
	(string_picker_changed_callback), (text_caption_changed_callback):
	Update for new class and caption changes.
	
2000-06-05  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c: (embed_text):
	* src/nautilus-sidebar-title.c:
	(nautilus_index_title_update_label):

	Update FIXME blurbs to reflect new bugs filed for these issue.

2000-06-05  John Sullivan  <sullivan@eazel.com>

	Used newly-publicized functions from gnome-vfs-mime-handlers.c
	to avoid replicating a bunch of code.

	* libnautilus-extensions/nautilus-mime-actions.c:
	(gnome_vfs_mime_application_matches_id),
	(gnome_vfs_mime_component_matches_id),
	(gnome_vfs_mime_id_in_application_list),
	(gnome_vfs_mime_id_in_component_list),
	(id_list_from_application_list),
	(id_list_from_component_list):
	Removed these functions.
	
	(nautilus_mime_add_application_to_short_list_for_uri),
	(nautilus_mime_remove_application_from_short_list_for_uri),
	(nautilus_mime_add_component_to_short_list_for_uri),
	(nautilus_mime_remove_component_from_short_list_for_uri):
	Rewrote to call newly-publicized gnome-vfs-mime functions.

2000-06-05  John Sullivan  <sullivan@eazel.com>

	Cleaned up the directory view code that launches applications 
	or switches to viewers so that when bugs 1053 and 1072 are
	fixed it will be trivial to finish this code.

	* libnautilus-extensions/nautilus-gtk-extensions.h,
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_signal_connect_free_data_custom): New function
	to specify a GtkDestroyNotify function when connecting to a
	signal, without having to specify everything else in
	gtk_signal_connect_full.
	(nautilus_gtk_signal_connect_free_data): Changed to call
	nautilus_gtk_signal_connect_free_data_custom.

	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_copy): Made it handle NULL parameter.
	
	* src/file-manager/fm-directory-view.c:
	(application_launch_parameters_new),
	(application_launch_parameters_free),
	(viewer_launch_parameters_new), 
	(viewer_launch_parameters_free): New helper functions for
	dealing with the structs needed to launch an app or viewer.
	
	(fm_directory_view_launch_application): New wrapper for
	nautilus_launch_application that will let us handle
	errors in a single place.

	(switch_location_and_view): New bottleneck function or going
	to a particular location with a particular viewer. This 
	doesn't work yet (bug 1053) and it currently puts up a
	message box telling the user so.

	(fm_directory_view_chose_application_callback),
	(fm_directory_view_chose_component_callback), (choose_program),
	(choose_application), (choose_component),
	(launch_application_from_menu_item), (view_uri_from_menu_item),
	(add_application_to_gtk_menu), (add_component_to_gtk_menu),
	(create_open_with_gtk_menu), (bonobo_launch_application_callback),
	(add_application_to_bonobo_menu),
	(bonobo_open_location_with_viewer_callback),
	(add_component_to_bonobo_menu):
	Reworked to pass around launch_parameters structs instead of other
	bits and pieces of info. Darin will be happy to know that info
	needed for menu item callbacks is now bundled up and passed as
	the callback data instead of sneaking in as gtk_object_data.

2000-06-05  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1118: Generic error message for bogus ftp location

	* src/nautilus-applicable-views.h: 
	Added NAUTILUS_NAVIGATION_RESULT_UNDEFINED to enum.
	* src/nautilus-applicable-views.c: (got_file_info_callback):
	Used this new value to fix bug where early goto was not
	setting result code. Goto considered evil.
	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback):
	Added "complain to sullivan@eazel.com" message when an
	unhandled result code is stumbled across.

2000-06-05  Ramiro Estrugo  <ramiro@eazel.com>

	Bug 647.  Should report missing special directories to user.
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_directory), (nautilus_get_desktop_directory),
	(nautilus_get_user_main_directory):
	Fixed uninitialized static pointers.  Remove FIXME blurbs are
	error checking happens "above" in nautilus-application now.
	
	* src/nautilus-application.c:
	(nautilus_app_check_user_directories), (nautilus_app_startup):
	Add error checking for missing user directories with appropiate
	FIXME for current bad names for these dirs.
	
2000-06-05  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	Added FIXME note for bug 1117.
	
2000-06-05  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_as_concatenated_string),
	(nautilus_self_check_string_list):
	* libnautilus-extensions/nautilus-string-list.h:
	New function.  Return the string list items concatenated into a
	single string delimited by a given delimeter.
	
2000-06-05  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory):
	don't install the web link set by default
	
2000-06-05  Andy Hertzfeld  <andy@eazel.com>

	* data/linksets/Makefile.am:
	* data/linksets/portals.xml:
	* data/linksets/search_engines.xml:
	added 2 new linksets of web links
	* libnautilus-extensions/Makefile.am:
	made us link with ghttp
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory):
	install the search engines linkset by default (temporarily until we have more UI)
	* libnautilus-extensions/nautilus-link.c: (load_image_from_http),
	(make_local_path), (nautilus_link_get_image_uri):
	made links handle remote images by loading them through http using g_http, and
	caching them locally.
	
2000-06-04  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	reorganized the icon theming in the preferences dialog, combining toolbar and
	icon themes into one section, and generalizing toolbar themes to support any
	number of themes.
	* libnautilus-extensions/nautilus-global-preferences.h:
	generalized the toolbar icon theme preference from a boolean to a string,
	changing its name to avoid confusion
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct), (has_image_file), (add_icon_themes),
	(preferences_item_create_icon_theme),
	(preferences_item_create_toolbar_icon_theme):
	added support for toolbar icon themes and made it more robust for icon themes
	in general, by adding code to check that a candidate directory actually has
	the required icons.
	* nautilus-widgets/nautilus-preferences-item.h:
	added a new item type for toolbar themes
	* src/nautilus-window-toolbars.c: (setup_button),
	(setup_toolbar_images), (nautilus_window_initialize_toolbars),
	(nautilus_window_toolbar_remove_theme_callback):
	generalized the toolbar icon switching code to support arbitrary themes instead
	of just two.
	* libnautilus-extensions/nautilus-link-set.c:
	(get_link_set_document), (expand_uri), (nautilus_link_set_install),
	(nautilus_link_set_remove):
	added link set remove code, which hasn't been tested yet, but will be soon.
	* icons/zoom.png:
	cleaner version of magnifier icon
		
2000-06-04  Ian McKellar  <yakk@yakk.net>

	* nautilus-widgets/nautilus-preferences.c:
	(preferences_hash_node_add_callback):
	Little mistake: `char *key; g_assert (key);' Unsurprisingly this
	stopped Nautilus actually running.

2000-06-02  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_remove_component_from_short_list_for_uri):
	Fixed a component/application typo.

2000-06-02  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri):
	Tiny tweak.
	(nautilus_mime_get_short_list_components_for_uri):
	Fixed a double destroy and a storage leak.

2000-06-02  Andy Hertzfeld  <andy@eazel.com>

	* icons/hand.svg:
	Here's a scaled up version of the services hand to compensate for
	the scale factor introduced in my last checkin
	
2000-06-02  Darin Adler  <darin@eazel.com>

	* data/linksets/desktop.xml:
	* icons/Makefile.am:
	* icons/trash.png: [removed]
	Changed to use the new trash icon Arlo checked in and removed
	the old one.

2000-06-02  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_add_application_to_short_list_for_uri),
	(nautilus_mime_remove_application_from_short_list_for_uri),
	(nautilus_mime_add_component_to_short_list_for_uri),
	(nautilus_mime_remove_component_from_short_list_for_uri):
	Provided implementations for these functions (formerly empty).
	Unfortunately bad things happen when I invoke them. Will
	debug now.
	(id_list_from_application_list), (id_list_from_component_list),
	(gnome_vfs_mime_application_matches_id),
	(gnome_vfs_mime_component_matches_id), (component_has_id_in_list),
	(gnome_vfs_mime_id_in_application_list),
	(gnome_vfs_mime_id_in_component_list): New helper functions all
	used to implement the add/remove functions.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog):
	Add a boolean preference for toggling the display of hidden files.

	In order to make space for this one, i moved the remote views one
	to a new tradeoffs pane, which was commandeered by sullivan.
	
2000-06-02  Andy Hertzfeld  <andy@eazel.com>

	added a new theme composed of vector icons, and a generalized theme
	selector in the preferences dialog
	
	* configure.in:
	* icons/Makefile.am:
	* icons/vector/.cvsignore:
	* icons/vector/Makefile.am:
	* icons/vector/i-directory-accept.svg:
	* icons/vector/i-directory.svg:
	* icons/vector/i-regular.svg:
	* icons/vector/i-regular.xml:
	added a new directory for a vector
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	changed the type of the icon theme selector to a custom one
	
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct),
	(preferences_item_create_font_family), (add_icon_themes),
	(preferences_item_create_icon_theme), (text_item_changed_callback):
	implemented a custom type for icon theme selecting; added a routine
	to iterate through the icons directory to find available themes
	
	* nautilus-widgets/nautilus-preferences-item.h:
	defined a custom type for icon theme selection
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus),
	(refresh_bookmarks_in_go_menu):
	removed the old code that maintained a menu item for icon
	theme selection now that we have it in preferences
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(load_specific_image_svg):
	changed the default scaling for vector icons to match the
	size that Susan's been drawing them at
	
2000-06-02  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory.c: (uri_get_basename):
	Need to unencode the name here because it's used to compare with
	file names that come from get_file_info.
	
	* src/file-manager/dfos-xfer.c: (get_parent_make_name_list):
	Unescape the result of get_basename to convert it to a plain old
	file name, since that's why gnome_vfs_xfer wants in its file name
	lists (for now, see bug 1107).

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-file-changes-queue-private.h:
	Removed the private header since it's so private it can be in the
	.c file :-)
	
	* libnautilus-extensions/nautilus-file-changes-queue.h:
	* libnautilus-extensions/nautilus-file-changes-queue.c:
	(nautilus_file_changes_queue_new),
	(nautilus_file_changes_queue_get), (nautilus_file_change_free),
	(nautilus_file_changes_queue_free),
	(nautilus_file_changes_queue_add_common),
	(nautilus_file_changes_queue_get_change):
	A little simplification and reformatting. Got rid of the details
	indirection since the entire data structure is private.

2000-06-02  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.h,
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_add_application_to_short_list_for_uri),
	(nautilus_mime_remove_application_from_short_list_for_uri),
	(nautilus_mime_add_component_to_short_list_for_uri),
	(nautilus_mime_remove_component_from_short_list_for_uri):
	New prototypes and empty function bodies, convenience
	covers for modifying the short lists. Not yet implemented,
	but callable.
	
	* libnautilus-extensions/nautilus-program-chooser.c:
	(add_to_short_list_for_file), (remove_from_short_list_for_file),
	(add_to_short_list_for_type), (remove_from_short_list_for_type),
	(run_program_configurator_callback): Wired up things so if
	the user switches radio buttons in the "Modify details" dialog,
	the right code is called when they hit OK. But this right code
	doesn't yet do anything.

2000-06-02  Arlo Rose  <arlo@eazel.com>

	* icons/Makefile.am:
	* icons/trash-empty.png:
	* icons/trash-full.png:
	Added the new trash icons

2000-06-02  Anders Carlsson  <andersca@gnu.org>

	* libnautilus-extensions/nautilus-icon-container.c (realize): 
	Reduce flicker by setting the back pixmap to NULL on realize.
	
2000-06-02  John Sullivan  <sullivan@eazel.com>

	Finished task 968 (Add one-time viewer choice to "View as"
	menu temporarily)

	* libnautilus-extensions/nautilus-view-identifier.h,
	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_copy): New function, does the obvious.
	
	* src/nautilus-applicable-views.h: Made NautilusNavigationInfo
	store a NautilusViewIdentifier instead of just the iid part
	in initial_content_iid (now initial_content_id).

	* src/nautilus-applicable-views.c: (set_initial_content_id),
	(got_file_info_callback), (nautilus_navigation_info_free):
	Reworked code to handle change from char *iid to NautilusViewIdentifier.

	* src/nautilus-window.h: New field for content_view_id,
	a NautilusViewIdentifier for the current view.

	* src/nautilus-window-private.h,
	* src/nautilus-window-manage-views.c:
	(nautilus_window_load_content_view): Now takes a
	NautilusViewIdentifier * instead of just a char *,
	and resets content_view_id field.
	(nautilus_window_update_state): Reworked code to handle
	initial_content_iid change.
	
	* src/nautilus-window.c: 
	(nautilus_window_destroy): Destroy content_view_id.
	(nautilus_window_switch_views), (view_menu_switch_views_callback):
	Reworked to take NautilusViewIdentifier * instead of just char *.
	(create_content_view_menu_item): New helper function, extracted 
	from nautilus_window_load_content_view_menu.
	(replace_special_current_view_in_content_view_menu): New
	function, does the work of putting the current content view
	as the initial item in the menu, followed by a separator.
	(nautilus_window_synch_content_view_menu): Calls
	replace_special_current_view_in_content_menu if the current view
	is not found in the menu.
	(chose_component_callback): Took out fixed FIXMEs.
	(nautilus_window_load_content_view_menu): Now calls function
	that was extracted from it.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	Task 667.  Unhardcode font strings.

	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_get_current_font_factory), (nautilus_font_factory_get),
	(nautilus_font_factory_new), (nautilus_font_factory_initialize),
	(nautilus_font_factory_initialize_class), (font_hash_node_alloc),
	(font_hash_node_free), (font_hash_node_lookup),
	(font_hash_node_lookup_with_insertion),
	(nautilus_font_factory_get_font_by_family),
	(nautilus_font_factory_get_font_from_preferences),
	(nautilus_font_factory_get_fallback_font), (make_font_name_string):
	* libnautilus-extensions/nautilus-font-factory.h:
	New class to obtain fonts either by family or from preferences.  A
	specific size can be requested.

	Right now its a pretty dumb class, but it can be enhanced to do
	smart things like looking at gtkstyles and/or smarted choosing of
	fonts if the specifically requested size is not avialable.
	
	* components/hardware/nautilus-hardware-view.c: (setup_form_title):
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize):
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize):
	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(setup_form_title):
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_initialize):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize):
	* src/nautilus-sidebar-title.c: (nautilus_index_title_update_info):
	Unhardcode xlfd font strings in all of these and use the font
	factory instead.

2000-06-02  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-list-view.c: (fm_list_handle_dropped_icons):
	Fix a bug that caused a crash when dropping dragged items back 
	in their original location.
	
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_drag_data_get):
	Tweak whitespace.	

2000-06-02  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_finalize): Fix typo that caused us to unref a NULL
	GdkBitmap.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_dnd_fini): Fix double-free that caused everything
	to go haywire.
	
	* src/file-manager/fm-directory-view.c:
	(add_component_to_gtk_menu), (add_component_to_bonobo_menu):
	Marked a couple of strings for localization that were missed.

2000-06-02  Darin Adler  <darin@eazel.com>

	* components/services/install/idl/.cvsignore:
	* components/services/time/idl/.cvsignore:
	Ignore some Makefile and Makefile.in files.
	
	* data/linksets/Makefile.am:
	* data/linksets/desktop.xml:
	Added a link set for the trash on the desktop.
	
	* icons/Makefile.am:
	Added a trash icon (actually a copy of the Nautilus icon right
	now :-).
	
	* libnautilus-extensions/nautilus-link-set.h:
	* libnautilus-extensions/nautilus-link-set.c: (create_new_link),
	(nautilus_link_set_install), (nautilus_link_set_remove):
	Fixed some URI-related issues and added a special case for the ~
	character so we can have link sets that are for the home directory.
	
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_capitalize): Got rid of the unneeded call to strlen.
	strlen == 0 is the slowest way I know to check for an empty string.
	Also check islower before calling toupper for paranoia like the
	calls in glib do (internally).
	
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	Install the desktop link set when we are created. For now this
	installs the trash (in a fairly lame way).
	
	* src/nautilus-property-browser.c: (remove_color),
	(add_color_to_file), (make_properties_from_xml_node),
	(nautilus_property_browser_update_contents):
	Changed code to not reference "childs" directly so it's easy to
	switch to a new version of gnome-xml.
	
	* test/.cvsignore: Ignore test-nautilus-mime-actions-set.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	Task 518.  Support for changing preferences individually
	within each confgurable user level.

	* libnautilus-extensions/nautilus-global-preferences.h:
	Change all preferences strings to not include the "/nautilus"
	prefix.  The prefix is not automatically computed by the prefences
	api taking into account the user level.

	Add (nautilus_global_preferences_dialog_update) to rebuild the
	preferences dialog when the user level changes.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_get_dialog),
	(global_preferences_register_sidebar_panels_preferences_for_ui),
	(global_preferences_register_with_defaults),
	(global_preferences_register_boolean_with_defaults),
	(global_preferences_register_string_with_defaults),
	(global_preferences_register_enum_with_defaults),
	(global_preferences_register_for_ui),
	(global_preferences_initialize_if_needed),
	(nautilus_global_preferences_show_dialog),
	(nautilus_global_preferences_hide_dialog),
	(nautilus_global_preferences_set_dialog_title),
	(nautilus_global_preferences_dialog_update),
	(nautilus_global_preferences_shutdown):
	remove the user level tracking hack.  We now set default values
	for each of the user levels.

	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_initialize):
	Simplified preference callback api by having a single add_callback
	function.  Use it here.

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_initialize):
	Simplified preference callback api by having a single add_callback
	function.  Use it here.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize):
	Simplified preference callback api by having a single add_callback
	function.  Use it here.

	* nautilus-widgets/nautilus-preference.c:
	(preference_initialize_if_needed), (preference_hash_node_alloc),
	(preference_hash_node_free_func), (preference_hash_node_free),
	(preference_register), (preference_hash_node_lookup),
	(preference_hash_node_lookup_with_registration),
	(nautilus_preference_shutdown), (nautilus_preference_find_by_name),
	(nautilus_preference_set_info_by_name),
	(nautilus_preference_enum_add_entry_by_name):
	* nautilus-widgets/nautilus-preference.h:
	Move the preference description hash table here from
	nautilus-preferences.  These are preferences that are expected to
	have nice defaults as well as descriptions and possibly extra data
	for the preferences widgets to use (like enumeration values)

	I moved the tabulation and hashing stuff intactly even though it
	contains many turds.  I plan to fix these soon.
	
	* nautilus-widgets/nautilus-preferences-group.c:
	(nautilus_preferences_group_add_item):
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct), (enum_radio_group_changed_callback):
	Update for the above.

	* nautilus-widgets/nautilus-preferences.c:
	(preferences_hash_node_alloc), (preferences_hash_node_free),
	(preferences_hash_node_add_callback),
	(preferences_hash_node_remove_callback),
	(preferences_hash_node_check_changes_func),
	(preferneces_callback_node_invoke_func), (preferences_register),
	(preferences_hash_node_lookup_with_registration),
	(preferences_gconf_callback), (user_level_changed_callback),
	(preferences_initialize_if_needed),
	(nautilus_preferences_add_callback),
	(nautilus_preferences_set_boolean),
	(nautilus_preferences_get_boolean),
	(nautilus_preferences_set_enum), (nautilus_preferences_get_enum),
	(nautilus_preferences_set), (nautilus_preferences_get),
	(nautilus_preferences_shutdown):
	* nautilus-widgets/nautilus-preferences.h:
	Move the tabulation of nice preferences to nautilus-preference.

	Install one gconf notification for each user level.  Remove all
	the extra unused registration parameters.  

	Use generated keys that take into account the current user level
	to communicato with GConf.

	Keep track of user level changes so that we can compare
	preferences between user levels and fire callbacks accordingly.
	This simplifies the lifes of preferences callers as they can
	continue to install one simple callback as before.  They will get
	notified when a preference changes for whatever reason.  That
	could be the user manaually tweaking it, or a sweeping user level
	change. 

	Again, i tried to keep as much of the original hashing logic
	intact.  It needs cleaning up as well.

	* nautilus-widgets/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_set_default_value_if_needed),
	(nautilus_user_level_manager_compare_preference_between_user_levels
	):
	* nautilus-widgets/nautilus-user-level-manager.h:
	Add a public function to determine whether a preference is the
	same between 2 user levels.

	* nautilus-widgets/test-nautilus-preferences.c:
	(register_global_preferences):
	Update to reflect api changes.
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus),
	(user_level_changed_callback),
	(get_customize_user_level_setttings_menu_string),
	(update_preferences_dialog_title):
	Update the preferences dialog whenever the user level changes.
	This is an easy way to have the dialog reflect reallity.

	It would be a lot nicer it the contents updated on the fly instead
	of rebuilding the whole thing.  I can do that later.

2000-06-02  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_button_press), (nautilus_list_button_release),
	(nautilus_list_motion):
	Fixed a problem where gtk_drag_begin was being called repetitively.
	Made it so that more than one item can be grabbed and dragged in 
	list view.

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_moved):
	Removed a forgotten g_message.

2000-06-02  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-drag.c:
	* libnautilus-extensions/nautilus-drag.h:
	(add_one_gnome_icon_list), (add_one_uri_list),
	(nautilus_drag_drag_data_get):
	Move more code from nautilus-icon-dnd.c to the common
	nautilus-drag.c. Add a common nautilus_drag_drag_data_get
	function that gets passed iterators and assembles selection
	data.
	
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	(nautilus_gtk_marshal_NONE__POINTER_INT_INT_INT):
	Added more marshalling glue. One day there will be enough
	for everyone.

	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_each_selected_icon):
	(icon_get_data_binder), (each_icon_get_data_binder),
	(drag_data_get_callback):
	Iterators and binders to support the NautilusIconContainer
	flavor of nautilus_drag_drag_data_get.
	
	* libnautilus-extensions/nautilus-list.c:
	* libnautilus-extensions/nautilus-list.h:
	* src/file-manager/fm-list-view.c:
	(nautilus_list_initialize_class), (nautilus_list_initialize),
	(nautilus_list_drag_begin), (nautilus_list_drag_end),
	(nautilus_list_drag_leave), (nautilus_list_drag_motion),
	(nautilus_list_drag_data_received), (nautilus_list_set_selection),
	(nautilus_list_each_selected_row),
	(row_get_data_binder), (each_icon_get_data_binder),
	(fm_list_drag_data_get), (create_list):
	Hookup fm_list_drag_data_get to support drags originating from the
	list view. Connect the drag_data_get to fm_list_view and 
	handle it there.

	* libnautilus-extensions/nautilus-list.c:
	* src/file-manager/fm-list-view.c:
	(nautilus_list_initialize_class), (fm_list_handle_dropped_icons):
	Fix an improperly marshalled signal.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* components/history/nautilus-history-view.c: (main):
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_get_dialog),
	(global_preferences_register_for_ui),
	(global_preferences_initialize_if_needed),
	(nautilus_global_preferences_shutdown):
	* libnautilus-extensions/nautilus-global-preferences.h:
	* nautilus-widgets/nautilus-preferences-group.c:
	(nautilus_preferences_group_add_item):
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct), (nautilus_preferences_item_new):
	* nautilus-widgets/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_add_item_to_nth_group):
	* nautilus-widgets/nautilus-preferences.c: (preferences_register),
	(set_default_value_if_needed), (preferences_hash_node_lookup),
	(preferences_hash_node_lookup_with_registration),
	(preferences_gconf_callback), (preferences_initialize_if_needed),
	(nautilus_preferences_find_preference),
	(nautilus_preferences_set_info),
	(nautilus_preferences_enum_add_entry),
	(nautilus_preferences_add_boolean_callback),
	(nautilus_preferences_add_enum_callback),
	(nautilus_preferences_add_callback),
	(nautilus_preferences_set_boolean),
	(nautilus_preferences_get_boolean),
	(nautilus_preferences_set_enum), (nautilus_preferences_get_enum),
	(nautilus_preferences_set), (nautilus_preferences_get),
	(nautilus_preferences_shutdown):
	* nautilus-widgets/nautilus-preferences.h:
	* nautilus-widgets/test-nautilus-preferences.c: (main),
	(register_global_preferences):
	* src/nautilus-main.c: (main):
	Once again, back to implicit initialization of preferences stuff.
	It makes things simpler.
	
2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_get_user_level),
	(nautilus_user_level_manager_make_gconf_key),
	(nautilus_user_level_manager_make_current_gconf_key),
	(nautilus_user_level_manager_get_user_level_as_string):
	* nautilus-widgets/nautilus-user-level-manager.h:
	* src/nautilus-window-menus.c: (get_customize_user_level_string):
	Some dumb fixes.  Use proper guint type for user_level arguments.
	Fix some cut-n-pasted code.  Rename "get_user_level_string" to
	"get_user_level_as_string"
	
2000-06-02  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(do_rpm_install):
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new_from_rpm_header):
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/prescript:
	Ensured that the current stuff in cvs builds a working installer.
	(closing bug#969)

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences.c:
	(nautilus_preferences_initialize):
	* nautilus-widgets/nautilus-user-level-manager.c:
	* nautilus-widgets/nautilus-user-level-manager.h:
	No longer need to retrieve the gconf_client from the user level
	manager.  The bug preventing multiple clients has been fixed in
	gconf.	

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_close_dialog_callback),
	(nautilus_global_preferences_show_dialog),
	(nautilus_global_preferences_hide_dialog),
	(nautilus_global_preferences_set_dialog_title):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Add functions for hiding the preferences dialog and changing its
	title.  Also, connect a "closed" signal to prevent the dialog from
	killing itself since its singleton and lives for the entire life
	of the application.
	
	* nautilus-widgets/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_get_user_level),
	(nautilus_user_level_manager_make_current_gconf_key),
	(nautilus_user_level_manager_get_user_level_string):
	* nautilus-widgets/nautilus-user-level-manager.h:
	Make nautilus_user_level_manager_get_user_level_string () public.
	
	* src/nautilus-window-menus.c: (settings_menu_customize_callback),
	(nautilus_window_initialize_menus), (user_level_changed_callback),
	(update_user_level_menu_items), (get_customize_user_level_string),
	(get_customize_user_level_setttings_menu_string):
	Change the customize menu item's label based on the user level.
	Make it insensitive for the novice user level.  Close the
	preferences dialog when the user level changes to novice.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_capitalize), (nautilus_self_check_string):
	* libnautilus-extensions/nautilus-string.h:
	Add a function to capitalize strings along with check tests.

2000-06-02  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_open_uri_callback), (mozilla_is_uri_handled_by_nautilus):
	Add hook to check which uris are passed back to nautilus.

2000-06-02  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/docs/installer-dep-check:
	Docs with my scetches on how to redo the rpm-glue to make
	eazel-install-lib autofetch deps.
	
	* components/services/install/command-line/eazel-alt-install.c:
	(eazel_download_progress):
	Borked, but compiles again. Will update when libinstall stabilizes.
	
	* components/services/install/lib/eazel-install-object.c:
	(gtk_marshal_NONE__POINTER_ENUM_POINTER),
	(eazel_install_class_initialize),
	(eazel_install_emit_download_failed),
	(eazel_install_emit_install_failed),
	(eazel_install_emit_uninstall_failed):
	Revamped the install_failed signal to take a PackageData object
	instead of char * name.

	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (download_a_package),
	(download_all_packages), (install_all_packages),
	(uninstall_packages), (uninstall_a_package),
	(build_packagedata_list_from_deps), (do_rpm_install),
	(do_rpm_uninstall), (ensure_deps_are_fetched):
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_destroy_foreach), (categorydata_destroy),
	(packagedata_new_from_rpm_header), (packagedata_destroy_foreach),
	(packagedata_destroy):
	* components/services/install/lib/eazel-install-types.h:
	Doing a lot of hacking to prepare for the autofetch stuff. 
	
	* nautilus-installer/src/prescript:
	* nautilus-installer/src/HACKING:
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/callbacks.c: (druid_cancel),
	(begin_install), (druid_finish), (prep_install), (set_images):
	* nautilus-installer/src/installer.c:
	(append_string_to_window_list), (download_failed),
	(install_failed_foreach), (requeue), (install_failed),
	(gen_report), (installer):
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c:
	Hacking in the installer. This one is borked sine I'm trying to
	figure out the right scheme of reported dep fails. Actually, I
	want the lib to autofetch deps by option, instead of failing them
	Also added stuff to link.sh, so it builds static from scratch,
	strips gzips and adds prescript to the gzexe file. So if you build
	using link.sh, you get a 644 binary which when executed using
	sh ./nautilus-installer prompts for root password and does the
	magic. Easier for newbies.
	
	* components/services/time/idl/Makefile.am:
	* components/services/install/idl//Makefile.am:
	* components/services/time/Makefile.am:
	* components/services/install/Makefile.am:
	* components/services/install/lib/Makefile.am:
	* components/services/time/service/Makefile.am:
	* components/services/trilobite/idl/Makefile.am:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* configure.in:
	* nautilus.spec.in:
	* po/POTFILES.in:
	* src/Makefile.am:
	Loads of makefile fixing to make make dist and rpm -ta work.
	
2000-06-02  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c: Moved static
	functions to bottom of file and prototyped them at the top.
	
	Final portion of task 370 (mime write API)

	* libnautilus-extensions/nautilus-mime-actions.h: *
	libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_set_default_action_type_for_uri,
	nautilus_mime_set_default_application_for_uri,
	nautilus_mime_set_default_component_for_uri,
	nautilus_mime_set_short_list_applications_for_uri,
	nautilus_mime_set_short_list_components_for_uri,
	nautilus_mime_extend_all_applications_for_uri,
	nautilus_mime_remove_from_all_applications_for_uri): Implemented
	(they write the metadata and everything - happy fun).
	(str_list_difference): Helper function compied from gnome-vfs.

	* test/test-nautilus-mime-actions-set.c: Tests for these
	functions.  
	* test/Makefile.am: Build it.

2000-06-01  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (play_file):
	fixed audio previewing, which broke when Darin changed the API to
	gnome_vfs_unescape_string, which now allocates a new string instead
	of modifying the old one.
	* data/linksets/apps.xml:
	added the gimp to the default linkset and removed abiword
	* icons/Makefile.am:
	* icons/netscape.png:
	* icons/gnome-gimp.png:
	* icons/gnome-gnumeric.png:
	added icons for the default linkset
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory):
	made it install the default linkset when it makes the novice home directory
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_contains_text)
	added condition so link files don't contain text
	(nautilus_file_activate_custom):
	added routine invoked when a file is activated to allow for custom behavior
	for specific types; used to implement command processing for links.
	* libnautilus-extensions/nautilus-file.h:
	added nautilus_file_activate_custom
	* libnautilus-extensions/nautilus-link-set.c: (create_new_link),
	(nautilus_link_set_install):
	made installing linksets work
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_get_additional_text), (nautilus_link_get_image_uri),
	(nautilus_link_get_link_uri):
	made things work when the file name has special characters
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_activate_file_internal):
	added call to nautilus_file_activate_custom to allow for custom handling
	
2000-06-01  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus/nautilus-undo-manager.c:
	* libnautilus/nautilus-undo-manager.h:
	(nautilus_undo_manager_get_current_undo_transaction):
	New call to be used internally to get the current undo transaction.
	An example of this call being used is in the menu code that displays
	the current undo operation name.
	
	* libnautilus/nautilus-undo-transaction.c:
	(impl_Nautilus_Undo_Transaction__get_undo_description),
	(impl_Nautilus_Undo_Transaction__get_redo_description),
	(impl_Nautilus_Undo_Transaction__get_operation_name),
	(impl_Nautilus_Undo_Transaction__undo),
	Added actual functionlality to these calls.  They now
	work as advertised.

	(nautilus_undo_transaction_new),
	Made changed needed to actually use the operation
	name and description that is passed in.

	(nautilus_undo_transaction_destroy),
	Clean up stored operation name and description strings.

	* src/nautilus-window-menus.c: 
	(update_undo_menu_item):
	The undo operation name is now displayed in the menu item.

2000-06-01  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-drag.h:
	* libnautilus-extensions/nautilus-icon-dnd.c:
	* libnautilus-extensions/nautilus-drag.c: 
	* libnautilus-extensions/nautilus-list.h:
	* libnautilus-extensions/nautilus-icon-dnd.h:
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_drag_init), (nautilus_drag_finalize),
	(create_selection_shadow), (set_gnome_icon_list_selection),
	(nautilus_icon_container_dropped_icon_feedback),
	(drag_data_received_callback),
	(nautilus_icon_container_ensure_drag_data), (drag_end_callback),
	(confirm_switch_to_manual_layout), (handle_local_move),
	(handle_nonlocal_move),
	(nautilus_icon_container_receive_dropped_icons),
	(nautilus_icon_dnd_update_drop_target),
	(nautilus_icon_container_free_drag_data), (nautilus_icon_dnd_init),
	(nautilus_icon_dnd_fini), (nautilus_icon_dnd_begin_drag),
	(drag_drop_callback), (nautilus_list_initialize),
	(nautilus_list_destroy),
	(nautilus_list_drag_begin), (nautilus_list_drag_data_get),:
	More list view drag&drop work. Move more code from nautilus-icon-dnd.c
	to the shared nautlus-drag.c file. Split common drag&drop state from 
	NautilusIconDndInfo into NautilusDragInfo.
	
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_drag_motion), (nautilus_list_motion):
	Start hooking up drag-related signals.

	* libnautilus-extensions/nautilus-list.c:
	* libnautilus-extensions/nautilus-list.h:
	(nautilus_list_initialize_class):
	Get rid of the unused START_DRAG signal.

2000-06-01  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-icon-view.c: (play_file):
	Fix call to gnome_vfs_unescape_string to match new prototype.

2000-06-01  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (play_file):
	fixed bug where sounds that had spaces or other special characters
	in their name wouldn't preview properly; fixed by calling
	gnome_vfs_unescape_string on the uri.
	
	* icons/Makefile.am:
	* icons/computer.svg:
	added a more generic, vector-based computer icon
	* data/top/Computer.link:
	switched the computer link to use the vector icon
	* icons/eazel/i-directory-accept.svg:
	changed the open folder icon to use a nicer one with gradients

2000-06-01  Darin Adler  <darin@eazel.com>

	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(gather_config_button_cb), (register_button_cb):
	Fixed callers that were using the escape and unescape calls from
	gnome-vfs. My guess is that these callers don't want exactly what
	they are getting, but at least this makes it compile.

	* src/nautilus-window-manage-views.c:
	(nautilus_window_request_location_change):
	There was code here to just unescape. This is not a good idea,
	since it will turn good URIs into bad URIs. On the other hand, we
	may need to do something for basic characters like %20 for better
	readability.

	* nautilus-widgets/nautilus-user-level-manager.c:
	(user_level_manager_new),
	(nautilus_user_level_manager_get_user_level):
	Added some FIXMEs.
	
2000-06-01  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_get_type), (compare_mime_applications),
	(compare_component_with_view), (is_component_in_short_list),
	(is_component_in_short_list_for_uri),
	(is_application_in_short_list),
	(is_application_in_short_list_for_uri),
	(is_in_short_list_for_file_type), (is_in_short_list_for_file),
	(update_selected_item_details),
	(run_program_configurator_callback),
	(nautilus_program_chooser_new),
	(nautilus_program_chooser_get_application),
	(nautilus_program_chooser_get_component): Provided real
	implementation for checking whether a program is in the
	file-specific list, just short list, or just full list,
	as used in "View as Other" dialog. These values were
	formerly all hardwired. Still need to add code to
	react to user's changes. Also renamed "Change" button to
	"Modify" when Josh rightly pointed out that "Change" is
	a little ambiguous.

2000-06-01  Maciej Stachowiak  <mjs@eazel.com>

	Completed task 772: Make "View as" menu use short list, not all
	available components
	
	* src/nautilus-applicable-views.c (got_file_info_callback):
	Changed to use the mime APIs to determine the preferred list and
	default for view components.

	(view_identifier_has_iid, view_identifier_iids_compare): Some
	utility functions.

	Also removed many of the other functions in here that are no
	longer necessary and have effectively moved to
	nautilus-mime-actions.c
	
2000-06-01  John Sullivan  <sullivan@eazel.com>

	Fixed bug where choosing viewer from "View as Other..."
	dialog from "View as" menu wouldn't update the menu
	title.

	* src/nautilus-window.c: (nautilus_window_synch_content_view_menu),
	(view_menu_choose_view_callback),
	(nautilus_window_load_content_view_menu): Renamed
	"synch_view_as_menu" to "nautilus_window_synch_content_view_menu".
	* src/nautilus-window-private.h: Put this function here so it
	can be used in -manage-views.c.
	* src/nautilus-window-manage-views.c:
	(nautilus_window_has_really_changed): Call this function to
	fix "View as" menu title when the view but not the location changes.

2000-06-01  Andy Hertzfeld  <andy@eazel.com>

	* icons/eazel/Makefile.am:
	* icons/eazel/Refresh.png:
	* icons/eazel/Stop.png
	added Susan's toolbar button images for reload and stop
	* src/nautilus-window-toolbars.c: (setup_toolbar_images):
	made reload and stop subject to toolbar icon theming
	
2000-06-01  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(add_component_to_gtk_menu), 
	(add_component_to_bonobo_menu): Call viewers "xxx Viewer"
	in "Open With" submenu.
	(add_open_with_bonobo_menu_item): Use the double-underscore
	trick to avoid getting underlined characters in program names.
	* src/nautilus-window.c: (chose_component_callback):
	Don't destroy identifier here; caller handles that. Now the
	View as Other choice in the option menu works, with one bug:
	the option menu label isn't updated properly.

2000-06-01  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(OAF_ServerInfo__copy): Copy correctly.
	(get_mime_type_from_uri): Handle NULL URIs

2000-06-01  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-metafile.c:
	(nautilus_directory_set_metadata_list): Added this function.
	The guts was already there.
	
	* test/.cvsignore: Ignore some newly generated files.

2000-06-01  Maciej Stachowiak  <mjs@eazel.com>

	Completed bugizlla task 601, Need API for getting "short list" of
	programs associated with file.

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_short_list_applications_for_uri,
	nautilus_mime_get_short_list_components_for_uri): Implemented
	properly with metadata checking, etc.
	(gnome_vfs_mime_application_has_id,
	gnome_vfs_mime_id_matches_application,
	gnome_vfs_mime_id_matches_component,
	gnome_vfs_mime_application_has_id_not_in_list,
	component_has_id_in_list, string_not_in_list): Helper functions
	for g_list_find_custom and g_list_partition calls.

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_all_applications_for_uri,
	nautilus_mime_get_all_components_for_uri): Properly implemented w/
	appropriate metadata checking, etc.
	(gnome_vfs_mime_application_has_id): Utility function for
	comparison purposes.

	* libnautilus-extensions/nautilus-directory.h,
	libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_wait_until_ready): Non-asynchronous equivalent
	of `nautilus_directory_call_when_ready'. However, it doesn't block
	the UI while waiting.
	(nautilus_directory_wait_until_ready_callback): Helper function
	for implementing the above.

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri,
	nautilus_mime_get_default_action_for_uri,
	nautilus_mime_get_default_application_for_uri,
	nautilus_mime_get_default_component_for_uri): Implemented with
	fully with proper metadata checking and interface querying, etc.

	(nautilus_mime_get_short_list_applications_for_uri,
	nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_get_all_applications_for_uri,
	nautilus_mime_get_all_components_for_uri): Adjusted to deal with
	the mime type checking function changing names.

	(OAF_ServerInfo__copy, extract_prefix_add_suffix,
	mime_type_get_supertype, uri_string_get_scheme),
	get_explicit_content_view_iids_from_metafile,
	make_oaf_query_for_explicit_content_view_iids,
	make_oaf_query_with_known_mime_type,
	make_oaf_query_with_uri_scheme_only,
	file_list_to_mime_type_hash_table, free_key,
	mime_type_hash_table_destroy, server_matches_content_requirements,
	nautilus_do_component_query): Oodles of helper functions, many cut
	& pasted from elswhere and only slightly modified.
	get_mime_type_from_uri: Removed `_hack' from the name.

	* libnautilus-extensions/nautilus-mime-actions.h: Added prototype
	for nautilus_mime_get_default_action_type_for_uri.
	
	* test/test-nautilus-mime-actions.c (main): Call gnome_init.

	* src/nautilus-applicable-views.c: Removed a stray comment that no
	longer applies.

2000-05-31  Maciej Stachowiak  <mjs@eazel.com>

	* test/test-nautilus-mime-actions.c: Simple test program to check
	_for_uri nautilus metadata calls in nautilus.
	* test/Makefile.am: Build test-nautilus-mime-actions
	* Makefile.am, configure.in: add test directory to the build.

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_mime_get_default_action_for_uri,
	nautilus_mime_get_default_application_for_uri,
	nautilus_mime_get_default_component_for_uri): Implemented in the
	same temporary stub way as the other calls.

2000-05-31  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 991, large dimension, small size images not scaled properly.  It was
	passing a max size of 1000; fixed by using 96 * zoom_factor
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_icon):
	pass the icon factory a reasonable max size based on the zoom factor
	* libnautilus-extensions/nautilus-icon-factory.c:
	(load_image_for_scaling),
	(nautilus_icon_factory_get_pixbuf_for_icon):
	set up a reasonable max size, plus fixed a typo where maximum_width was used
	twice instead of maximum_height.
	
2000-05-31  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.h,
	libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_for_uri,
	nautilus_mime_get_default_application_for_uri,
	nautilus_mime_get_default_component_for_uri,
	nautilus_mime_get_short_list_applications_for_uri,
	nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_get_all_applications_for_uri,
	nautilus_mime_get_all_components_for_uri,
	nautilus_mime_set_default_action_type_for_uri,
	nautilus_mime_set_default_application_for_uri,
	nautilus_mime_set_default_component_for_uri,
	nautilus_mime_set_short_list_applications_for_uri,
	nautilus_mime_set_short_list_components_for_uri,
	nautilus_mime_extend_all_applications_for_uri,
	nautilus_mime_remove_from_all_applications_for_uri): Moved from
	gnome-vfs-handlers.[ch] and renamed from gnome_vfs_mime... to
	nautilus_mime...
	(get_mime_type_from_uri_hack): Internal helper fucntion moved from
	gnome-vfs-handlers.c
	* libnautilus-extensions/Makefile.am: Build and install
	nautilus-mime-actions.c and nautilus-mime-actions.h repsectively.
	* libnautilus-extensions/nautilus-program-chooser.c:
	(populate_program_list):
	* src/file-manager/fm-directory-view.c:
	(create_open_with_gtk_menu), (reset_bonobo_open_with_menu):
	* src/nautilus-sidebar.c: (nautilus_sidebar_update_buttons):

2000-05-31  John Sullivan  <sullivan@eazel.com>

	More incremental work to use the new mime-handling API.

	* src/file-manager/fm-directory-view.c:
	(add_open_with_bonobo_menu_item): Now takes callback
	and callback data and uses them for menu item construction.
	(bonobo_launch_application_callback),
	(add_application_to_bonobo_menu),
	(bonobo_open_location_with_viewer_callback),
	(add_component_to_bonobo_menu): Pass along structs containing
	info necessary to launch app or switch viewers. Tragically
	these are leaked due to the lack of DestroyNotify mechanism
	in Bonobo (bug written).
	(reset_bonobo_open_with_menu): Uncomment out list-freeing
	lines now that API is in place.
	(fm_directory_view_chose_component_callback),
	(choose_component): Pass NautilusFile instead of view so we
	can get at the uri in the future when we have API for
	switching locations with specified viewer.

2000-05-31  Andy Hertzfeld  <andy@eazel.com>

	first checkin for link-sets, which are still incomplete and
	not hooked up yet.
	
	* configure.in:
	* data/Makefile.am:
	* data/linksets/.cvsignore:
	* data/linksets/Makefile.am:
	* data/linksets/apps.xml:
	added data directory for link sets and one actual set
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-link-set.c: (make_new_link),
	(nautilus_link_set_install), (nautilus_link_set_remove):
	* libnautilus-extensions/nautilus-link-set.h:
	first, incomplete implementation of link sets
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize):
	added a title to the property browser window
	
	* data/browser.xml:
	improved the default colors in the property browser to ones
	suggested by Susan
	
2000-05-31  Seth Nickell  <snickell@stanford.edu>

	* libnautilus-extensions/nautilus-directory.c:
	(construct_alternate_metafile_uri), (nautilus_directory_new):
	* libnautilus-extensions/nautilus-file.c: 
	(nautilus_file_matches_uri), (nautilus_file_get_uri):
	Changed calls to gnome_vfs_append_path to use the similar
	but more specific gnome_vfs_append_file_name instead.
	
2000-05-31  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_denies_access_permission): Fixed a bug where I
	accidentally treated root as "unable to access anything" instead
	of "able to access everything".
	
	* src/nautilus-sidebar-tabs.h: Fixed file name in include guard.
	I'll probably need to write a script to find the broken ones.
	
	* src/nautilus-window-manage-views.c: (handle_unreadable_location):
	Fixed a bug where we unref's a file object before using it.
	
	* src/nautilus-window-private.h: Got rid of a straggler prototype
	for a nonexistent function.

	* RENAMING: Some are done.
	
2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-sidebar-tabs.c:
	(nautilus_index_tabs_initialize_class), (draw_one_tab),
	(draw_or_hit_test_all_tabs):

	Honor the gtkstyle font instead of hacking in our own.  Part of
	bug 667.
	
2000-05-31  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-program-chooser.c:
	(populate_program_list), (nautilus_program_chooser_new),
	(nautilus_program_chooser_get_application),
	(nautilus_program_chooser_get_component):
	* libnautilus-extensions/nautilus-program-chooser.h:
	* libnautilus-extensions/nautilus-program-choosing.c:
	(set_up_program_chooser), (nautilus_choose_component_for_file),
	(nautilus_choose_application_for_file): Got rid of enum
	NautilusProgramChooserType, replaced with equivalent but
	more general enum GnomeVFSMimeActionType.

2000-05-31  Darin Adler  <darin@eazel.com>

	* src/nautilus-application.c: (nautilus_app_startup):
	Make a new window even when you say --manage-desktop for now,
	because closing the last window or Quit is the only way to get
	rid of the desktop until we do some more work on it.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_request_location_change):
	Always open in a new window when starting with the desktop.
	
	* src/nautilus-window.c: (nautilus_window_goto_uri_callback),
	(nautilus_window_constructed): Tiny formatting tweak.

2000-05-31  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-mime-type.c,
	* libnautilus-extensions/nautilus-mime-type.h:
	Removed these files, which had contained the old stopgap
	mime-type-to-application table.
	* libnautilus-extensions/Makefile.am: Take removed files out
	of build.
	* src/nautilus-property-browser.c,
	* src/nautilus-sidebar.c: Remove #includes for removed files.

2000-05-31  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-program-chooser.c:
	(populate_program_list): Change the way data from program lists
	is freed; this clarifies the code and fixes a double-destroy.
	* src/nautilus-sidebar.c: (nautilus_sidebar_update_buttons):
	Don't display "Open With..." button if there are no available
	choices. This fixes part of bug 1044 (need to do the same
	kind of thing for menus). 

2000-05-31  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(start_rubberbanding):
	at Susan's suggestion, made the selection box 25% opaque instead
	of 50% opaque in anti-aliased mode.
	
	* src/file-manager/fm-icon-view.c: (play_file):
	added the "-q" option to mpg123 invocation so it doesn't spew
	stuff to standard output

2000-05-31  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c: 
	(compute_menu_item_info): Initialize *return_sensitivity to
	TRUE; it was uninitialized in some cases.
	(add_application_to_gtk_menu), (create_open_with_gtk_menu):
	Cleaned up list-handling using new gnome-vfs API.
	
	* src/nautilus-sidebar.c: Removed placeholder local implementation
	of gnome_vfs_mime_application_list_free now that there's a real
	one in gnome-vfs.

2000-05-31  Darin Adler  <darin@eazel.com>

	Another cut on the desktop. Way closer.

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-generous-bin.h:
	* libnautilus-extensions/nautilus-generous-bin.c:
	Added a new class NautilusGenerousBin. This is a GtkBin
	subclass that gives its entire allocation to its child.
	Used both in the widgetry for desktop windows and as a
	base class for NautilusViewFrame for now.
	
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(turn_on_line_wrap_flag), (turn_on_line_wrap_flag_callback):
	Changed to use gtk_container_foreach instead of the old
	gtk_container_children, since I now understand that the
	latter is just a convenience cover for the former.
	
	* src/Makefile.am:
	* src/nautilus-window-state.c: [removed]
	* src/nautilus-window-state.h: [removed]
	The only function in here was a wonky one that did goto_uri
	of go_home depending on the parameter. Changed the callers
	and things got clearer anyway.
	
	* src/nautilus-application.h:
	* src/nautilus-application.c: (display_caveat),
	(nautilus_app_startup):
	* src/nautilus-main.c: (main):
	Changed rules about which windows are created on startup. This
	puts us into a slightly bad state because it's now easy to
	create a desktop window with no way to get rid of it.
	
	* src/nautilus-desktop-window.h:
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_initialize_class),
	(nautilus_desktop_window_initialize), (destroy), (realize):
	A better cut at the desktop window creation that now mostly works.
	
	* src/nautilus-main.c: (main):
	Changed the "--desktop" option's name to "--manage-desktop".
	
	* src/nautilus-view-frame.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class),
	(nautilus_view_frame_initialize),
	(nautilus_view_frame_destroy_client),
	(nautilus_view_frame_destroy),
	(nautilus_view_frame_construct_arg_set):
	Changed to use NautilusGenerousBin as base class. Also use the
	Nautilus boilerplate macros.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_request_location_change):
	Use goto_uri instead of set_initial_state.
	
	* src/nautilus-window-private.h:
	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_go_home):
	Make go_home public and move the actual code needed to go to the
	home package into the function.

	* src/nautilus-window.c: (nautilus_window_constructed):
	Reduced the amount of hackery on behalf of the desktop window and
	used the NautilusGenerousBin class.

2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_load_uri),
	(mozilla_content_view_request_location_change):
	Exorcist the moz:// hack.
	
	* components/mozilla/nautilus-mozilla-content-view.oafinfo:
	Change the protocol from moz to http.

	* src/nautilus-applicable-views.c:
	Prefer the mozilla component over the ntl-web-browser.
	
2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* components/rpmview/nautilus-rpm-view.oafinfo:

	"fix" bug 725 by changing the supported uri types of the rpm view
	component to be only "file" since it doesnt grok remote uris.

	Having the rpm view grok remote uris would be a cool, feature.  I
	have resummarized bug 725 to reflect this.
	
2000-05-31  Darin Adler  <darin@eazel.com>

	* RENAMING: Small updates.
	
	* components/help/converters/gnome-info2html2/main.c: (main):
	* components/html/glibwww-init.c: (glibwww_parse_proxy_env):
	* components/html/ntl-web-browser.c: (main):
	* components/loser/content/nautilus-content-loser.c:
	(ensure_fail_env):
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(ensure_fail_env):
	* components/notes/nautilus-notes.c: (main):
	* libnautilus-extensions/nautilus-view-identifier.c:
	(get_lang_list):
	* src/nautilus-application.c: (nautilus_app_startup):
	* src/nautilus-main.c: (main):
	Changed from getenv to g_getenv, even though it makes no
	difference right now, because it's "the right thing to do (tm)".
	
	* components/services/time/nautilus-view/trilobite-eazel-time-view.h:
	Fixed include (the build was broken for me or anyone who doesn't
	have old .h files sitting around in their install directory).
	
	* libnautilus-extensions/nautilus-directory.c:
	(construct_alternate_metafile_uri):
	Use nautilus_get_user_directory instead of hard-coding the name
	of the user directory.
	
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_directory), (nautilus_get_user_main_directory):
	Use #defines instead of global constants since these are things
	that do not change and this is not C++ :-) Added "get_" to the
	names of these functions so they would be verbs instead of nouns.
	(nautilus_get_desktop_directory): Added this new function for use
	by the desktop code.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(nautilus_global_preferences_get_enabled_sidebar_panel_view_identifiers),
	(nautilus_global_preferences_get_disabled_sidebar_panel_view_identifiers),
	(global_preferences_register_sidebar_panels_preferences_for_ui):
	* libnautilus-extensions/nautilus-view-identifier.h:
	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_list_free):
	* src/nautilus-applicable-views.c: (nautilus_navigation_info_free):
	Changed nautilus_view_identifier_free_list to *_list_free to match
	other calls with similar names.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(user_level_changed_callback):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path):
	* src/file-manager/fm-properties-window.c: (get_property_names):
	* src/nautilus-bookmark-list.c:
	(nautilus_bookmark_list_get_file_path):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get), (make_drag_image),
	(remove_color), (remove_background), (remove_emblem),
	(get_xml_path), (add_background_to_browser), (add_color_to_file),
	(emblem_dialog_clicked), (make_properties_from_directory):
	Change to use directory calls by new "get_" names.
	
	* src/Makefile.am: Removed nautilus.h since it is long gone,
	and fixed spelling of nautlus-window-state.h.
	
	* src/file-manager/.cvsignore: Stop ignoring things that we
	no longer generated.
	
	* src/file-manager/desktop-item.c: [removed]
	* src/file-manager/desktop-item.h: [removed]
	* src/file-manager/desktop-layout.c: [removed]
	* src/file-manager/desktop-layout.h: [removed]
	* src/file-manager/desktop-window.c: [removed]
	* src/file-manager/desktop-window.h: [removed]
	The rest of the code has been harvested from the desktop
	implementation. As I said before we can always recover it if we
	decide we want to reuse it.
	
	* src/file-manager/fm-main.c: [removed]
	This was no longer used and was getting out of date. The file manager
	is now compiled in rather than being a separate process.
	
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_initialize_class),
	(nautilus_desktop_window_initialize),
	(nautilus_desktop_window_new), (realize):
	Another cut at the desktop code. Still not working too well,
	but way further along.
	
	* src/nautilus-sidebar.h:
	* src/nautilus-sidebar.c:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_handle_client_destroy_2):
	* src/nautilus-window-manage-views.c:
	* src/nautilus-window.h:
	* src/nautilus-window.c:
	* src/nautilus-window-private.h:
	Changed the names to use Sidebar instead of IndexPanel.
	Also changed to say sidebar panel instead of meta view in many
	places.

2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_make_gconf_key),
	(nautilus_user_level_manager_make_current_gconf_key):
	* nautilus-widgets/nautilus-user-level-manager.h:

	New functions to generate keys for the current user level as well
	as any other user level.
	
2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_destroy), (prefs_pane_construct):

	Fix bug 993.  Some frames in the preferences dialog were too big
	cause the parent vbox was erroneously marked homogenous.
	
2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	Remove the user level pane from the preferences dialog.  Place the
	user level choices directly in the settings menu.

	Also uncouple user level from preferences.  User level is no
	longer a preference itself.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui),
	(user_level_changed_callback),
	(nautilus_global_preferences_shutdown),
	(nautilus_global_preferences_startup):
	Remove all of the user level ui stuff.
	
	* nautilus-widgets/nautilus-user-level-manager.c:
	(user_level_manager_new), (nautilus_user_level_manager_initialize),
	(nautilus_user_level_manager_initialize_class),
	(user_level_manager_destroy), (gconf_get_user_level_string),
	(user_level_set_default_if_needed),
	(gconf_user_level_changed_callback),
	(nautilus_user_level_manager_get),
	(nautilus_user_level_manager_set_user_level),
	(nautilus_user_level_manager_get_user_level):
	Emit the the "user_level_changed" signal from a gconf callback
	instead of "by hand".  Otherwise we are out of whack because of
	gconf asyncness.

	* src/nautilus-window-menus.c:
	(settings_menu_user_level_radio_group_callback),
	(settings_menu_user_level_customize_callback),
	(settings_menu_customize_callback),
	(nautilus_window_initialize_menus),
	(user_level_menu_path_to_user_level),
	(user_level_user_level_to_menu_path):
	* src/nautilus-window.h:
	Remove the "General Settings" menu item.  Replace it with a
	user level chooser as well as current user level customizer.
	
2000-05-31  Fatih Demir	<kabalak@gmx.net>
	
	* nautilus.desktop: Added the Turkish entries.

2000-05-31  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/time/nautilus-view/.cvsignore:
	Ignore generated files.
	
2000-05-31  Pavel Cisler <pavel@eazel.com>

	* src/file-manager/dfos-xfer.c: (fs_move_to_trash):
	* src/file-manager/fm-directory-view.c: (fm_directory_is_trash),
	(fm_directory_view_confirm_deletion),
	(fm_directory_view_trash_or_delete_selection),
	(duplicate_callback):
	More work on fallback deletion when move to Trash is not available.
	Display a warning dialog.
	Get rid of commented out code that I'll no longer need.
	Removed FIXMEs that are no longer true.
	
2000-05-30  Mike Fleming  <mfleming@eazel.com>

	* components/services/time/Makefile.am:

	Added simple time view to the build

2000-05-30  Mike Fleming  <mfleming@eazel.com>

	* components/services/time/nautilus-view/.cvsignore:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/nautilus-view/main.c:
	(sample_object_destroyed), (sample_make_object), (main):
	* components/services/time/nautilus-view/trilobite-eazel-time-view.c:
	(set_status_text), (sync_button_pressed), (url_button_pressed),
	(timediff_button_pressed), (update_time_display),
	(trilobite_eazel_time_view_initialize_class),
	(trilobite_eazel_time_view_initialize),
	(trilobite_eazel_time_view_destroy),
	(trilobite_eazel_time_view_get_nautilus_view),
	(trilobite_eazel_time_view_load_uri),
	(sample_notify_location_change_callback), (bonobo_sample_callback),
	(sample_merge_bonobo_items_callback):
	*
	components/services/time/nautilus-view/trilobite-eazel-time-view.h:
	*
	components/services/time/nautilus-view/trilobite-eazel-time-view.oa
	finfo:
	*
	components/services/time/service/trilobite-eazel-time-service.oafin
	fo:

	Added embarassingly weak simple Nautilus View for the eazal-time 
	service

2000-05-30  Andy Hertzfeld  <andy@eazel.com>

	* icons/Makefile.am:
	* icons/audio.png:
	new icon for audio preview feedback; I'm sure Susan will want to improve this.
	* libnautilus-extensions/nautilus-icon-canvas-item.c: (map_pixbuf):
	finished off audio preview task 259 by showing an image to indicate previewing audio.
	* src/file-manager/fm-icon-view.c: (play_file), (preview_sound):
	fixed problem with aborting sound previews by calling setsid() and killing the entire group

2000-05-30  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(launch_application_from_menu_item), (add_application_to_gtk_menu),
	(add_component_to_gtk_menu), (create_open_with_gtk_menu),
	(add_open_with_bonobo_menu_item), (add_application_to_bonobo_menu),
	(add_component_to_bonobo_menu), (reset_bonobo_open_with_menu),
	(fm_directory_view_real_update_menus):

2000-05-30  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-types.h:
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/support.c: (lookup_widget),
	(create_dummy_pixmap), (create_pixmap), (create_image):
	* nautilus-installer/src/support.h:
	Added the support files
	
2000-05-30  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus-installer/Makefile.in:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/Makefile.in:
	Removed the Makefile.in's and added the .am instead.
	
2000-05-30  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/dfos-xfer.h:
	* src/file-manager/dfos-xfer.c: (handle_xfer_ok), 
	(fs_delete):
	Added delete calls that set up a gnome-vfs delete operation.

	* src/file-manager/dfos-xfer.c:
	(fs_xfer), (fs_move_to_trash), (fs_empty_trash):
	Changed to use new xfer options making it a little
	clearer which copy engine operation gets to run.

	* src/file-manager/dfos-xfer.c:
	(fs_xfer), (fs_move_to_trash):
	Fixed a leak of the item_names list.
	
	* src/file-manager/dfos-xfer.c: 
	(fs_new_folder):
	Changed to use "untitled folder".
	
	* src/file-manager/fm-directory-view.c:
	(bonobo_menu_move_to_trash_callback),
	(fm_directory_can_move_to_trash),
	(fm_directory_view_trash_or_delete_selection), (trash_callback),
	(compute_menu_item_info), (reset_bonobo_trash_delete_menu),
	(fm_directory_view_real_merge_menus),
	(fm_directory_view_real_update_menus),
	(fm_directory_view_get_context_menu_index):
	Add logic that picks the Delete/Move To Trash menu items depending
	on whether selected items can be moved to Trash or not. Added code
	that decides if items can be moved to Trash from a given folder.  

	* src/file-manager/dfos-corba.c: (convert_options):
	Disabled some dead code.
	
2000-05-30  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install.c:
	(main):
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_class_initialize), (fetch_remote_package_list),
	(eazel_install_emit_download_progress),
	(eazel_install_emit_download_failed),
	(eazel_install_emit_install_failed),
	(eazel_install_emit_uninstall_failed), (eazel_install_log),
	(eazel_install_open_log):
	Fixed a horribly cut'n'paste bug in the signal bindings. Also
	doing some stuff on making the lib log properly
	
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(download_all_packages), (install_all_packages),
	(uninstall_packages):
	More cleaning out of g_errors, g_asserts and such.
	
	* components/services/trilobite/libtrilobite/Makefile.am:
	* nautilus-installer/src/Banner_Left.xpm:
	* nautilus-installer/src/Final_Inside.xpm:
	* nautilus-installer/src/Final_Top.xpm:
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.in:
	* nautilus-installer/src/Step_3a_Inside.xpm:
	* nautilus-installer/src/Step_3b_Inside.xpm:
	* nautilus-installer/src/Step_One_Inside.xpm:
	* nautilus-installer/src/Step_One_Top.xpm:
	* nautilus-installer/src/Step_Three_Top.xpm:
	* nautilus-installer/src/Step_Two_Inside.xpm:
	* nautilus-installer/src/Step_Two_Top.xpm:
	* nautilus-installer/src/callbacks.c: (set_images):
	* nautilus-installer/src/installer.c: (append_name_to),
	(download_failed), (install_failed), (gen_report),
	(dump_failure_info), (installer):
	* nautilus-installer/src/interface.c: (create_window):
	* nautilus-installer/src/main.c: (main):
	More work on the installer, especially making it
	use Arlo's graphics and still be a static binary.
	
2000-05-30  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_label_text_aa), (nautilus_icon_canvas_item_render):
	fixed bug where we would crash when going down to the lowest zoom
	level on the anti-aliased canvas, by checking the drawing conditions
	and exiting if they're not met.
	
2000-05-30  John Sullivan  <sullivan@eazel.com>

	Adapted much of the open-with and view-as code to use
	the new API, whose implementation awaits. This causes 
	us to temporarily lose the command-buttons-in-sidebar 
	feature until the new API's implementation happens.

	Some of these changes are only partially done; I've
	got a list of things to finish still. But feel free 
	to bug me about anything in particular that seems bad.

	* libnautilus-extensions/nautilus-program-chooser.h:
	* libnautilus-extensions/nautilus-program-chooser.c:
	(populate_program_list): Use real API to add programs
	to list in dialog.
	(nautilus_program_chooser_new): Remember whether this
	is an application-choosing or component-choosing dialog.
	(nautilus_program_chooser_get_application),
	(nautilus_program_chooser_get_component): New functions,
	get the item in the list that the user selected.
	* libnautilus-extensions/nautilus-program-choosing.h:
	Change parameter in NautilusApplicationChoiceCallback
	from char * to GnomeVFSMimeApplication.
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_choose_application_for_file),
	(nautilus_choose_component_for_file): Get the chosen
	item from the dialog instead of returning a hardwired
	value.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_chose_application_callback): Take
	GnomeVFSMimeApplication instead of char *.
	(add_open_with_gtk_menu_item): Enable menu items now
	that they work.
	(launch_application_from_menu_item): New function, callback
	used when user picks an app from context menu.
	(view_uri_from_menu_item): New function, callback used
	when user picks a viewer from context menu. 
	(add_application_to_gtk_menu),
	(add_component_to_gtk_menu): New functions, set up menu items.
	(create_open_with_gtk_menu): Use real API to populate
	open_with context menu items.
	(bonobo_menu_select_all_callback), (select_all_callback),
	(fm_directory_view_real_merge_menus):
	Fixed bug where context menu "Select All" didn't work by
	separating bonobo and gtk callbacks.
	* src/nautilus-sidebar.c:
	(nautilus_index_panel_chose_application_callback),
	(add_command_buttons), (gnome_vfs_mime_application_list_free),
	(nautilus_index_panel_update_buttons): Use real API instead
	of hardwired set of buttons for different MIME types. This
	currently means you always get only the "Open with ..." button,
	but the real buttons will reappear once we have our new
	application-choosing scheme in place.

2000-05-30  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (play_file),
	(icon_container_preview_callback):
	play it preview a much broader range of sounds using "play"
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_filled_rectangle_aa), (draw_stretch_handles_aa),
	(nautilus_icon_canvas_item_render):
	draw the stretch handles in anti-aliased mode.  This isn't quite
	finished yet, since there's a bug that makes the icon itself disappear
	
2000-05-30  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/dfos-xfer.h:
	* src/file-manager/dfos-xfer.c: (sync_xfer_callback), (fs_xfer),
	(new_folder_xfer_callback), (fs_new_folder), (fs_move_to_trash),
	(fs_empty_trash):
	New copy engine entry calls supporting New Folder creation.
	Pass NULL to sync_xfer_callback because it doesn't use any pass-thru
	state.

	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class),
	(bonobo_menu_new_folder_callback), (start_renaming_item),
	(new_folder_rename_later), (new_folder_done),
	(fm_directory_view_new_folder), (compute_menu_item_info),
	(fm_directory_view_real_create_selection_context_menu_items),
	(reset_bonobo_open_with_menu),
	(fm_directory_view_real_merge_menus),
	(fm_icon_view_start_renaming_item),
	(fm_icon_view_initialize_class):
	Add the "New Folder" command. Add a menu item that invokes it.
	Add code to allow me to select the new folder once it was 
	created and start a rename on it.
	

Tue May 30 11:21:31 2000  Raph Levien  <raph@acm.org>

	* librsvg/art_render.h:
	* librsvg/art_render.c:
	* librsvg/art_render_svp.h:
	* librsvg/art_render_svp.c:
	* librsvg/art_render_gradient.h:
	* librsvg/art_render_gradient.c: Changed version number test to
	2.3. This will avoid build problems against latest
	gnome-libs-1-0 libart_lgpl.

2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences.c:
	(nautilus_preferences_initialize):
	Instead of creating our own gconf client, share one with the user
	level manager.  Otherwise i get weird gconf connection errors.

	* nautilus-widgets/nautilus-user-level-manager.c:
	(user_level_manager_new),
	(nautilus_user_level_manager_initialize_class),
	(user_level_manager_ensure_global_manager),
	(user_level_set_default_if_needed),
	(nautilus_user_level_manager_get),
	(nautilus_user_level_manager_get_user_level),
	(nautilus_user_level_manager_get_user_level_names),
	(nautilus_user_level_manager_get_gconf_client):
	* nautilus-widgets/nautilus-user-level-manager.h:
	Add method to expose a refed gconf client.
	Change the global manager initialization code to prevent stoopid
	infinite loop.  Let gconf know about the ~/.gconf/nautilus
	directory.  
	
2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Fix bug 724 by adding a slightly better, but still lame mozilla
	detection artificial intelligence.

2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-user-level-manager.c:
	(user_level_manager_new), (nautilus_user_level_manager_initialize),
	(nautilus_user_level_manager_initialize_class),
	(user_level_manager_destroy),
	(user_level_manager_get_global_manager),
	(user_level_manager_is_initialized), (get_gconf_user_level_string),
	(user_level_set_default_if_needed),
	(nautilus_user_level_manager_get),
	(nautilus_user_level_manager_set_user_level),
	(nautilus_user_level_manager_get_user_level),
	(nautilus_user_level_manager_get_num_user_levels),
	(nautilus_user_level_manager_get_user_level_names):
	* nautilus-widgets/nautilus-user-level-manager.h:
	New class to manage user level stuff.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(nautilus_global_preferences_startup):
	* nautilus-widgets/Makefile.am:
	* nautilus-widgets/nautilus-preferences.c:
	(nautilus_preferences_initialize):
	* nautilus-widgets/nautilus-preferences.h:
	* nautilus-widgets/test-nautilus-preferences.c: (main):
	Undo the last stoopid change cuz the user level stuff is now
	hidden in the NautilusUserLevelManager class.
	
2000-05-30  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-drag.c:
	* libnautilus-extensions/nautilus-drag.h:
	(nautilus_drag_items_local), (nautilus_drag_can_accept_item),
	(nautilus_drag_can_accept_items):
	More drag&drop support calls shared between list and icon view.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_selection_items_local),
	(receive_dropped_keyword),
	(nautilus_icon_container_receive_dropped_icons),
	(nautilus_icon_dnd_update_drop_target):
	Remove calls that are replaced by nautilus-drag.c equivalents.
	Tweak some whitespace.

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	(nautilus_gtk_marshal_NONE__INT_INT_INT):
	Add some more signal glue.
	
	* libnautilus-extensions/nautilus-list.h:
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_initialize_class), (nautilus_list_drag_drop),
	(nautilus_list_row_at):
	Add more drop handling. Add signal that sends of dropped data
	and context to fm-list-view.c. Added nautilus_list_row_at
	that fm-list-view.c needs to handle the drop.
	
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c: (icon_view_can_accept_item),
	(icon_view_get_container_uri), (icon_view_move_copy_items),
	(create_icon_container), (fm_directory_view_get_uri), 
	(fm_directory_view_move_copy_items),
	(fm_directory_view_can_accept_item):
	Rework public calls to not take a container view as an argument
	and can be used by both list and icon view classes.
	Add new private signal handler callbacks that replace the 
	public calls.
	
	* src/file-manager/fm-list-view.c: (fm_list_nautilus_file_at),
	(fm_list_handle_dropped_icons), (create_list):
	Drop handling code.

2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-preferences-group.c:
	(nautilus_preferences_group_add_item):
	* nautilus-widgets/nautilus-preferences-item.c:
	(preferences_item_construct), (enum_radio_group_changed_callback):
	* nautilus-widgets/nautilus-preferences.c:
	(nautilus_preferences_find_preference):
	* nautilus-widgets/nautilus-preferences.h:

	Rename (nautilus_preferences_find_preference) to 
	(nautilus_preferences_find_preference) to avoid confusion with a
	function ill add next.
	
2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(nautilus_global_preferences_startup):
	* nautilus-widgets/nautilus-preferences.c:
	(preferences_hash_node_alloc), (preferences_hash_node_free),
	(preferences_hash_node_add_callback),
	(preferences_hash_node_remove_callback),
	(preferences_hash_node_free_func),
	(preferneces_callback_node_alloc),
	(preferneces_callback_node_free),
	(preferneces_callback_node_free_func),
	(preferneces_callback_node_invoke_func), (preferences_register),
	(nautilus_preferences_get_preference),
	(nautilus_preferences_set_info), (set_default_value_if_needed),
	(nautilus_preferences_enum_add_entry),
	(preferences_hash_node_lookup),
	(preferences_hash_node_lookup_with_registration),
	(preferences_gconf_callback),
	(nautilus_preferences_add_boolean_callback),
	(nautilus_preferences_add_enum_callback),
	(nautilus_preferences_add_callback),
	(nautilus_preferences_remove_callback),
	(nautilus_preferences_set_boolean),
	(nautilus_preferences_get_boolean),
	(nautilus_preferences_set_enum), (nautilus_preferences_get_enum),
	(nautilus_preferences_set), (nautilus_preferences_get),
	(nautilus_preferences_initialize),
	(nautilus_preferences_is_initialized),
	(nautilus_preferences_shutdown):
	* nautilus-widgets/nautilus-preferences.h:
	* nautilus-widgets/test-nautilus-preferences.c: (main):

	Cleanup preferences to make the code easier to modify.  Name
	things more consistently.  Put global variables in a struct to
	make then clearly distiguishable from local ones.  

	Also, add change the initialize api to be fed the number of user
	levels and their names.  More on this later.
	
2000-05-30  Ramiro Estrugo  <ramiro@eazel.com>

	* components/history/nautilus-history-view.c: (main):
	* libnautilus-extensions/nautilus-global-preferences.c:
	(nautilus_global_preferences_startup):
	* libnautilus-extensions/nautilus-global-preferences.h:
	* src/nautilus-application.c: (nautilus_app_class_init):
	* src/nautilus-main.c: (main):

	Change preferences startup code to occur in only one place.
	
2000-05-29  Raph Levien  <raph@acm.org>

	* librsvg/art_render_gradient.c (art_render_gradient_setpix): Fixed
	an off-by-one loop error.

2000-05-29  Andy Hertzfeld  <andy@eazel.com>

	implemented task 259, simple UI for previewing sounds.  Implemented by
	making the icon container emit a preview signal on mouse-over, then connecting
	to it in fm-icon-view to inspect the mime-type and launch/kill a sound player.
	Currently only works for mp3 files, but others types are coming soon.
	
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_marshal_INT__POINTER_INT):
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	added new marshaller to handle our "preview" signal
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_event):
	generate the preview signal when the mouse enters and leaves the icon
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	(nautilus_icon_container_initialize_class),
	(nautilus_icon_container_emit_preview_signal):
	support for the preview signal
	
	* src/file-manager/fm-icon-view.c: (play_file), (preview_sound),
	(icon_container_preview_callback), (create_icon_container):
	receive the preview signal and inspect the mime type.  Right now we
	just handle mp3s.  Use a timeout to delay, current set at 1000 ms.
	When the timeout fires, launch a player.  If we leave the icon, kill the
	timeout and player as necessary.
	
2000-05-29  Raph Levien  <raph@acm.org>

	This commit adds the ability to render SVG gradients to librsvg.
	The full imaging model is supported. However, coordinate handling
	is still a subset of the SVG spec. In particular, only
	gradientUnits = userSpace is supported, and coordinates can only
	be specified in user units (ie not percentages or other CSS
	dimensions). Nonetheless, this level of functionality should be
	adequate for rendering gradient-containing images converted from
	Illustrator.

	* librsvg/art_render.c:
	* librsvg/art_render.h:
	* librsvg/art_render_gradient.c:
	* librsvg/art_render_gradient.h:
	* librsvg/art_render_svp.c:
	* librsvg/art_render_svp.h: Added these files, which provide
	features of Libart 2.3.0 (ie, cvs HEAD as of today) conditionally
	on systems with 2.2.0 (ie, cvs gnome-libs-1-0 as of today)
	installed.

	* librsvg/art_rgba.c:
	* librsvg/art_rgba.h:
	* librsvg/art_rgba_svp.c:
	* librsvg/art_rgba_svp.h: Removed these libart source files, as
	they are no longer used (rgba compositing is done in art_render
	now).

	* librsvg/rsvg.c: Numerous changes to accomodate new paint server
	approach (based on libart's new modular rendering architecture).

	* librsvg/rsvg-defs.h:
	* librsvg/rsvg-defs.c: Added these files, containing utility
	functions for managing SVG defs.

	* librsvg/rsvg-css.h:
	* librsvg/rsvg-css.c: Added these files. Moved all CSS parsing
	functions of rsvg.c here.

	* librsvg/rsvg-paint-server.h:
	* librsvg/rsvg-paint-server.c: Added these files. Filling and
	stroking are now done through the paint server abstraction
	rather than direct calls to Libart.

	* librsvg/test.svg: Added this test file containing some SVG
	gradients.

	* librsvg/Makefile.am: Added new files.

	* librsvg/test-rsvg.c (main): Added multiple iteration option, for
	memory leak testing.

2000-05-29  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_drag_drop): Removed unused variable.

2000-05-29  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-drag.c:
	* libnautilus-extensions/nautilus-drag.h:
	* libnautilus-extensions/nautilus-icon-dnd.c:
	* libnautilus-extensions/nautilus-icon-dnd.h:
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_drag_selection_item_new), (drag_selection_item_destroy),
	(nautilus_drag_destroy_selection_list),
	(nautilus_drag_build_selection_list),
	(create_selection_shadow),
	(nautilus_icon_container_dropped_icon_feedback),
	(drag_data_received_callback),
	(nautilus_icon_container_ensure_drag_data), (drag_end_callback),
	(nautilus_icon_container_selection_items_local),
	(nautilus_icon_canvas_item_can_accept_items), (handle_local_move),
	(handle_nonlocal_move),
	(nautilus_icon_container_receive_dropped_icons),
	(nautilus_icon_container_free_drag_data), (nautilus_icon_dnd_fini),
	(drag_drop_callback), (nautilus_list_initialize), (nautilus_list_drag_end),
	(nautilus_list_drag_leave), (nautilus_list_drag_drop),
	(nautilus_list_drag_data_received):
	Start splitting out drag&drop code common between icon view and list view
	into a new file.
	Start adding drag&drop calls to list view.
	Bunch of renamings.

2000-05-29  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_get_index_for_string),
	(nautilus_self_check_string_list):
	* libnautilus-extensions/nautilus-string-list.h:
	New function to access the index for a given string.
	
2000-05-29  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-clean.sh:
	Update for latest ntl-* -> nautilus-* renaming.  Keep the old ntl-
	names as well to prevent stale component braindamage.
	
2000-05-29  Ramiro Estrugo  <ramiro@eazel.com>

	* components/history/.cvsignore:
	* components/notes/.cvsignore:
	* components/services/time/command-line/.cvsignore:
	Ignore generated files.
	
2000-05-29  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus-widgets/nautilus-string-picker.c,
	* nautilus-widgets/nautilus-string-picker.h:
	New widget to pick a string from a list.
	
	* nautilus-widgets/test-nautilus-preferences.c:
	New test program.  Test prefrences things.

	* nautilus-widgets/test-nautilus-widgets.c:
	Remove preference tests.  Test only non preference widgetry.

	* nautilus-widgets/Makefile.am,
	* nautilus-widgets/.cvsignore:
	Add test-nautilus-preferences.	

2000-05-28  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.h,
	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_as_g_list): New function to return the
	string list as a GList. 	

2000-05-28  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove unneeded inclusion of nautilus-string-list.h
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	Fix a user visible typo in appearance/graphics.
	Add a better description for the sidebar panels pane (bug 304)

2000-05-28  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 604, handle dropped files in sidebar by setting location.  Followed
	Maciej's suggestion of making sidebar work like the location bar, emitting the
	"location_changed" signal and making the window attach to it.
	
	* src/nautilus-sidebar.c: (nautilus_index_panel_initialize_class),
	(receive_dropped_uri_list):
	added a location_changed signal, and emitted it when receiving a dropped uri
	* src/nautilus-sidebar.h:
	added slot for the location_changed signal
	* src/nautilus-window.c: (nautilus_window_constructed):
	connect window to sidebar's location_changed signal
	
2000-05-28  Andy Hertzfeld  <andy@eazel.com>

	added a preference for alternative toolbar icons, which defaults to the
	standard Gnome icons.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_register_for_ui):
	added a checkbox for alternative toolbar icons in appearance pane	
	* libnautilus-extensions/nautilus-global-preferences.h:
	added NAUTILUS_PREFERENCES_EAZEL_TOOLBAR_ICONS
	
	* src/nautilus-window-private.h:
	added field to remember home button	
	* src/nautilus-window-toolbars.c: (remember_buttons),
	(setup_button), (setup_toolbar_images),
	added code to change the button images according to the preference
	(nautilus_window_initialize_toolbars),
	restructured to choose proper icons, and added a callback to watch the preference
	(nautilus_window_toolbar_remove_theme_callback):
	* src/nautilus-window.c: (nautilus_window_destroy):
	* src/nautilus-window.h:
	made it remove the preference callback when the window is destroyed
	
	* icons/eazel/Makefile.am:
	* icons/eazel/Back.png:
 	* icons/eazel/Forward.png:
	* icons/eazel/Up.png:
	* icons/eazel/Home.png:
 	added Susan's icons to eazel images folder

2000-05-28  Ramiro Estrugo  <ramiro@eazel.com>

